ChangeSet
  1.1161 03/10/15 05:51:42 stenn@whimsy.udel.edu +2 -0
  4.2.0

  configure.in
    1.333 03/10/15 05:50:45 stenn@whimsy.udel.edu +1 -1
    4.2.0

  NEWS
    1.45 03/10/15 05:50:45 stenn@whimsy.udel.edu +3 -1
    4.2.0

ChangeSet
  1.1160 03/10/15 05:48:17 stenn@whimsy.udel.edu +1 -0
  cleanup

  ntpdc/Makefile.am
    1.21 03/10/15 05:48:03 stenn@whimsy.udel.edu +1 -1
    cleanup

ChangeSet
  1.1159 03/10/15 04:43:35 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_parse.c
    1.23 03/10/15 04:43:31 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.52 03/10/15 04:41:28 stenn@whimsy.udel.edu +1 -0
  Fix for bug 213

  ntpd/refclock_parse.c
    1.18.2.2 03/10/15 04:41:10 stenn@whimsy.udel.edu +1 -1
    Fix for bug 213

ChangeSet
  1.1158 03/10/13 04:21:30 stenn@whimsy.udel.edu +16 -0
  Cleanup from Dave Mills

  html/ntpdsim.html
    1.3 03/10/13 04:21:16 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills

  html/refclock.html
    1.28 03/10/13 04:21:15 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills

  html/prefer.html
    1.14 03/10/13 04:21:15 stenn@whimsy.udel.edu +6 -6
    Cleanup from Dave Mills

  html/manyopt.html
    1.9 03/10/13 04:21:12 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills

  html/index.html
    1.28 03/10/13 04:21:12 stenn@whimsy.udel.edu +9 -9
    Cleanup from Dave Mills

  html/keygen.html
    1.4 03/10/13 04:21:11 stenn@whimsy.udel.edu +12 -12
    Cleanup from Dave Mills

  html/howto.html
    1.15 03/10/13 04:21:11 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills

  html/ntpd.html
    1.31 03/10/13 04:21:10 stenn@whimsy.udel.edu +13 -13
    Cleanup from Dave Mills

  html/confopt.html
    1.27 03/10/13 04:21:09 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills

  html/config.html
    1.16 03/10/13 04:21:09 stenn@whimsy.udel.edu +9 -9
    Cleanup from Dave Mills

  html/clockopt.html
    1.17 03/10/13 04:21:08 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills

  html/build.html
    1.18 03/10/13 04:21:08 stenn@whimsy.udel.edu +8 -8
    Cleanup from Dave Mills

  html/authopt.html
    1.30 03/10/13 04:21:08 stenn@whimsy.udel.edu +9 -9
    Cleanup from Dave Mills

  html/audio.html
    1.15 03/10/13 04:21:07 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills

  html/assoc.html
    1.20 03/10/13 04:21:07 stenn@whimsy.udel.edu +8 -8
    Cleanup from Dave Mills

  html/accopt.html
    1.22 03/10/13 04:21:07 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills

ChangeSet
  1.1157 03/10/11 04:01:59 stenn@whimsy.udel.edu +1 -0
  Cleanup from Dave Mills

  html/hints/sco.html
    1.6 03/10/11 04:01:43 stenn@whimsy.udel.edu +19 -37
    Cleanup from Dave Mills

ChangeSet
  1.1156 03/10/11 03:55:07 stenn@whimsy.udel.edu +1 -0
  [Bug 207] ntpdc crashes in monlinst with pre-IPv6 ntpd

  ntpdc/ntpdc.c
    1.31 03/10/11 03:54:51 stenn@whimsy.udel.edu +1 -1
    [Bug 207] ntpdc crashes in monlinst with pre-IPv6 ntpd

ChangeSet
  1.1153.2.1 03/10/09 00:24:40 stenn@whimsy.udel.edu +4 -0
  Updates from Dave Mills (first pass)

  html/index.html
    1.27 03/10/09 00:24:12 stenn@whimsy.udel.edu +2 -2
    Updates from Dave Mills (first pass)

  html/ntpd.html
    1.30 03/10/09 00:24:10 stenn@whimsy.udel.edu +10 -10
    Updates from Dave Mills (first pass)

  html/confopt.html
    1.26 03/10/09 00:24:09 stenn@whimsy.udel.edu +81 -77
    Updates from Dave Mills (first pass)

  html/accopt.html
    1.21 03/10/09 00:24:08 stenn@whimsy.udel.edu +3 -3
    Updates from Dave Mills (first pass)

ChangeSet
  1.1153.1.7 03/10/08 09:42:13 peda@sectra.se +1 -0
  Check return value of localtime call to prevent NULL dereference.

  libntp/humandate.c
    1.4 03/10/08 09:41:54 peda@sectra.se +8 -2
    Check return value of localtime call to prevent NULL dereference.

ChangeSet
  1.1153.1.6 03/10/07 17:10:34 stenn@whimsy.udel.edu +2 -0
  Merge pogo:/usa/bruckman/ntp-dev into whimsy.udel.edu:/backroom/ntp-dev

  ntpq/ntpq.c
    1.43 03/10/07 17:10:29 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpdc/ntpdc_ops.c
    1.27 03/10/07 17:10:28 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1153.1.5 03/10/07 06:44:19 stenn@whimsy.udel.edu +1 -0
  Automerge

  ntpd/ntp_request.c
    1.53 03/10/07 06:44:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1153.1.4 03/10/07 06:36:38 stenn@whimsy.udel.edu +1 -0
  [Bug 205] Prevent a NULL dereference

  ntpd/ntp_proto.c
    1.161 03/10/07 06:36:22 stenn@whimsy.udel.edu +4 -2
    [Bug 205] Prevent a NULL dereference

ChangeSet
  1.1153.1.2 03/10/07 05:51:38 stenn@whimsy.udel.edu +1 -0
  [Bug 197] Only check-kayout if we have PATH_PERL

  ntpdc/Makefile.am
    1.20 03/10/07 05:51:05 stenn@whimsy.udel.edu +15 -9
    Only check-kayout if we have PATH_PERL

ChangeSet
  1.1152.4.2 03/10/07 04:44:07 stenn@whimsy.udel.edu +7 -0
  Changes from Dave Mills - "monitor" stuff, mostly.

  ntpdc/ntpdc_ops.c
    1.25.1.1 03/10/07 04:43:11 stenn@whimsy.udel.edu +2 -2
    Changes from Dave Mills - "monitor" stuff, mostly.

  ntpd/ntp_request.c
    1.51.1.1 03/10/07 04:42:53 stenn@whimsy.udel.edu +3 -7
    Changes from Dave Mills - "monitor" stuff, mostly.

  ntpd/ntp_monitor.c
    1.12 03/10/07 04:42:52 stenn@whimsy.udel.edu +8 -3
    Changes from Dave Mills - "monitor" stuff, mostly.

  ntpd/ntp_config.c
    1.98 03/10/07 04:42:51 stenn@whimsy.udel.edu +17 -13
    Changes from Dave Mills - "monitor" stuff, mostly.

  include/ntpd.h
    1.59 03/10/07 04:42:40 stenn@whimsy.udel.edu +1 -0
    Changes from Dave Mills - "monitor" stuff, mostly.

  include/ntp_config.h
    1.28 03/10/07 04:42:37 stenn@whimsy.udel.edu +1 -0
    Changes from Dave Mills - "monitor" stuff, mostly.

  include/ntp.h
    1.92 03/10/07 04:42:36 stenn@whimsy.udel.edu +1 -2
    Changes from Dave Mills - "monitor" stuff, mostly.

ChangeSet
  1.1152.1.9 03/10/06 12:33:50 fredb@seduction.immanent.net +2 -0
  Fix a couple more gcc warnings that are only seen on non-typical platforms.

  ntpd/refclock_parse.c
    1.22 03/10/06 12:33:50 fredb@seduction.immanent.net +11 -11
    Fix another gcc warning about "de-referencing type-punned pointer" 
    that is only seen on hosts with signed "char" type.

  ntpd/refclock_jupiter.c
    1.14 03/10/06 12:33:49 fredb@seduction.immanent.net +4 -4
    Fix cryptic gcc warning about "implicit truncation of unsigned type"
    that is only seen on big endian hosts.

ChangeSet
  1.1152.1.8 03/10/06 10:38:09 bruckman@pogo.udel.edu +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into pogo.udel.edu:/pogo/users/bruckman/ntp-dev

  BitKeeper/etc/logging_ok
    1.40 03/10/06 10:37:56 bruckman@pogo.udel.edu +1 -0
    Logging to logging@openlogging.org accepted

ChangeSet
  1.1152.4.1 03/10/06 03:12:59 stenn@whimsy.udel.edu +1 -0
  Distribution directory cleanup

  Makefile.am
    1.44 03/10/06 03:12:35 stenn@whimsy.udel.edu +18 -1
    Distribution directory cleanup

ChangeSet
  1.1152.1.7 03/10/05 17:49:11 fredb@seduction.immanent.net +7 -0
  Fixes for various and sundry compiler warnings, from NetBSD.

  ntpq/ntpq_ops.c
    1.18 03/10/05 17:49:10 fredb@seduction.immanent.net +1 -1
    Fix for gcc-3.3.1 warnings:
    
      dereferencing type-punned pointer will break strict-aliasing rules
    
    From NetBSD CVS, by Jason Thorpe.

  ntpq/ntpq.c
    1.41.1.1 03/10/05 17:49:09 fredb@seduction.immanent.net +2 -2
    Fix for gcc-3.3.1 warnings:
    
      dereferencing type-punned pointer will break strict-aliasing rules
    
    From NetBSD CVS, by Jason Thorpe.

  ntpdc/ntpdc_ops.c
    1.26 03/10/05 17:49:09 fredb@seduction.immanent.net +17 -17
    Fix for gcc-3.3.1 warnings:
    
      dereferencing type-punned pointer will break strict-aliasing rules
    
    From NetBSD CVS, by Jason Thorpe.

  ntpd/refclock_shm.c
    1.15 03/10/05 17:49:09 fredb@seduction.immanent.net +3 -0
    Supply missing prototype, by Matthias Drochner.

  ntpd/ntp_io.c
    1.94 03/10/05 17:49:09 fredb@seduction.immanent.net +4 -0
    Avoid a compiler warning when no refclocks are configured at all. 
    From NetBSD CVS, by Manuel Bouyer. (No, NetBSD doesn't explicitly 
    support building ntpd that way.)

  ntpd/ntp_crypto.c
    1.89 03/10/05 17:49:09 fredb@seduction.immanent.net +6 -6
    Fixes for gcc "incompatible pointer type" warnings, by Matthias Drochner.

  ntpd/ntp_control.c
    1.63 03/10/05 17:49:09 fredb@seduction.immanent.net +4 -0
    Avoid a compiler warning when no refclocks are configured at all. 
    From NetBSD CVS, by Manuel Bouyer. (No, NetBSD doesn't explicitly 
    support building ntpd that way.)

ChangeSet
  1.1152.1.6 03/10/03 14:26:15 fredb@rapture.immanent.net +1 -0
  Initialize the value of "v6_flag" in all cases in sys_info(), so that "ntpdc -c sysinfo" 
  won't display the random, uninitialized value of peer6 for the system peer in the 
  no syspeer case on IPv6-capable hosts. Problem noted and solution provided by Matthias 
  Drochner, with a minor optimization by myself.
  
  

  ntpd/ntp_request.c
    1.52 03/10/03 14:26:13 fredb@rapture.immanent.net +6 -2
    Initialize "v6_flag" in all cases.

ChangeSet
  1.1152.1.5 03/10/03 09:12:23 fredb@rapture.immanent.net +1 -0
  Resolve conflicts.

  ntpd/ntp_io.c
    1.93 03/10/03 09:12:22 fredb@rapture.immanent.net +1 -7
    Resolve conflicts.

ChangeSet
  1.1152.1.4 03/09/30 11:35:30 fredb@rapture.immanent.net +2 -0
  Some timers tweaks, including one build fix.

  ntpd/ntp_timer.c
    1.26 03/09/30 11:35:29 fredb@rapture.immanent.net +2 -2
    Fix paste-o in version 1.25, fixing build on NetBSD 1.6.1 and other platforms
    without POSIX timers.

  configure.in
    1.332 03/09/30 11:35:29 fredb@rapture.immanent.net +4 -1
    NetBSD has a working timer_create() and timer_settime() since 1.6M, so 
    the first released version with them will be 2.0.
    
    Folks running NetBSD-current (pre 2.0) can force the greater precision, 
    POSIX timers via
    
      configure --build=$(uname -p)--netbsd2
    

ChangeSet
  1.1152.1.3 03/09/30 10:11:28 fredb@seduction.immanent.net +1 -0
  Merge

  BitKeeper/etc/logging_ok
    1.39 03/09/30 10:11:28 fredb@seduction.immanent.net +1 -0
    Logging to logging@openlogging.org accepted

  BitKeeper/etc/logging_ok
    1.38 03/09/30 10:09:52 fredb@seduction.immanent.net +1 -1
    'Auto converge'

ChangeSet
  1.1152.3.2 03/09/29 23:37:34 blu@corwin. +2 -0
  ntp_timer.c:
    Double check that value isn't zero and thus disarm the timer.

  BitKeeper/etc/logging_ok
    1.37 03/09/29 23:37:34 blu@corwin. +1 -0
    Logging to logging@openlogging.org accepted

  ntpd/ntp_timer.c
    1.25 03/09/29 23:36:09 blu@corwin. +14 -0
    Double check that value isn't zero and thus disarm the timer.

ChangeSet
  1.1152.2.2 03/08/26 22:19:32 mayer@tecotoo.myibg.com +2 -0
  Add HAVE_VSNPRINTF macro to prevent extra declarations if already defined by the OS.

  ports/winnt/include/config.h
    1.24 03/08/26 22:19:08 mayer@tecotoo.myibg.com +1 -0
    Windows already declares vsnprintf. Disallow additional declarations.

  include/l_stdlib.h
    1.14 03/08/26 22:19:05 mayer@tecotoo.myibg.com +2 -0
    Added code to only declare vsnprintf if not declared elsewhere.

ChangeSet
  1.1152.3.1 03/08/26 04:55:19 stenn@whimsy.udel.edu +1 -0
  Also call findbcastinter() for MDF_ACAST | MDF_MCAST | MDF_BCAST.  From Dave Mills.

  ntpd/ntp_peer.c
    1.57 03/08/26 04:54:56 stenn@whimsy.udel.edu +1 -1
    Also call findbcastinter() for MDF_ACAST | MDF_MCAST | MDF_BCAST.  From Dave Mills.

ChangeSet
  1.1148.1.5 03/08/22 21:24:57 mayer@tecotoo.myibg.com +1 -0
  Changed vaddr to remaddr to avoid namespace collisions during build with NetBSD

  ntpd/ntp_io.c
    1.91.1.1 03/08/22 21:23:16 mayer@tecotoo.myibg.com +9 -9
    Changed vaddr to remaddr to avoid namespace collisions during build with NetBSD

ChangeSet
  1.1152.1.1 03/08/20 21:31:45 fredb@tautology.immanent.net +1 -0
  Fix for NetBSD 1.6.1.

  ntpd/ntp_io.c
    1.92 03/08/20 21:31:43 fredb@tautology.immanent.net +7 -9
    NetBSD 1.6.1 already has a conflicting typedef for vaddr_t in <machine/types.h>,
    with a comment that says "This should probably be if defined(_KERNEL)", no less,
    so just replace all mention of "vaddr_t" with "struct vaddr", rather than try to
    think of a better name.

ChangeSet
  1.1154 03/08/20 11:06:04 blu@jedi.east.sun.com +1 -0
  ntpq.html:
    Fix typos 

  html/ntpq.html
    1.23 03/08/20 11:03:21 blu@jedi.east.sun.com +2 -2
    Fix typos 

ChangeSet
  1.1153 03/08/20 10:37:37 blu@jedi.east.sun.com +1 -0
  ntpq.c:
    If assoc_cache is loaded, clamp association ids using & notation to allow 
    specifying all associations without knowing how many there are.

  ntpq/ntpq.c
    1.42 03/08/20 10:00:56 blu@jedi.east.sun.com +8 -4
    If assoc_cache is loaded, clamp association ids using & notation to allow 
    specifying all associations without knowing how many there are.

ChangeSet
  1.1148.1.4 03/08/19 15:07:53 mayer@tecotoo.myibg.com +1 -0
  Comment out check for Up flag in Address_Okay

  ntpd/ntp_io.c
    1.91 03/08/19 15:06:40 mayer@tecotoo.myibg.com +3 -2
    Comment out check for Up flag in Address_Okay

ChangeSet
  1.1148.1.3 03/08/19 14:55:51 mayer@tecotoo.myibg.com +1 -0
  Add debug to address_okay

  ntpd/ntp_io.c
    1.90 03/08/19 14:54:15 mayer@tecotoo.myibg.com +20 -0
    Add debug to address_okay

ChangeSet
  1.1150 03/08/17 04:05:20 stenn@whimsy.udel.edu +1 -0
  Lint - reported by Danny Mayer

  ntpq/ntpq.c
    1.41 03/08/17 04:05:03 stenn@whimsy.udel.edu +6 -6
    Lint - reported by Danny Mayer

ChangeSet
  1.1148.1.2 03/08/16 21:29:02 mayer@tecotoo.myibg.com +1 -0
  Fix add_addr_to_list call

  ntpd/ntp_io.c
    1.89 03/08/16 21:27:29 mayer@tecotoo.myibg.com +1 -1
    'Fix

ChangeSet
  1.1148.1.1 03/08/16 20:59:26 mayer@tecotoo.myibg.com +1 -0
  Add linked list to track remote addresses.

  ntpd/ntp_io.c
    1.88 03/08/16 20:58:51 mayer@tecotoo.myibg.com +83 -0
    Add linked list to track remote addresses.

ChangeSet
  1.1149 03/08/15 14:18:53 blu@jedi.east.sun.com +3 -0
  ntp_timer.c, ntp_loopfilter.c, ntpd.h:
    Reinitialize the interval timer after stepping the clock. The behavior of 
    the timer after a clock step is not addressed by POSIX and is undefined,
    so the safest course is to reintitialize it when we step the clock. Solaris,
    for one, is known to stop triggering the timer after a step backward until
    the system clock "catches up".

  ntpd/ntp_timer.c
    1.24 03/08/15 14:15:47 blu@jedi.east.sun.com +38 -11
    Reinitialize the interval timer after stepping the clock. The behavior of 
    the timer after a clock step is not addressed by POSIX and is undefined,
    so the safest course is to reintitialize it when we step the clock. Solaris,
    for one, is known to stop triggering the timer after a step backward until
    the system clock "catches up".

  ntpd/ntp_loopfilter.c
    1.85 03/08/15 14:15:34 blu@jedi.east.sun.com +2 -0
    Reinitialize the interval timer after stepping the clock. The behavior of 
    the timer after a clock step is not addressed by POSIX and is undefined,
    so the safest course is to reintitialize it when we step the clock. Solaris,
    for one, is known to stop triggering the timer after a step backward until
    the system clock "catches up".

  include/ntpd.h
    1.58 03/08/15 14:15:19 blu@jedi.east.sun.com +1 -0
    Reinitialize the interval timer after stepping the clock. The behavior of 
    the timer after a clock step is not addressed by POSIX and is undefined,
    so the safest course is to reintitialize it when we step the clock. Solaris,
    for one, is known to stop triggering the timer after a step backward until
    the system clock "catches up".

ChangeSet
  1.1146.1.1 03/08/14 03:02:42 stenn@whimsy.udel.edu +2 -0
  some little changes

  ntpdc/Makefile.am
    1.19 03/08/14 03:01:55 stenn@whimsy.udel.edu +1 -0
    Fix the cleanup rules.

  ntpd/ntp_io.c
    1.87 03/08/13 18:56:00 stenn@whimsy.udel.edu +2 -2
    Changes from Danny Mayer

ChangeSet
  1.1140.1.11 03/08/13 09:46:24 blu@jedi.east.sun.com +7 -0
  ignore:
    Added firefly.sh include/ntp.patch include/ntp_control.patch include/ntp_request.patch jedi.sh ntpd/ntp_control.patch ntpd/ntp_peer.patch ntpd/ntp_proto.patch ntpd/ntp_request.patch ntpq/ntpq.patch to the ignore list
  ntp_proto.c, ntp_peer.c, ntp_control.c, ntp_control.h, ntp.h:
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

  BitKeeper/etc/logging_ok
    1.36 03/08/13 09:45:36 blu@jedi.east.sun.com +1 -0
    Logging to logging@openlogging.org accepted

  BitKeeper/etc/ignore
    1.34 03/08/13 09:24:49 blu@jedi.east.sun.com +10 -0
    Added firefly.sh include/ntp.patch include/ntp_control.patch include/ntp_request.patch jedi.sh ntpd/ntp_control.patch ntpd/ntp_peer.patch ntpd/ntp_proto.patch ntpd/ntp_request.patch ntpq/ntpq.patch to the ignore list

  ntpd/ntp_proto.c
    1.160 03/08/13 09:24:36 blu@jedi.east.sun.com +2 -0
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

  ntpd/ntp_peer.c
    1.56 03/08/13 09:24:26 blu@jedi.east.sun.com +1 -0
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

  ntpd/ntp_control.c
    1.62 03/08/13 09:24:15 blu@jedi.east.sun.com +14 -9
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

  include/ntp_control.h
    1.23 03/08/13 09:24:06 blu@jedi.east.sun.com +9 -8
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

  include/ntp.h
    1.91 03/08/13 09:23:56 blu@jedi.east.sun.com +1 -0
    Add rank counter for each peer. This is incremented each time a peer reaches
    candidate status, or is actually selected as the system peer. By this method,
    peers that are contribute most often to the system time will have a higher 
    count.

ChangeSet
  1.1146 03/08/11 11:30:34 fredb@tautology.immanent.net +2 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into tautology.immanent.net:/s/bitkeeper/ntp-dev

  ntpq/ntpq.c
    1.40 03/08/11 11:30:31 fredb@tautology.immanent.net +0 -0
    Auto merged

  configure.in
    1.331 03/08/11 11:30:31 fredb@tautology.immanent.net +0 -0
    Auto merged

ChangeSet
  1.1140.1.10 03/08/11 00:15:46 stenn@whimsy.udel.edu +1 -0
  Bug 182: Clean up Solaris version checks

  configure.in
    1.327.1.3 03/08/11 00:15:33 stenn@whimsy.udel.edu +11 -2
    Bug 182: Clean up Solaris version checks

ChangeSet
  1.1140.1.8 03/08/10 22:26:03 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_control.c
    1.61 03/08/10 22:25:59 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1140.1.7 03/08/10 21:52:49 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpq/ntpq.c
    1.38.1.1 03/08/10 21:52:45 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1140.1.6 03/08/10 21:26:08 stenn@whimsy.udel.edu +1 -0
  Remove the old ntptrace/Makefile from configure.in

  configure.in
    1.327.1.2 03/08/10 21:25:58 stenn@whimsy.udel.edu +0 -1
    Remove the old ntptrace/Makefile from configure.in

ChangeSet
  1.1140.1.5 03/08/10 18:41:23 stenn@whimsy.udel.edu +3 -0
  Updates from Dave Mills

  html/release.html
    1.28 03/08/10 18:40:54 stenn@whimsy.udel.edu +2 -2
    Updates from Dave Mills

  html/debug.html
    1.22 03/08/10 18:40:54 stenn@whimsy.udel.edu +2 -2
    Updates from Dave Mills

  html/accopt.html
    1.20 03/08/10 18:40:54 stenn@whimsy.udel.edu +4 -6
    Updates from Dave Mills

ChangeSet
  1.1140.1.4 03/08/10 18:35:30 stenn@whimsy.udel.edu +1 -0
  typo

  html/ntpdc.html
    1.19 03/08/10 18:35:17 stenn@whimsy.udel.edu +1 -1
    typo

ChangeSet
  1.1140.1.3 03/08/10 18:12:34 stenn@whimsy.udel.edu +1 -0
  peer_unfit() needs to test for FLAG_NOSELECT.  From Dave Mills.

  ntpd/ntp_proto.c
    1.159 03/08/10 18:12:22 stenn@whimsy.udel.edu +3 -1
    peer_unfit() needs to test for FLAG_NOSELECT.  From Dave Mills.

ChangeSet
  1.1145 03/08/10 10:27:44 fredb@tautology.immanent.net +1 -0
  Don't try to create "ntptrace/Makefile", now that "ntptrace" is gone.

  configure.in
    1.330 03/08/10 10:27:42 fredb@tautology.immanent.net +0 -1
    Don't try to create "ntptrace/Makefile", now that "ntptrace" is gone.

ChangeSet
  1.1144 03/08/10 08:50:40 fredb@tautology.immanent.net +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into tautology.immanent.net:/s/bitkeeper/ntp-dev

  configure.in
    1.329 03/08/10 08:50:37 fredb@tautology.immanent.net +0 -0
    Auto merged

ChangeSet
  1.1140.1.2 03/08/10 07:56:27 stenn@whimsy.udel.edu +5 -0
  Remove the old ntptrace/ code.

  Makefile.am
    1.43 03/08/10 07:56:15 stenn@whimsy.udel.edu +1 -1
    Remove the old ntptrace/ code.

  BitKeeper/deleted/.del-ntptrace.h~3e480692
    1.4 03/08/10 07:55:03 stenn@whimsy.udel.edu +0 -0
    Delete: ntptrace/ntptrace.h

  BitKeeper/deleted/.del-ntptrace.c~3aed0663
    1.17 03/08/10 07:55:03 stenn@whimsy.udel.edu +0 -0
    Delete: ntptrace/ntptrace.c

  BitKeeper/deleted/.del-README~3aed0663
    1.4 03/08/10 07:55:02 stenn@whimsy.udel.edu +0 -0
    Delete: ntptrace/README

  BitKeeper/deleted/.del-Makefile.am~3aed0663
    1.6 03/08/10 07:55:02 stenn@whimsy.udel.edu +0 -0
    Delete: ntptrace/Makefile.am

ChangeSet
  1.1140.1.1 03/08/10 06:31:13 stenn@whimsy.udel.edu +1 -0
  configure.in:
    Some HP-UX 11.11 systems don't have sockaddr_storage
    so we can't allow the native IPv6 headers to be used.

  configure.in
    1.327.1.1 03/08/10 06:30:13 stenn@whimsy.udel.edu +6 -0
    Some HP-UX 11.11 systems don't have sockaddr_storage
    so we can't allow the native IPv6 headers to be used.

ChangeSet
  1.1143 03/08/09 09:44:36 fredb@rapture.immanent.net +2 -0
  automake subtlety, to permit the bootstrapped sources to build and install with BSD make.

  ntpq/Makefile.am
    1.11 03/08/09 09:44:35 fredb@rapture.immanent.net +1 -1
    automake subtlety, to permit the bootstrapped sources to build and install with BSD make.

  ntpdc/Makefile.am
    1.18 03/08/09 09:44:35 fredb@rapture.immanent.net +1 -1
    automake subtlety, to permit the bootstrapped sources to build and install with BSD make.

ChangeSet
  1.1142 03/08/09 06:15:08 fredb@tautology.immanent.net +1 -0
  Another fix for "." not in $PATH.

  ntpdc/Makefile.am
    1.17 03/08/09 06:15:06 fredb@tautology.immanent.net +1 -1
    Another fix for "." not in $PATH.

ChangeSet
  1.1141 03/08/09 06:13:01 fredb@tautology.immanent.net +3 -0
  Do "readline" on NetBSD.

  ntpq/ntpq.c
    1.39 03/08/09 06:12:59 fredb@tautology.immanent.net +5 -5
    Do "readline" on NetBSD.

  ntpdc/ntpdc.c
    1.30 03/08/09 06:12:59 fredb@tautology.immanent.net +5 -5
    Do "readline" on NetBSD.

  configure.in
    1.328 03/08/09 06:12:58 fredb@tautology.immanent.net +7 -2
    Do "readline" on NetBSD.

ChangeSet
  1.1140 03/08/09 04:23:40 stenn@whimsy.udel.edu +1 -0
  Also use CPPFLAGS for nl.c.

  ntpdc/Makefile.am
    1.16 03/08/09 04:23:29 stenn@whimsy.udel.edu +1 -1
    Also use CPPFLAGS for nl.c.

ChangeSet
  1.1139 03/08/09 02:06:09 stenn@whimsy.udel.edu +1 -0
  Merge

  ntpdc/Makefile.am
    1.15 03/08/09 02:05:53 stenn@whimsy.udel.edu +0 -1
    Looks the same to me...

ChangeSet
  1.1138 03/08/08 15:31:43 stenn@whimsy.udel.edu +1 -0
  Invoke the layout generation script using ./nl.pl

  ntpdc/Makefile.am
    1.14 03/08/08 15:31:31 stenn@whimsy.udel.edu +1 -1
    Invoke the layout generation script using ./nl.pl

ChangeSet
  1.1135.2.1 03/08/08 17:18:59 ro@xayide.techfak.uni-bielefeld.de +1 -0
  [Bug 185] Fix compilation error on Tru64 UNIX V4.0F with cc.

  include/l_stdlib.h
    1.13 03/08/08 17:18:29 ro@xayide.techfak.uni-bielefeld.de +2 -0
    Include <varargs.h> on pre-ANSI C systems.

ChangeSet
  1.1135.1.1 03/08/08 17:12:56 ro@xayide.techfak.uni-bielefeld.de +4 -0
  Fix some problems in layout.std verification.

  ntpdc/nl_in.c
    1.2 03/08/08 17:12:31 ro@xayide.techfak.uni-bielefeld.de +1 -0
    Include config.h first to avoid compilation warnings.

  ntpdc/nl.pl.in
    1.6 03/08/08 17:12:31 ro@xayide.techfak.uni-bielefeld.de +7 -2
    Allow more whitespace in preprocessor output.
    Add debug code.
    Abort if some line isn't matched instead of failing silently

  ntpdc/layout.std
    1.2 03/08/08 17:12:31 ro@xayide.techfak.uni-bielefeld.de +296 -3
    Update after nl.pl has been fixed to handle the output of different
    preprocessors.

  ntpdc/Makefile.am
    1.12.1.1 03/08/08 17:12:30 ro@xayide.techfak.uni-bielefeld.de +1 -1
    ntpdc-layout must be built before layout.here is created.

ChangeSet
  1.1137 03/08/08 05:56:16 stenn@whimsy.udel.edu +1 -0
  Typo

  parseutil/Makefile.am
    1.6 03/08/08 05:56:05 stenn@whimsy.udel.edu +1 -1
    Typo

ChangeSet
  1.683.14.51 03/08/08 11:43:34 peda@sectra.se +1 -0
  Correctly remove trailing space from arguments of incoming
  request variables.

  ntpd/ntp_control.c
    1.37.3.8 03/08/08 11:43:33 peda@sectra.se +2 -2
    Correctly remove trailing space from arguments of incoming
    request variables.

ChangeSet
  1.1136 03/08/08 05:36:14 stenn@whimsy.udel.edu +4 -0
  Move -lcrypto to its own variable and out of LIBS.

  util/Makefile.am
    1.21 03/08/08 05:36:01 stenn@whimsy.udel.edu +10 -9
    Move -lcrypto to its own variable and out of LIBS.

  ntpdc/Makefile.am
    1.13 03/08/08 05:36:01 stenn@whimsy.udel.edu +2 -2
    Move -lcrypto to its own variable and out of LIBS.

  ntpd/Makefile.am
    1.36 03/08/08 05:36:01 stenn@whimsy.udel.edu +2 -2
    Move -lcrypto to its own variable and out of LIBS.

  configure.in
    1.327 03/08/08 05:36:01 stenn@whimsy.udel.edu +1 -1
    Move -lcrypto to its own variable and out of LIBS.

ChangeSet
  1.683.14.50 03/08/08 10:48:40 peda@sectra.se +1 -0
  clean up keyid mess in ntpq.

  ntpq/ntpq.c
    1.16.2.1 03/08/08 10:48:38 peda@sectra.se +16 -10
    clean up keyid mess.

ChangeSet
  1.1135 03/08/08 04:36:17 stenn@whimsy.udel.edu +2 -0
  Bug 180: Verify mode 7 packet layout at build time.

  ntpdc/Makefile.am
    1.12 03/08/08 04:34:51 stenn@whimsy.udel.edu +9 -2
    Check the structure layout to insure compatibility.

  ntpdc/layout.std
    1.1 03/08/08 04:32:43 stenn@whimsy.udel.edu +124 -0

  ntpdc/layout.std
    1.0 03/08/08 04:32:43 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/ntpdc/layout.std

ChangeSet
  1.1134 03/08/08 04:00:14 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  libntp/authkeys.c
    1.13 03/08/08 04:00:10 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1130.1.5 03/08/07 08:05:53 mayer@tecotoo.myibg.com +6 -0
  Clean up includes

  ports/winnt/ntpq/ntpq.dsp
    1.12 03/08/07 08:05:09 mayer@tecotoo.myibg.com +2 -2
    Clean up includes

  ports/winnt/ntpdc/ntpdc.dsp
    1.12 03/08/07 08:05:06 mayer@tecotoo.myibg.com +2 -2
    Clean up includes

  ports/winnt/ntpdate/ntpdate.dsp
    1.11 03/08/07 08:05:04 mayer@tecotoo.myibg.com +2 -2
    Clean up includes

  ports/winnt/ntpd/ntpd.dsp
    1.18 03/08/07 08:05:02 mayer@tecotoo.myibg.com +1 -1
    Clean up includes

  ports/winnt/ntp-keygen/ntpkeygen.dsp
    1.3 03/08/07 08:05:00 mayer@tecotoo.myibg.com +1 -1
    Clean up includes

  ports/winnt/libntp/libntp.dsp
    1.16 03/08/07 08:04:57 mayer@tecotoo.myibg.com +1 -1
    Clean up includes

ChangeSet
  1.1130.3.1 03/08/07 04:12:19 stenn@whimsy.udel.edu +1 -0
  Use our md5.h header under RedHat.  Reported by Reg Clemens.

  configure.in
    1.326 03/08/07 04:12:07 stenn@whimsy.udel.edu +7 -1
    Use our md5.h header under RedHat.  Reported by Reg Clemens.

ChangeSet
  1.1130.1.4 03/08/06 22:15:52 mayer@tecotoo.myibg.com +5 -0
  Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.
  Need to force the isc headers to not include the isc/ipv6.h code.

  ports/winnt/libisc/net.c
    1.4 03/08/06 22:15:17 mayer@tecotoo.myibg.com +18 -0
    Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.

  ports/winnt/include/isc/net.h
    1.3 03/08/06 22:15:15 mayer@tecotoo.myibg.com +5 -0
    Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.

  ntpq/ntpq.c
    1.38 03/08/06 22:15:12 mayer@tecotoo.myibg.com +11 -10
    Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.
    Need to force the isc headers to not include the isc/ipv6.h code.

  ntpdc/ntpdc.c
    1.29 03/08/06 22:15:10 mayer@tecotoo.myibg.com +11 -10
    Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.
    Need to force the isc headers to not include the isc/ipv6.h code.

  ntpd/ntp_io.c
    1.86 03/08/06 22:15:05 mayer@tecotoo.myibg.com +1 -4
    Use the Win32InitSockets code now in port/winnt/libisc/net.c so we use common code.

ChangeSet
  1.1130.1.3 03/08/05 07:04:07 stenn@whimsy.udel.edu +3 -0
  auto* magic for ntpdc-layout

  ntpdc/nl.pl.in
    1.5 03/08/05 07:03:32 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ntpdc/nl.pl.in
    1.4 03/08/05 07:03:14 stenn@whimsy.udel.edu +1 -1
    auto* magic for ntpdc-layout

  ntpdc/Makefile.am
    1.11 03/08/05 07:03:14 stenn@whimsy.udel.edu +9 -2
    auto* magic for ntpdc-layout

  configure.in
    1.325 03/08/05 07:03:14 stenn@whimsy.udel.edu +1 -0
    auto* magic for ntpdc-layout

  ntpdc/nl.pl.in
    1.3 03/08/05 06:30:01 stenn@whimsy.udel.edu +0 -0
    Rename: ntpdc/nl.pl -> ntpdc/nl.pl.in

  ntpdc/nl.pl
    1.2 03/08/05 06:24:09 stenn@whimsy.udel.edu +0 -0
    Change mode to -rwxrwxr-x

ChangeSet
  1.1130.2.1 03/08/05 02:49:37 stenn@whimsy.udel.edu +1 -0
  [Bug 174] Use Dave's fix.

  ntpd/ntp_refclock.c
    1.51 03/08/05 02:49:27 stenn@whimsy.udel.edu +4 -3
    [Bug 174] Use Dave's fix.

  ntpdc/ntpdc-layout.c
    1.1 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +21 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-local/ntpdc/ntpdc-layout.c

  ntpdc/nl_in.c
    1.1 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +2 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-local/ntpdc/nl_in.c

  ntpdc/nl.pl
    1.1 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +32 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-local/ntpdc/nl.pl

  ntpdc/ntpdc_ops.c
    1.25 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +17 -19
    Include <stddef.h> for offsetof.
    Use v4sizeof to avoid manual calculations of IPv4 structure sizes.

  ntpdc/ntpdc-layout.c
    1.0 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +0 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-clone/ntpdc/ntpdc-layout.c

  ntpdc/nl_in.c
    1.0 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +0 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-clone/ntpdc/nl_in.c

  ntpdc/nl.pl
    1.0 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +0 -0
    BitKeeper file /amnt/figaro/volumes/adm-src/adm/src/ntp/ntp-dev-clone/ntpdc/nl.pl

  ntpdc/Makefile.am
    1.10 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +3 -0
    Add ntpdc-layout.

  ntpd/ntp_request.c
    1.51 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +22 -64
    Include <stddef.h> for offsetof.
    Define and use v6sizeof to replace manual determination of IPv4 vs. IPv6
    structure sizes.
    Use v4sizeof to directly calculate IPv4 structure sizes.

  include/ntp_request.h
    1.22 03/08/04 20:28:10 ro@xayide.techfak.uni-bielefeld.de[ro] +24 -18
    Remove ALT_* macros, define v4sizeof instead.
    Carefully pad all structs varying between IPv4 and IPv6 so their layout
    is identical irrespective of alignment requirements of struct in6_addr
    (may require 4-byte or 8-byte alignment).
    Fix a few typos.

ChangeSet
  1.1130.1.1 03/08/04 18:33:47 ro@xayide.techfak.uni-bielefeld.de[ro] +8 -0
  [Bug 164, 165] Make sure NTP mode 7 request and response packets are layed
  out identically irrespective of 32 vs. 64-bit systems or struct in6_addr
  alignment requirements.

  BitKeeper/etc/logging_ok
    1.35 03/08/04 18:33:26 ro@xayide.techfak.uni-bielefeld.de[ro] +1 -0
    Logging to logging@openlogging.org accepted

ChangeSet
  1.683.14.49 03/08/04 14:42:21 peda@sectra.se +1 -0
  Remember all trusted keys in a hash bucket when deleting keys.

  libntp/authkeys.c
    1.6.1.3 03/08/04 14:42:18 peda@sectra.se +1 -0
    Remember all trusted keys in a hash bucket when deleting keys.

ChangeSet
  1.1131 03/08/04 14:02:44 peda@sectra.se +1 -0
  Problem deleting keys when rereading them from file.
  - Don't crash on odd number of keys in one hash.
  - Delete all keys, not just every other key.

  libntp/authkeys.c
    1.12 03/08/04 14:02:41 peda@sectra.se +0 -1
    Don't crash on odd number of keys in one hash.
    Delete all keys, not just every other key.

ChangeSet
  1.1130 03/08/01 04:24:02 stenn@pogo.udel.edu +2 -0
  Default to -4 if isc_net_probeipv6() fails.

  ntpq/ntpq.c
    1.37 03/08/01 04:23:23 stenn@pogo.udel.edu +9 -1
    Default to -4 if isc_net_probeipv6() fails.

  ntpdc/ntpdc.c
    1.28 03/08/01 04:23:23 stenn@pogo.udel.edu +9 -1
    Default to -4 if isc_net_probeipv6() fails.

ChangeSet
  1.1129 03/08/01 01:54:04 stenn@whimsy.udel.edu +3 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_jupiter.c
    1.13 03/08/01 01:54:01 stenn@whimsy.udel.edu +0 -0
    Auto merged

  BitKeeper/etc/logging_ok
    1.34 03/08/01 01:54:00 stenn@whimsy.udel.edu +1 -0
    'Auto converge'

  BitKeeper/etc/logging_ok
    1.33 03/08/01 01:53:59 stenn@whimsy.udel.edu +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.26 03/08/01 01:53:59 stenn@whimsy.udel.edu +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.32 03/08/01 01:53:58 stenn@whimsy.udel.edu +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.25 03/08/01 01:53:56 stenn@whimsy.udel.edu +0 -0
    auto-union

ChangeSet
  1.683.18.1 03/07/31 15:29:27 peda@sectra.se +2 -0
  Make the jupiter refclock aware of the year. I.e. don't trust the
  system clock to have the correct year.

  BitKeeper/etc/logging_ok
    1.1.1.12 03/07/31 15:29:26 peda@sectra.se +1 -0
    Logging to logging@openlogging.org accepted

  ntpd/refclock_jupiter.c
    1.8.1.3 03/07/31 15:28:09 peda@sectra.se +4 -4
    Get the correct year.

ChangeSet
  1.1128 03/07/30 22:47:39 stenn@whimsy.udel.edu +1 -0
  Merge pogo:/usa/mayer/ntp-dev-io into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_config.c
    1.97 03/07/30 22:47:35 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1111.2.7 03/07/30 22:31:25 mayer@tecotoo.myibg.com +1 -0
  Put back the SOCK_DGRAM hints and the "ntp" service into getaddrinfo.
  Remove the freeaddrinfo() when getaddrinfo fails.

  ntpd/ntp_config.c
    1.95.1.2 03/07/30 22:30:54 mayer@tecotoo.myibg.com +2 -2
    Put back the SOCK_DGRAM hints and the "ntp" service into getaddrinfo.
    Remove the freeaddrinfo() when getaddrinfo fails.

ChangeSet
  1.1111.2.6 03/07/29 15:25:52 mayer@tecotoo.myibg.com +1 -0
  Minor updates

  ntpd/ntp_config.c
    1.95.1.1 03/07/29 15:25:25 mayer@tecotoo.myibg.com +1 -3
    Minor updates

ChangeSet
  1.1111.3.1 03/07/29 15:10:37 mayer@tecotoo.myibg.com +1 -0
  'Minor

  ntpd/ntp_config.c
    1.94.1.1 03/07/29 15:09:22 mayer@tecotoo.myibg.com +3 -2
    'Minor

ChangeSet
  1.1127 03/07/28 20:32:47 stenn@whimsy.udel.edu +2 -0
  Merge pogo:/usa/mayer/ntp-dev-io into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_io.c
    1.85 03/07/28 20:32:43 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/ntp_config.c
    1.96 03/07/28 20:32:43 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1111.2.5 03/07/28 20:26:50 mayer@pogo.udel.edu +1 -0
  Update config to check for IP version

  ntpd/ntp_config.c
    1.95 03/07/28 20:26:08 mayer@pogo.udel.edu +4 -2
    Update config to check for IP version

ChangeSet
  1.1111.2.4 03/07/28 20:11:37 mayer@pogo.udel.edu +1 -0
  Undo findinterface changes

  ntpd/ntp_io.c
    1.83.1.1 03/07/28 20:09:49 mayer@pogo.udel.edu +0 -14
    Undo findinterface changes

ChangeSet
  1.1126 03/07/27 21:45:48 stenn@whimsy.udel.edu +1 -0
  lint

  sntp/unix.c
    1.3 03/07/27 21:45:38 stenn@whimsy.udel.edu +3 -4
    lint

ChangeSet
  1.1125 03/07/27 21:34:08 stenn@whimsy.udel.edu +2 -0
  lint

  sntp/header.h
    1.3 03/07/27 21:33:57 stenn@whimsy.udel.edu +1 -1
    typo fix

  ntpd/ntp_proto.c
    1.158 03/07/27 21:33:39 stenn@whimsy.udel.edu +1 -1
    peer_unfit() is static.

ChangeSet
  1.1124 03/07/27 21:07:08 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_shm.c
    1.14 03/07/27 21:07:04 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.47 03/07/27 21:04:14 stenn@whimsy.udel.edu +1 -0
  lint

  ntpd/refclock_shm.c
    1.10.1.2 03/07/27 21:04:04 stenn@whimsy.udel.edu +2 -2
    lint

ChangeSet
  1.1123 03/07/27 19:58:21 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_neoclock4x.c
    1.9 03/07/27 19:58:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.46 03/07/27 19:56:58 stenn@whimsy.udel.edu +1 -0
  neol_atoi_len() is static.  Clean up some fn definitions.

  ntpd/refclock_neoclock4x.c
    1.1.1.6 03/07/27 19:56:46 stenn@whimsy.udel.edu +26 -21
    neol_atoi_len() is static.  Clean up some fn definitions.

ChangeSet
  1.1122 03/07/27 18:16:44 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_neoclock4x.c
    1.8 03/07/27 18:16:41 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.45 03/07/27 18:14:41 stenn@whimsy.udel.edu +1 -0
  Clean up some type mismatches.

  ntpd/refclock_neoclock4x.c
    1.1.1.5 03/07/27 18:14:32 stenn@whimsy.udel.edu +2 -2
    Clean up some type mismatches.

ChangeSet
  1.1121 03/07/27 17:52:35 stenn@whimsy.udel.edu +1 -0
  chu_newchan() is static...

  ntpd/refclock_chu.c
    1.34 03/07/27 17:52:24 stenn@whimsy.udel.edu +1 -1
    chu_newchan() is static...

ChangeSet
  1.683.14.44 03/07/27 06:11:23 stenn@whimsy.udel.edu +1 -0
  syslog does %m, not printf.

  util/tickadj.c
    1.6 03/07/27 06:11:11 stenn@whimsy.udel.edu +2 -2
    syslog does %m, not printf.

ChangeSet
  1.1119 03/07/27 02:44:00 stenn@whimsy.udel.edu +6 -0
  Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  ntpd/ntp_loopfilter.c
    1.84 03/07/27 02:42:39 stenn@whimsy.udel.edu +1 -1
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  ntpd/ntp_io.c
    1.84 03/07/27 02:42:38 stenn@whimsy.udel.edu +0 -4
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  ntpd/ntp_config.c
    1.93.1.1 03/07/27 02:42:38 stenn@whimsy.udel.edu +2 -0
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  libntp/snprintf.c
    1.8 03/07/27 02:42:38 stenn@whimsy.udel.edu +6 -5
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  libisc/isc_strerror.c
    1.3 03/07/27 02:42:38 stenn@whimsy.udel.edu +2 -0
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

  include/l_stdlib.h
    1.12 03/07/27 02:42:38 stenn@whimsy.udel.edu +7 -0
    Bug 162: Quiet some warnings.  From Rainer Orth, with some wiggles by Harlan.

ChangeSet
  1.1114.1.1 03/07/27 00:58:17 stenn@whimsy.udel.edu +3 -0
  Bug 162: Only link programs with libreadline that use it (ntpdc and ntpq),  From Rainer Orth.

  ntpq/Makefile.am
    1.10 03/07/27 00:57:31 stenn@whimsy.udel.edu +1 -1
    Bug 162: Only link programs with libreadline that use it (ntpdc and ntpq),  From Rainer Orth.

  ntpdc/Makefile.am
    1.9 03/07/27 00:57:31 stenn@whimsy.udel.edu +1 -1
    Bug 162: Only link programs with libreadline that use it (ntpdc and ntpq),  From Rainer Orth.

  configure.in
    1.324 03/07/27 00:57:30 stenn@whimsy.udel.edu +6 -1
    Bug 162: Only link programs with libreadline that use it (ntpdc and ntpq),  From Rainer Orth.

ChangeSet
  1.1117 03/07/26 15:38:23 stenn@whimsy.udel.edu +62 -0
  Bug 168: Rainer Orth: Fix world-writable files

  libisc/strerror.c
    1.2 03/07/26 15:36:25 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/net.c
    1.3 03/07/26 15:36:24 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/msgcat.c
    1.3 03/07/26 15:36:24 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/mem.c
    1.2 03/07/26 15:36:24 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/lib.c
    1.2 03/07/26 15:36:23 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/isc_strerror.c
    1.2 03/07/26 15:36:23 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/interfaceiter.c
    1.3 03/07/26 15:36:23 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/inet_ntop.c
    1.4 03/07/26 15:36:22 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/ifiter_sysctl.c
    1.6 03/07/26 15:36:22 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/ifiter_ioctl.c
    1.11 03/07/26 15:36:22 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/error.c
    1.2 03/07/26 15:36:22 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/ntp-keygen/ntpkeygen.dsp
    1.2 03/07/26 15:36:21 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libisc/win32os.c
    1.2 03/07/26 15:36:21 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libisc/assertions.c
    1.2 03/07/26 15:36:21 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libisc/once.c
    1.2 03/07/26 15:36:20 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libisc/net.c
    1.3 03/07/26 15:36:20 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libisc/isc_strerror.c
    1.3 03/07/26 15:36:20 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libisc/interfaceiter.c
    1.3 03/07/26 15:36:20 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/win32os.h
    1.2 03/07/26 15:36:19 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/strerror.h
    1.2 03/07/26 15:36:19 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/platform.h
    1.2 03/07/26 15:36:19 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/once.h
    1.2 03/07/26 15:36:18 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/offset.h
    1.2 03/07/26 15:36:18 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/net.h
    1.2 03/07/26 15:36:18 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/mutex.h
    1.2 03/07/26 15:36:18 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libntp/syslog.c
    1.2 03/07/26 15:36:17 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/ipv6.h
    1.2 03/07/26 15:36:17 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/include/isc/int.h
    1.2 03/07/26 15:36:17 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libntp/strerror.c
    1.2 03/07/26 15:36:16 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libntp/randfile.c
    1.2 03/07/26 15:36:16 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libntp/log.c
    1.2 03/07/26 15:36:16 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  ports/winnt/libntp/interfaceiter.c
    1.2 03/07/26 15:36:16 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  libntp/net.c.bak
    1.2 03/07/26 15:36:15 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/util.h
    1.2 03/07/26 15:36:15 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/string.h
    1.2 03/07/26 15:36:15 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/types.h
    1.2 03/07/26 15:36:14 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/strerror.h
    1.2 03/07/26 15:36:14 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/sockaddr.h
    1.2 03/07/26 15:36:14 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/result.h
    1.2 03/07/26 15:36:14 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/print.h
    1.2 03/07/26 15:36:13 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/platform.h
    1.2 03/07/26 15:36:13 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/once.h
    1.2 03/07/26 15:36:13 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/offset.h
    1.2 03/07/26 15:36:13 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/netaddr.h
    1.3 03/07/26 15:36:12 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/net.h
    1.4 03/07/26 15:36:12 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/mutex.h
    1.2 03/07/26 15:36:12 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/msgs.h
    1.2 03/07/26 15:36:11 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/msgcat.h
    1.2 03/07/26 15:36:11 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/mem.h
    1.2 03/07/26 15:36:11 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/magic.h
    1.2 03/07/26 15:36:11 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/list.h
    1.2 03/07/26 15:36:10 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/lib.h
    1.2 03/07/26 15:36:10 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/lang.h
    1.2 03/07/26 15:36:10 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/ipv6.h
    1.3 03/07/26 15:36:09 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/interfaceiter.h
    1.2 03/07/26 15:36:09 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/int.h
    1.2 03/07/26 15:36:09 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/formatcheck.h
    1.2 03/07/26 15:36:09 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/error.h
    1.2 03/07/26 15:36:08 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/boolean.h
    1.2 03/07/26 15:36:08 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/assertions.h
    1.2 03/07/26 15:36:08 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/isc/app.h
    1.2 03/07/26 15:36:07 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

  include/interfaceiter.h
    1.2 03/07/26 15:36:07 stenn@whimsy.udel.edu +0 -0
    Change mode to -rw-rw-r--

ChangeSet
  1.1116 03/07/26 03:47:40 stenn@whimsy.udel.edu +1 -0
  Add ss_family support

  sntp/configure.ac
    1.6 03/07/26 03:47:29 stenn@whimsy.udel.edu +39 -0
    Add ss_family support

ChangeSet
  1.1115 03/07/26 02:36:07 stenn@whimsy.udel.edu +2 -0
  Clean up some Makefile.am fun.

  parseutil/Makefile.am
    1.5 03/07/26 02:34:03 stenn@whimsy.udel.edu +4 -2
    Better handling of the dcfd program.

  Makefile.am
    1.42 03/07/26 02:31:15 stenn@whimsy.udel.edu +1 -1
    Add sntp as a DIST_SUBDIRS

ChangeSet
  1.1114 03/07/26 00:18:17 stenn@whimsy.udel.edu +1 -0
  ntp_crypto.c:
    In crypto_update() in the loop when an expired certificate has been freed,
    its cp->link is still used in the next itteration of the loop. This is
    bad. :-) FreeBSD-current does not like that at all. This patch is my
    attempt to fix the problem.

  ntpd/ntp_crypto.c
    1.88 03/07/26 00:17:24 stenn@whimsy.udel.edu +5 -4
    In crypto_update() in the loop when an expired certificate has been freed,
    its cp->link is still used in the next itteration of the loop. This is
    bad. :-) FreeBSD-current does not like that at all. This patch is my
    attempt to fix the problem.

ChangeSet
  1.1111.1.8 03/07/25 04:45:53 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  configure.in
    1.323 03/07/25 04:45:49 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.43 03/07/25 04:44:37 stenn@whimsy.udel.edu +1 -0
  [Bug 161] Lose -pipe for gcc

  configure.in
    1.219.3.50 03/07/25 04:44:13 stenn@whimsy.udel.edu +0 -15
    [Bug 161] Lose -pipe for gcc

ChangeSet
  1.1111.2.3 03/07/24 19:59:58 mayer@pogo.udel.edu +1 -0
  Call to getaddrinfo in getnetnum was wrong

  ntpd/ntp_config.c
    1.94 03/07/24 19:59:06 mayer@pogo.udel.edu +5 -3
    Call to getaddrinfo in getnetnum was wrong

ChangeSet
  1.1111.1.7 03/07/24 04:24:29 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  configure.in
    1.322 03/07/24 04:24:23 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.42 03/07/24 04:11:04 stenn@whimsy.udel.edu +1 -0
  While I don't know the original reason for using -std1 for OSF, -std1 is now a lose on 4.0d with a c99 compiler, and AC_PROG_CC_STDC can check for this.

  configure.in
    1.219.3.49 03/07/24 04:10:52 stenn@whimsy.udel.edu +0 -7
    While I don't know the original reason for using -std1 for OSF, -std1 is now a lose on 4.0d with a c99 compiler, and AC_PROG_CC_STDC can check for this.

ChangeSet
  1.1111.1.5 03/07/22 18:53:07 stenn@whimsy.udel.edu +1 -0
  Dave Mills: Fix an old bug, according to spec.

  ntpd/ntp_proto.c
    1.157 03/07/22 18:52:58 stenn@whimsy.udel.edu +4 -5
    Dave Mills: Fix an old bug, according to spec.

ChangeSet
  1.1111.2.2 03/07/22 17:55:31 mayer@pogo.udel.edu +1 -0
  Fix missing conditional code around check for socket error

  ntpd/ntp_io.c
    1.83 03/07/22 17:54:27 mayer@pogo.udel.edu +8 -0
    Fix missing conditional code around check for socket error

ChangeSet
  1.1111.2.1 03/07/22 08:44:54 mayer@tecotoo.myibg.com +1 -0
  Back out the last change but test the local addresses first.

  ntpd/ntp_io.c
    1.82 03/07/22 08:44:26 mayer@tecotoo.myibg.com +46 -3
    Back out the last change but test the local addresses first.

ChangeSet
  1.1111.1.4 03/07/22 00:26:15 stenn@whimsy.udel.edu +1 -0
  Typo fixes from Martin Burnicki

  html/drivers/driver8.html
    1.12 03/07/22 00:26:00 stenn@whimsy.udel.edu +8 -8
    Typo fixes from Martin Burnicki

ChangeSet
  1.1111.1.3 03/07/21 06:53:27 stenn@whimsy.udel.edu +1 -0
  Merge

  configure.in
    1.321 03/07/21 06:53:08 stenn@whimsy.udel.edu +1 -2
    ntp-dev uses its own version numbers.

ChangeSet
  1.683.17.1 03/07/21 06:47:46 stenn@whimsy.udel.edu +1 -0
  4.1.2a

  configure.in
    1.219.3.48 03/07/21 06:47:34 stenn@whimsy.udel.edu +1 -1
    4.1.2a

ChangeSet
  1.1111.1.2 03/07/21 06:33:29 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable-157
  into whimsy.udel.edu:/backroom/ntp-dev-157

  ntpd/refclock_jupiter.c
    1.12 03/07/21 06:33:25 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.40 03/07/21 06:30:16 stenn@whimsy.udel.edu +1 -0
  assert edge typo fix from Peter Ekberg

  ntpd/refclock_jupiter.c
    1.8.1.2 03/07/21 06:30:04 stenn@whimsy.udel.edu +1 -1
    assert edge typo fix from Peter Ekberg

ChangeSet
  1.1111.1.1 03/07/20 21:17:19 stenn@whimsy.udel.edu +1 -0
  Autodetect refclock_shm prerequisites.  Fix the defaults for the non-parse refclocks.

  configure.in
    1.320 03/07/20 21:17:08 stenn@whimsy.udel.edu +32 -16
    Autodetect refclock_shm prerequisites.  Fix the defaults for the non-parse refclocks.

ChangeSet
  1.1112 03/07/18 13:38:09 claas@nixfix.(none) +1 -0
  driver44.html:
    Update the URL for the NeoClock4X website

  html/drivers/driver44.html
    1.9 03/07/18 13:36:47 claas@nixfix.(none) +1 -1
    Update the URL for the NeoClock4X website

ChangeSet
  1.1111 03/07/17 06:31:45 stenn@whimsy.udel.edu +2 -0
  Merge

  configure.in
    1.319 03/07/17 06:31:28 stenn@whimsy.udel.edu +0 -1
    ntp-dev uses ntp-dev version numbers.

  NEWS
    1.44 03/07/17 06:30:28 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.39 03/07/17 05:57:46 stenn@whimsy.udel.edu +2 -0
  ntp-4.1.2

  configure.in
    1.219.3.47 03/07/17 05:56:36 stenn@whimsy.udel.edu +1 -1
    ntp-4.1.2

  NEWS
    1.31.1.11 03/07/17 05:56:04 stenn@whimsy.udel.edu +16 -0
    Update the NEWS file

ChangeSet
  1.1099.2.3 03/07/15 23:16:27 mayer@tecotoo.myibg.com +1 -0
  Add Danny Mayer to the contributor's list and fix Mark Andrew's address.

  html/copyright.html
    1.27 03/07/15 23:15:55 mayer@tecotoo.myibg.com +4 -3
    Add Danny Mayer to the contributor's list and fix Mark Andrew's address.

ChangeSet
  1.1109 03/07/15 03:52:14 stenn@whimsy.udel.edu +2 -0
  Avoid gcc warning, "cast discards qualifiers from pointer target type". (Frederick Bruckman)

  ntpq/ntpq.c
    1.36 03/07/15 03:52:01 stenn@whimsy.udel.edu +3 -3
    Avoid gcc warning, "cast discards qualifiers from pointer target type". (Frederick Bruckman)

  ntpdc/ntpdc.c
    1.27 03/07/15 03:52:01 stenn@whimsy.udel.edu +3 -3
    Avoid gcc warning, "cast discards qualifiers from pointer target type". (Frederick Bruckman)

ChangeSet
  1.1106.1.2 03/07/14 05:53:34 stenn@whimsy.udel.edu +3 -0
  Get approval from Dave Mills before changing these files.

  libntp/systime.c
    1.27 03/07/14 05:53:20 stenn@whimsy.udel.edu +3 -0
    Get approval from Dave Mills before changing these files.

  ntpd/ntp_proto.c
    1.156 03/07/14 05:53:19 stenn@whimsy.udel.edu +3 -0
    Get approval from Dave Mills before changing these files.

  ntpd/ntp_loopfilter.c
    1.83 03/07/14 05:53:19 stenn@whimsy.udel.edu +2 -0
    Get approval from Dave Mills before changing these files.

ChangeSet
  1.1099.2.2 03/07/13 08:35:51 mayer@tecotoo.myibg.com +1 -0
  The order of the arguments were wrong.

  ntpd/ntp_config.c
    1.93 03/07/13 08:34:57 mayer@tecotoo.myibg.com +2 -3
    The order of the arguments were wrong.

ChangeSet
  1.1107 03/07/13 03:27:25 stenn@pogo.udel.edu +3 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-stable-150
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-150

  ntpd/refclock_arc.c
    1.14 03/07/13 03:27:10 stenn@pogo.udel.edu +0 -0
    SCCS merged

  BitKeeper/etc/logging_ok
    1.31 03/07/13 03:17:51 stenn@pogo.udel.edu +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.24 03/07/13 03:17:51 stenn@pogo.udel.edu +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.30 03/07/13 03:17:47 stenn@pogo.udel.edu +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.23 03/07/13 03:17:33 stenn@pogo.udel.edu +1 -1
    auto-union

ChangeSet
  1.1106 03/07/11 22:31:00 stenn@whimsy.udel.edu +1 -0
  Cleanup from Dave Mills.

  util/ntptime.c
    1.17 03/07/11 22:30:51 stenn@whimsy.udel.edu +1 -5
    Cleanup from Dave Mills.

ChangeSet
  1.1099.2.1 03/07/11 14:27:56 mayer@tecotoo.myibg.com +1 -0
  Fix Multicast to not set the flag until used.
  Remove the unnecessary socket-querying code in findinterface and just
  look up the interface.

  ntpd/ntp_io.c
    1.81 03/07/11 14:27:19 mayer@tecotoo.myibg.com +3 -44
    Fix Multicast to not set the flag until used.
    Remove the unnecessary socket-querying code in findinterface and just
    look up the interface.

ChangeSet
  1.683.14.38 03/07/11 11:01:59 fredb@rapture.immanent.net +2 -0
  Fix a warning compiling "refclock_arc.c".

  BitKeeper/etc/logging_ok
    1.1.1.11 03/07/11 11:01:59 fredb@rapture.immanent.net +1 -0
    Logging to logging@openlogging.org accepted

  ntpd/refclock_arc.c
    1.8.1.3 03/07/11 11:01:52 fredb@rapture.immanent.net +2 -2
    Fix a warning, "passing arg 1 of `get_systime' from incompatible pointer type",
    by gcc-2.95.3.

ChangeSet
  1.1105 03/07/10 06:10:50 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable-ca
  into whimsy.udel.edu:/backroom/ntp-dev-ca

  ntpd/refclock_neoclock4x.c
    1.7 03/07/10 06:10:46 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.16.1 03/07/10 10:03:01 claas@nixfix.(none) +1 -0
  refclock_neoclock4x.c:
    fix status reporting, update driver to v1.13

  ntpd/refclock_neoclock4x.c
    1.1.1.4 03/07/10 09:58:32 claas@nixfix.(none) +10 -1
    fix status reporting, update driver to v1.13

ChangeSet
  1.1104 03/07/08 21:47:12 fredb@tautology.immanent.net +3 -0
  Corect a couple more misspelings of "occurred".

  html/rdebug.html
    1.14 03/07/08 21:47:08 fredb@tautology.immanent.net +2 -2
    occured -> occurred

  html/drivers/driver36.html
    1.20 03/07/08 21:47:08 fredb@tautology.immanent.net +2 -2
    occured -> occurred

  html/debug.html
    1.21 03/07/08 21:47:08 fredb@tautology.immanent.net +3 -3
    occured -> occurred

ChangeSet
  1.1103 03/07/08 16:00:17 fredb@tautology.immanent.net +18 -0
  Try again to merge spelling fixes from ntp-stable.

  parseutil/dcfd.c
    1.13 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_wwv.c
    1.44 03/07/08 16:00:15 fredb@tautology.immanent.net +1 -2
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_parse.c
    1.21 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_oncore.c
    1.46 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_msfees.c
    1.10 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_fg.c
    1.9 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  ntpd/refclock_chu.c
    1.33 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -4
    Try again to merge spelling fixes from ntp-stable.

  ntpd/ntp_filegen.c
    1.8 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  libntp/authkeys.c
    1.11 03/07/08 16:00:15 fredb@tautology.immanent.net +0 -0
    Try again to merge spelling fixes from ntp-stable.

  html/patches.html
    1.15 03/07/08 16:00:14 fredb@tautology.immanent.net +2 -3
    Try again to merge spelling fixes from ntp-stable.

  html/parsenew.html
    1.8 03/07/08 16:00:14 fredb@tautology.immanent.net +1 -1
    Try again to merge spelling fixes from ntp-stable.

  html/ntpq.html
    1.22 03/07/08 16:00:14 fredb@tautology.immanent.net +2 -5
    Try again to merge spelling fixes from ntp-stable.

  html/ntpdc.html
    1.18 03/07/08 16:00:14 fredb@tautology.immanent.net +3 -7
    Try again to merge spelling fixes from ntp-stable.

  html/ntpdate.html
    1.16 03/07/08 16:00:14 fredb@tautology.immanent.net +0 -1
    Try again to merge spelling fixes from ntp-stable.

  html/ntpd.html
    1.29 03/07/08 16:00:14 fredb@tautology.immanent.net +0 -1
    Try again to merge spelling fixes from ntp-stable.

  html/drivers/driver6.html
    1.16 03/07/08 16:00:14 fredb@tautology.immanent.net +0 -3
    Try again to merge spelling fixes from ntp-stable.

  html/patches.html
    1.4.1.3 03/07/08 15:47:04 fredb@tautology.immanent.net +0 -0
    Merge rename: html/patches.htm -> html/patches.html

  html/parsenew.html
    1.1.1.3 03/07/08 15:47:04 fredb@tautology.immanent.net +0 -0
    Merge rename: html/parsenew.htm -> html/parsenew.html

  html/ntpq.html
    1.6.1.3 03/07/08 15:47:04 fredb@tautology.immanent.net +0 -0
    Merge rename: html/ntpq.htm -> html/ntpq.html

  html/ntpdc.html
    1.5.1.3 03/07/08 15:47:04 fredb@tautology.immanent.net +0 -0
    Merge rename: html/ntpdc.htm -> html/ntpdc.html

  html/ntpdate.html
    1.5.1.3 03/07/08 15:47:04 fredb@tautology.immanent.net +0 -0
    Merge rename: html/ntpdate.htm -> html/ntpdate.html

  html/ntpd.html
    1.13.1.3 03/07/08 15:47:03 fredb@tautology.immanent.net +0 -0
    Merge rename: html/ntpd.htm -> html/ntpd.html

  html/drivers/driver6.html
    1.4.1.3 03/07/08 15:47:03 fredb@tautology.immanent.net +0 -0
    Merge rename: html/driver6.htm -> html/drivers/driver6.html

  BitKeeper/etc/logging_ok
    1.29 03/07/08 15:46:46 fredb@tautology.immanent.net +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.22 03/07/08 15:46:46 fredb@tautology.immanent.net +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.28 03/07/08 15:46:45 fredb@tautology.immanent.net +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.21 03/07/08 15:46:44 fredb@tautology.immanent.net +1 -1
    auto-union

ChangeSet
  1.1099.1.2 03/07/08 03:13:53 stenn@whimsy.udel.edu +1 -0
  Typo, reported by Michael Rios

  html/drivers/driver1.html
    1.13 03/07/08 03:13:21 stenn@whimsy.udel.edu +2 -2
    Typo, reported by Michael Rios

ChangeSet
  1.683.14.36 03/07/06 21:31:24 fredb@tautology.immanent.net +8 -0
  Correct usage, spelling of "lose", "loses", and "losing" where appropriate.

  parseutil/dcfd.c
    1.11.1.1 03/07/06 21:31:23 fredb@tautology.immanent.net +1 -1
    Let's see now... "loose" is the opposite of "tight", while "lose"
    is something you do, at say, poker, or a spelling bee.

  ntpd/refclock_parse.c
    1.18.2.1 03/07/06 21:31:23 fredb@tautology.immanent.net +2 -2
    "lose", "loses", losing": verbs. "loose" is a noun.

  ntpd/refclock_oncore.c
    1.38.1.2 03/07/06 21:31:22 fredb@tautology.immanent.net +3 -3
    Let's see now... "loose" is the opposite of "tight", while "lose"
    is something you do, at say, poker, or a spelling bee.

  ntpd/refclock_msfees.c
    1.8.1.1 03/07/06 21:31:22 fredb@tautology.immanent.net +1 -1
    Correct usage: "lose" vs. "loose".

  ntpd/ntp_filegen.c
    1.6.1.1 03/07/06 21:31:22 fredb@tautology.immanent.net +1 -1
    "losing", not "loosing".

  libntp/authkeys.c
    1.6.1.2 03/07/06 21:31:22 fredb@tautology.immanent.net +1 -1
    "loose" and "lose" are two different words, plus make this parse.

  html/parsenew.htm
    1.1.1.2 03/07/06 21:31:22 fredb@tautology.immanent.net +2 -2
    "loosing" isn't a word. Surely the author meant to say "losing".

  ChangeLog-4.1.0
    1.590 03/07/06 21:31:22 fredb@tautology.immanent.net +1 -1
    "loose" and "lose" are two different words!

ChangeSet
  1.1092.1.2 03/07/06 21:53:39 mayer@tecotoo.myibg.com +1 -0
  Miscellaneous changes for Winnt support

  html/hints/winnt.html
    1.13 03/07/06 21:53:02 mayer@tecotoo.myibg.com +59 -17
    Miscellaneous changes for Winnt support

ChangeSet
  1.683.14.35 03/07/06 18:22:37 fredb@tautology.immanent.net +11 -0
  Fix spelling, typos, usage. Mined from NetBSD CVS.

  BitKeeper/etc/logging_ok
    1.1.1.10 03/07/06 18:22:37 fredb@tautology.immanent.net +1 -0
    Logging to logging@openlogging.org accepted

  util/README
    1.4 03/07/06 18:22:23 fredb@tautology.immanent.net +2 -2
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  ntpd/refclock_wwv.c
    1.26.1.1 03/07/06 18:22:23 fredb@tautology.immanent.net +2 -2
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  ntpd/refclock_fg.c
    1.7.1.1 03/07/06 18:22:23 fredb@tautology.immanent.net +1 -1
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  ntpd/refclock_chu.c
    1.21.1.2 03/07/06 18:22:23 fredb@tautology.immanent.net +4 -4
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  html/patches.htm
    1.4.1.2 03/07/06 18:22:23 fredb@tautology.immanent.net +1 -1
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  html/ntpq.htm
    1.6.1.2 03/07/06 18:22:22 fredb@tautology.immanent.net +3 -3
    Fix spelling, typos. Mined from NetBSD CVS. Originally
    submitted by Adrian Mrva.

  html/ntpdc.htm
    1.5.1.2 03/07/06 18:22:22 fredb@tautology.immanent.net +4 -4
    Fix spelling, typos. Mined from NetBSD CVS. Originally
    submitted by Adrian Mrva.

  html/ntpdate.htm
    1.5.1.2 03/07/06 18:22:22 fredb@tautology.immanent.net +1 -1
    Fix spelling, typos. Mined from NetBSD CVS. Originally
    submitted by Adrian Mrva.

  html/ntpd.htm
    1.13.1.2 03/07/06 18:22:22 fredb@tautology.immanent.net +1 -1
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

  html/driver6.htm
    1.4.1.2 03/07/06 18:22:22 fredb@tautology.immanent.net +3 -3
    Fix spelling, typos. From Thomas Klausner <wiz@netbsd.org>.

ChangeSet
  1.1101 03/07/05 05:33:14 fredb@tautology.immanent.net +1 -0
  Make this build with pre-C99 compilers, too (which is, most of them!).

  ntpd/ntpd.c
    1.52 03/07/05 05:33:12 fredb@tautology.immanent.net +11 -9
    Define variables only at the beginning of a block.

ChangeSet
  1.1100 03/07/04 17:48:26 fredb@tautology.immanent.net +2 -0
  For BSD's, use setrlimit() to limit the stacksize to something considerably
  smaller than the default, similarly to what's done on AIX. This was culled
  from the NetBSD sources. Christos Zoulas gave credit for the patch, in the
  commit log, to Witold J. Wnuk (against ntp-4.0.99i, 2002-04-18). I've added
  a configure-time check for setrlimit(), and I had to up the pages from "8"
  to "20" to keep from dumping core in the resolver. (Apparently, the resolver
  now uses "a lot" of stack space to initialize, relatively speaking: the
  default is something like "512", but p_vm_ssize is only about "5" with the
  running program at any moment I look at it on both of the hosts I tested.)
  
  The bottom line is that it reduces the resident set size by about 2 Mb, from
  4.5 Mb, or by about 44%.

  ntpd/ntpd.c
    1.51 03/07/04 17:48:24 fredb@tautology.immanent.net +17 -0
    Limit the stack size with setrlimit(), on systems that have it, before locking
    down all those pages with mlockall().

  configure.in
    1.318 03/07/04 17:48:24 fredb@tautology.immanent.net +1 -0
    Add check for setrlimit().

ChangeSet
  1.1099 03/07/04 05:06:17 stenn@whimsy.udel.edu +1 -0
  Replace debug notice - if we squeal when we lose kernel sync, we should also note when it is recovered.

  ntpd/ntp_loopfilter.c
    1.82 03/07/04 05:06:05 stenn@whimsy.udel.edu +6 -0
    Replace debug notice - if we squeal when we lose kernel sync, we should also note when it is recovered.

ChangeSet
  1.1097 03/07/03 03:23:06 stenn@whimsy.udel.edu +3 -0
  Fixes from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.81 03/07/03 03:21:16 stenn@whimsy.udel.edu +41 -48
    1. At the longest poll intervals the FLL didn't kick in. While the typo
    was easilyl fixed, the simulator suggested some fine tuning. FLL is now
    disabled below the intercept and the averaging time constant reduced
    above the intercept. 
    2. If the initial time error is large and a frequency file is present
    and the frequency is not specified in the configuration file, the clock
    state machine started in the wrong state. The state machine eventually
    came on track, but the transitions were hideous. This might be the root
    cause of a couple of strange reports on the news wire.
     
    3. was the change to include/ntp.h
     
    4. Found a couple of misleading debug trace comments and fixed them.

  libntp/systime.c
    1.26 03/07/03 03:19:03 stenn@whimsy.udel.edu +2 -2
    (This could be the typo fixes)

  include/ntp.h
    1.90 03/07/03 02:22:00 stenn@whimsy.udel.edu +2 -2
    The maximum number of mitigated servers was only 10; that was
    determined in the bad old Fuzzball days and is needlessly small for
    current silicon. Upped it to 50. Put all twenty pool servers in the
    configuration file and wind up ntpd. Awesome.

ChangeSet
  1.1092.1.1 03/07/03 00:31:37 mayer@tecotoo.myibg.com +2 -0
  Remove references to IPv6 broadcast

  ntpd/ntp_io.c
    1.80 03/07/03 00:30:58 mayer@tecotoo.myibg.com +0 -10
    Remove references to IPv6 broadcast

  libisc/ifiter_ioctl.c
    1.10 03/07/03 00:30:53 mayer@tecotoo.myibg.com +16 -38
    Remove references to IPv6 broadcast

ChangeSet
  1.1095 03/06/30 07:14:08 stenn@whimsy.udel.edu +1 -0
  More cleanup to the refclock_jupiter clock.

  ntpd/refclock_jupiter.c
    1.11 03/06/30 07:13:53 stenn@whimsy.udel.edu +1 -1
    More cleanup to the refclock_jupiter clock.

ChangeSet
  1.1094 03/06/30 06:51:05 stenn@whimsy.udel.edu +5 -0
  Merge

  ntpd/refclock_jupiter.c
    1.10 03/06/30 06:47:16 stenn@whimsy.udel.edu +1 -2
    Try Real Hard to apply the original stable -> dev
    patches to the new stable -> new dev code.

  ports/winnt/ntpd/ntpd.dsp
    1.17 03/06/30 05:52:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ports/winnt/include/config.h
    1.23 03/06/30 05:52:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/refclock_conf.c
    1.22 03/06/30 05:52:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

  configure.in
    1.317 03/06/30 05:52:15 stenn@whimsy.udel.edu +4 -15
    Auto merged

ChangeSet
  1.1092 03/06/29 10:11:07 mayer@tecotoo.myibg.com +2 -0
  kill_asyncio was changed for Unix but not Windows
  Initialize .rnd file if it doesn't exist.

  ntpd/ntpd.c
    1.50 03/06/29 10:10:26 mayer@tecotoo.myibg.com +6 -0
    Add initialization of .rnd file in case OpenSSL needs it.

  ntpd/ntp_io.c
    1.79 03/06/29 10:10:18 mayer@tecotoo.myibg.com +1 -1
    Fix argument to match Unix version

ChangeSet
  1.1090.1.1 03/06/29 06:26:57 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_request.c
    1.50 03/06/29 06:26:52 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.15.1 03/06/29 06:19:50 stenn@whimsy.udel.edu +1 -0
  [Bug 129] msyslog() more debug output.

  ntpd/ntp_request.c
    1.23.3.4 03/06/29 06:19:38 stenn@whimsy.udel.edu +11 -3
    [Bug 129] msyslog() more debug output.

ChangeSet
  1.683.14.33 03/06/28 04:14:43 stenn@whimsy.udel.edu +5 -0
  [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

  ports/winnt/ntpd/ntpd.dsp
    1.11.1.1 03/06/28 04:14:20 stenn@whimsy.udel.edu +0 -1
    [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

  ports/winnt/include/config.h
    1.9.2.2 03/06/28 04:14:20 stenn@whimsy.udel.edu +1 -0
    [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

  ntpd/refclock_jupiter.c
    1.8.1.1 03/06/28 04:14:20 stenn@whimsy.udel.edu +529 -650
    [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

  ntpd/refclock_conf.c
    1.13.1.7 03/06/28 04:14:20 stenn@whimsy.udel.edu +1 -1
    [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

  configure.in
    1.219.3.46 03/06/28 04:14:20 stenn@whimsy.udel.edu +6 -11
    [Bug 136] PPS fixes for refclock_jupiter, from peda@sectra.se (Peter Ekberg)

ChangeSet
  1.1062.1.4 03/06/27 22:19:49 mayer@tecotoo.myibg.com +7 -0
  Add Win32 support for ntp-keygen and upgrade OpenSSL to 0.9.7b.

  ports/winnt/ntp-keygen/ntpkeygen.dsp
    1.1 03/06/27 22:19:13 mayer@tecotoo.myibg.com +150 -0

  ports/winnt/ntp-keygen/ntpkeygen.dsp
    1.0 03/06/27 22:19:13 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/ntp-keygen/ntpkeygen.dsp

  ports/winnt/libntp/randfile.c
    1.1 03/06/27 22:19:10 mayer@tecotoo.myibg.com +114 -0

  ports/winnt/libntp/randfile.c
    1.0 03/06/27 22:19:10 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libntp/randfile.c

  util/ntp-keygen.c
    1.24 03/06/27 22:19:08 mayer@tecotoo.myibg.com +56 -7
    Fix code to support Win32.

  ports/winnt/ntpd/ntpd.dsp
    1.16 03/06/27 22:19:05 mayer@tecotoo.myibg.com +4 -4
    Change OpenSSL to 0.9.7b

  ports/winnt/ntp.dsw
    1.7 03/06/27 22:19:02 mayer@tecotoo.myibg.com +12 -0
    Add ntp-keygen to the list of projects to build

  ports/winnt/libntp/libntp.dsp
    1.15 03/06/27 22:19:00 mayer@tecotoo.myibg.com +6 -2
    Add the randfile.c file.

  ports/winnt/include/config.h
    1.22 03/06/27 22:18:56 mayer@tecotoo.myibg.com +1 -0
    WIn32 has snprintf so we need to declare it.

ChangeSet
  1.1090 03/06/27 06:17:58 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_request.c
    1.49 03/06/27 06:17:54 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.32 03/06/27 05:44:00 stenn@whimsy.udel.edu +1 -0
  [Bug 129] Add more debug output.

  ntpd/ntp_request.c
    1.23.3.3 03/06/27 05:43:50 stenn@whimsy.udel.edu +8 -0
    [Bug 129] Add more debug output.

ChangeSet
  1.683.14.31 03/06/27 04:49:29 stenn@whimsy.udel.edu +2 -0
  Have README.hackers and README.patches refer to each other.

  README.patches
    1.2 03/06/27 04:49:19 stenn@whimsy.udel.edu +2 -0
    Have README.hackers and README.patches refer to each other.

  README.hackers
    1.10 03/06/27 04:49:19 stenn@whimsy.udel.edu +2 -0
    Have README.hackers and README.patches refer to each other.

ChangeSet
  1.1088 03/06/27 04:40:18 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  Makefile.am
    1.41 03/06/27 04:40:14 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.30 03/06/27 04:36:08 stenn@whimsy.udel.edu +3 -0
  Move the "patching" info from README.hackers to README.patches.

  README.hackers
    1.9 03/06/27 04:35:39 stenn@whimsy.udel.edu +0 -38
    Move the "patching" info from README.hackers to README.patches.

  Makefile.am
    1.12.1.22 03/06/27 04:35:37 stenn@whimsy.udel.edu +1 -0
    Move the "patching" info from README.hackers to README.patches.

  README.patches
    1.1 03/06/27 04:34:04 stenn@whimsy.udel.edu +37 -0

  README.patches
    1.0 03/06/27 04:34:04 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-stable-129/README.patches

ChangeSet
  1.1087 03/06/25 18:18:11 fredb@tautology.immanent.net +1 -0
  Simplify (re-enbaled -> enabled).

  ntpd/ntp_loopfilter.c
    1.80 03/06/25 18:18:09 fredb@tautology.immanent.net +1 -1
    Simplify (re-enbaled -> enabled).

ChangeSet
  1.1086 03/06/25 17:33:22 fredb@tautology.immanent.net +1 -0
  Fix merge botch.

  libntp/a_md5encrypt.c
    1.17 03/06/25 15:23:54 fredb@tautology.immanent.net +3 -1
    Fix merge botch.

ChangeSet
  1.1085 03/06/25 14:20:33 fredb@rapture.immanent.net +1 -0
  We log the initial state of the kernel discipline, and we log when we
  lose sync. So to restore parallelism, log when we reacquire sync, too.

  ntpd/ntp_loopfilter.c
    1.79 03/06/25 14:20:30 fredb@rapture.immanent.net +6 -0
    We log the initial state of the kernel discipline, and we log when we
    lose sync. So to restore parallelism, log when we reacquire sync, too.

ChangeSet
  1.1084 03/06/25 08:40:15 fredb@rapture.immanent.net +3 -0
  Merge tautology:/s/bitkeeper/ntp-dev
  into rapture.immanent.net:/home/fredb/source/ntp-dev

  BitKeeper/etc/logging_ok
    1.27 03/06/25 08:40:09 fredb@rapture.immanent.net +1 -0
    Logging to logging@openlogging.org accepted

  ntpq/ntpq.c
    1.35 03/06/25 08:39:32 fredb@rapture.immanent.net +0 -1
    Auto merged

  ntpdc/ntpdc.c
    1.26 03/06/25 08:39:32 fredb@rapture.immanent.net +0 -1
    Auto merged

ChangeSet
  1.1076.1.9 03/06/24 04:07:32 stenn@whimsy.udel.edu +2 -0
  [Bug 133] From fredb@tautology.immanent.net: Handle nonstandard EIA_NODATA return from getaddrinfo()

  ntpq/ntpq.c
    1.33.1.1 03/06/24 04:07:09 stenn@whimsy.udel.edu +1 -1
    [Bug 133] From fredb@tautology.immanent.net: Handle nonstandard EIA_NODATA return from getaddrinfo()

  ntpdc/ntpdc.c
    1.24.1.1 03/06/24 04:07:09 stenn@whimsy.udel.edu +1 -1
    [Bug 133] From fredb@tautology.immanent.net: Handle nonstandard EIA_NODATA return from getaddrinfo()

ChangeSet
  1.1076.1.8 03/06/24 03:42:09 stenn@whimsy.udel.edu +1 -0
  Merge

  ntpd/ntp_config.c
    1.92 03/06/24 03:41:36 stenn@whimsy.udel.edu +0 -2

ChangeSet
  1.683.14.29 03/06/24 03:38:13 stenn@whimsy.udel.edu +1 -0
  Typo.

  ntpd/ntp_config.c
    1.50.4.5 03/06/24 03:37:59 stenn@whimsy.udel.edu +2 -2
    Typo.

ChangeSet
  1.1076.1.7 03/06/24 03:35:02 stenn@whimsy.udel.edu +1 -0
  Merge

  ntpd/ntp_config.c
    1.91 03/06/24 03:34:33 stenn@whimsy.udel.edu +2 -3
    ntp-dev uses getaddrinfo()...

ChangeSet
  1.683.14.28 03/06/24 03:30:08 stenn@whimsy.udel.edu +1 -0
  [Bug 129] Clean up a diagnostic message.

  ntpd/ntp_config.c
    1.50.4.4 03/06/24 03:29:58 stenn@whimsy.udel.edu +4 -1
    [Bug 129] Clean up a diagnostic message.

ChangeSet
  1.1076.1.6 03/06/23 04:08:37 stenn@whimsy.udel.edu +1 -0
  [Bug 134] Log when we sync to a new source.

  ntpd/ntp_proto.c
    1.155 03/06/23 04:08:23 stenn@whimsy.udel.edu +27 -15
    [Bug 134] Log when we sync to a new source.

ChangeSet
  1.1076.1.5 03/06/22 05:52:57 stenn@whimsy.udel.edu +4 -0
  Merge

  BitKeeper/deleted/.del-ntp-genkeys.c~5de683d0
    1.77 03/06/22 05:52:38 stenn@whimsy.udel.edu +0 -3
    Old file - we don't care.

  ntpd/ntp_io.c
    1.78 03/06/22 05:26:59 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/ntp_config.c
    1.90 03/06/22 05:26:59 stenn@whimsy.udel.edu +0 -0
    Auto merged

  include/ntpd.h
    1.57 03/06/22 05:26:58 stenn@whimsy.udel.edu +0 -0
    Auto merged

  BitKeeper/deleted/.del-ntp-genkeys.c~5de683d0
    1.56.1.6 03/06/22 05:26:58 stenn@whimsy.udel.edu +0 -0
    Merge rename: util/ntp-genkeys.c -> BitKeeper/deleted/.del-ntp-genkeys.c~5de683d0

ChangeSet
  1.683.14.27 03/06/22 05:13:57 stenn@whimsy.udel.edu +4 -0
  [Bug 47] kill_asyncio() now takes 1 parameter - the lowest fd to close.

  util/ntp-genkeys.c
    1.56.1.5 03/06/22 05:13:40 stenn@whimsy.udel.edu +3 -1
    [Bug 47] kill_asyncio() now takes 1 parameter - the lowest fd to close.

  ntpd/ntp_io.c
    1.20.3.4 03/06/22 05:13:40 stenn@whimsy.udel.edu +4 -2
    [Bug 47] kill_asyncio() now takes 1 parameter - the lowest fd to close.

  ntpd/ntp_config.c
    1.50.4.3 03/06/22 05:13:40 stenn@whimsy.udel.edu +1 -1
    [Bug 47] kill_asyncio() now takes 1 parameter - the lowest fd to close.

  include/ntpd.h
    1.27.3.1 03/06/22 05:13:40 stenn@whimsy.udel.edu +1 -1
    [Bug 47] kill_asyncio() now takes 1 parameter - the lowest fd to close.

ChangeSet
  1.1076.1.4 03/06/21 06:09:07 stenn@whimsy.udel.edu +3 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntpd.c
    1.49 03/06/21 06:09:03 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/ntp_resolver.c
    1.16 03/06/21 06:09:03 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/ntp_intres.c
    1.31 03/06/21 06:09:02 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.26 03/06/21 06:03:07 stenn@whimsy.udel.edu +1 -0
  [Bug 129] Improve and normalize some error messages.

  ntpd/ntp_intres.c
    1.17.2.2 03/06/21 06:02:57 stenn@whimsy.udel.edu +6 -6
    [Bug 129] Improve and normalize some error messages.

ChangeSet
  1.683.14.25 03/06/21 05:56:12 stenn@whimsy.udel.edu +1 -0
  Cuddle a comment.

  ntpd/ntpd.c
    1.33.2.3 03/06/21 05:56:02 stenn@whimsy.udel.edu +1 -1
    Cuddle a comment.

ChangeSet
  1.1082 03/06/20 14:53:46 fredb@tautology.immanent.net +2 -0
  Broader support for IPv6 hostnames by "ntpdc" and "ntpq". On NetBSD
  from NetBSD 1.5 to NetBSD 1.6.1, getaddrinfo() returned EAI_NODATA
  in some cases where RFC's 2553 (and now 3493) required EAI_NONAME.
  Allow for that. The (mis-)interpretation was from the Kame project,
  so other platforms may be affected as well.

  ntpq/ntpq.c
    1.34 03/06/20 14:20:28 fredb@tautology.immanent.net +1 -1
    getaddrinfo() can return EAI_NODATA on NetBSD-1.5 to NetBSD-1.6.1
    in the AI_NUMERICHOST case (from kame, so other platforms may be
    affected as well).

  ntpdc/ntpdc.c
    1.25 03/06/20 14:17:22 fredb@tautology.immanent.net +1 -1
    getaddrinfo() can return EAI_NODATA on NetBSD-1.5 to NetBSD-1.6.1
    in the AI_NUMERICHOST case (from kame, so other platforms may be
    affected as well).

ChangeSet
  1.1081 03/06/20 05:45:27 fredb@tautology.immanent.net +1 -0
  Resolve bug #123: fix build on NetBSD.

  libntp/a_md5encrypt.c
    1.16 03/06/20 05:45:26 fredb@tautology.immanent.net +0 -7
    Accept Harlen Stenn's solution for bug #123.

ChangeSet
  1.683.14.24 03/06/20 04:32:07 stenn@whimsy.udel.edu +1 -0
  Note that ntp_resolver.c is currently unused in the file.

  ntpd/ntp_resolver.c
    1.11.1.3 03/06/20 04:31:47 stenn@whimsy.udel.edu +3 -0
    Note that ntp_resolver.c is currently unused in the file.

ChangeSet
  1.1076.1.3 03/06/20 00:45:40 stenn@whimsy.udel.edu +1 -0
  [Bug 123] More portable MD5 conditionalization

  libntp/a_md5encrypt.c
    1.13.1.1 03/06/20 00:45:28 stenn@whimsy.udel.edu +5 -10
    [Bug 123] More portable MD5 conditionalization

ChangeSet
  1.1080 03/06/19 20:01:31 fredb@tautology.immanent.net +1 -0
  Clean up the includes in a_md5encrypt.c. Proposed fix for bug #123.

  libntp/a_md5encrypt.c
    1.15 03/06/19 20:01:29 fredb@tautology.immanent.net +6 -8
    Trim the fat. We were including "ntpd.h" just to get "ntp_fp.h",
    and <stdio.h> and "ntp_machine.h" aren't used for anything here.
    Proposed fix for bug #123.

ChangeSet
  1.1076.1.2 03/06/19 03:58:31 stenn@whimsy.udel.edu +1 -0
  [Bug 128] ntpq coredump with IPv6

  ntpq/ntpq.c
    1.33 03/06/19 03:57:56 stenn@whimsy.udel.edu +1 -1
    [Bug 128] ntpq coredump with IPv6

ChangeSet
  1.1076.1.1 03/06/18 00:23:05 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/cmd_args.c
    1.22 03/06/18 00:23:01 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.23 03/06/18 00:20:55 stenn@whimsy.udel.edu +1 -0
  [Bug 125] Add a missing newline from an fprintf

  ntpd/cmd_args.c
    1.7.2.2 03/06/18 00:20:43 stenn@whimsy.udel.edu +1 -1
    [Bug 125] Add a missing newline from an fprintf

ChangeSet
  1.1077 03/06/16 12:09:12 fredb@tautology.immanent.net +2 -0
  Make this build on NetBSD.

  BitKeeper/etc/logging_ok
    1.26 03/06/16 12:09:12 fredb@tautology.immanent.net +1 -0
    Logging to logging@openlogging.org accepted

  libntp/a_md5encrypt.c
    1.14 03/06/16 12:09:01 fredb@tautology.immanent.net +3 -4
    Really disable the OpenSSL MD5 includes.

ChangeSet
  1.1076 03/06/13 02:44:04 stenn@whimsy.udel.edu +2 -0
  4.1.80-rc1

  configure.in
    1.316 03/06/13 02:41:55 stenn@whimsy.udel.edu +1 -1
    4.1.80-rc1

  NEWS
    1.43 03/06/13 02:41:55 stenn@whimsy.udel.edu +1 -0
    4.1.80-rc1

ChangeSet
  1.1075 03/06/13 02:28:46 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_intres.c
    1.30 03/06/13 02:28:43 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.22 03/06/13 02:27:26 stenn@whimsy.udel.edu +1 -0
  [Bug 110] Don't syslog EINTR returns from select().

  ntpd/ntp_intres.c
    1.17.2.1 03/06/13 02:27:07 stenn@whimsy.udel.edu +2 -1
    [Bug 110] Don't syslog EINTR returns from select().

ChangeSet
  1.1062.1.3 03/06/12 23:19:43 mayer@tecotoo.myibg.com +2 -0
  Remove support for building ntptrace on Win32.
  Improvement for generating the version number on Win32.

  ports/winnt/scripts/mkver.bat
    1.5 03/06/12 23:19:11 mayer@tecotoo.myibg.com +26 -3
    Improvement for generating the version number for Win32.

  ports/winnt/ntp.dsw
    1.6 03/06/12 23:19:08 mayer@tecotoo.myibg.com +0 -47
    Remove support for building ntptrace on Win32.
    The perl script should be used instead.

ChangeSet
  1.1073 03/06/12 21:28:30 stenn@whimsy.udel.edu +1 -0
  Merge pogo:/usa/mayer/ntp-dev-io into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_io.c
    1.77 03/06/12 21:28:26 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1072 03/06/12 02:49:43 stenn@whimsy.udel.edu +1 -0
  Merge

  ntpd/ntp_io.c
    1.75.1.1 03/06/12 02:49:24 stenn@whimsy.udel.edu +4 -4
    Conflict resolution

ChangeSet
  1.683.14.21 03/06/12 02:43:58 stenn@whimsy.udel.edu +1 -0
  [Bug 110] Don't log EINTR return from select()

  ntpd/ntp_io.c
    1.20.3.3 03/06/12 02:43:48 stenn@whimsy.udel.edu +5 -2
    [Bug 110] Don't log EINTR return from select()

ChangeSet
  1.1071 03/06/12 01:49:22 stenn@whimsy.udel.edu +1 -0
  [bug 44] patch from Simon Burge

  ntpd/ntp_crypto.c
    1.87 03/06/12 01:49:11 stenn@whimsy.udel.edu +3 -3
    [bug 44] patch from Simon Burge

ChangeSet
  1.1062.1.2 03/06/11 22:52:29 mayer@tecotoo.myibg.com +1 -0
  Use -n for nt running as a servce instead of borrowing -d for Win32.

  ntpd/cmd_args.c
    1.21 03/06/11 22:52:02 mayer@tecotoo.myibg.com +3 -16
    Use -n for nt running as a servce instead of borrowing -d for Win32.

ChangeSet
  1.1062.1.1 03/06/11 18:44:49 mayer@tecotoo.myibg.com +4 -0
  Add workaround for Win32 to fix MS bug with UDP sockets.
  See KB Q263823.

  ports/winnt/libisc/win32os.c
    1.1 03/06/11 18:44:13 mayer@tecotoo.myibg.com +101 -0

  ports/winnt/libisc/win32os.c
    1.0 03/06/11 18:44:13 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libisc/win32os.c

  ports/winnt/include/isc/win32os.h
    1.1 03/06/11 18:44:05 mayer@tecotoo.myibg.com +71 -0

  ports/winnt/include/isc/win32os.h
    1.0 03/06/11 18:44:05 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/win32os.h

  ports/winnt/libntp/libntp.dsp
    1.14 03/06/11 18:44:02 mayer@tecotoo.myibg.com +8 -0
    Added libisc/win32os.c .h files

  ntpd/ntp_io.c
    1.76 03/06/11 18:43:58 mayer@tecotoo.myibg.com +47 -0
    Add workaround for Win32 to fix MS bug with UDP sockets.
    See KB Q263823

ChangeSet
  1.1070 03/06/10 04:51:47 stenn@whimsy.udel.edu +1 -0
  Merge

  configure.in
    1.315 03/06/10 04:51:31 stenn@whimsy.udel.edu +0 -1
    ntp-dev uses its own version numbers.

ChangeSet
  1.683.14.20 03/06/10 04:09:53 stenn@whimsy.udel.edu +1 -0
  4.1.1c-rc3

  configure.in
    1.219.3.45 03/06/10 04:08:47 stenn@whimsy.udel.edu +1 -1
    4.1.1c-rc3

ChangeSet
  1.1069 03/06/10 03:07:07 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  README
    1.20 03/06/10 03:07:04 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.19 03/06/10 03:04:28 stenn@whimsy.udel.edu +2 -0
  Update the bug submission process.

  README
    1.14.1.6 03/06/10 03:04:14 stenn@whimsy.udel.edu +4 -2
    Update the bug submission process.

  README.hackers
    1.8 03/06/10 03:04:14 stenn@whimsy.udel.edu +6 -9
    Update the bug submission process.

ChangeSet
  1.1068 03/06/09 04:35:19 stenn@whimsy.udel.edu +7 -0
  [Bug 87] Use md5 from the OS if available.

  libntp/md5c.c
    1.7 03/06/09 04:33:40 stenn@whimsy.udel.edu +8 -4
    [Bug 87] Use md5 from the OS if available.

  libntp/a_md5encrypt.c
    1.13 03/06/09 04:33:37 stenn@whimsy.udel.edu +4 -4
    [Bug 87] Use md5 from the OS if available.

  libntp/Makefile.am
    1.29 03/06/09 04:33:37 stenn@whimsy.udel.edu +0 -1
    [Bug 87] Use md5 from the OS if available.

  include/rsa_md5.h
    1.5 03/06/09 04:33:33 stenn@whimsy.udel.edu +4 -4
    [Bug 87] Use md5 from the OS if available.

  include/Makefile.am
    1.18 03/06/09 04:33:29 stenn@whimsy.udel.edu +1 -0
    [Bug 87] Use md5 from the OS if available.

  configure.in
    1.314 03/06/09 04:33:11 stenn@whimsy.udel.edu +6 -2
    [Bug 87] Use md5 from the OS if available.

  include/ntp_md5.h
    1.1 03/06/09 04:29:07 stenn@whimsy.udel.edu +9 -0

  include/ntp_md5.h
    1.0 03/06/09 04:29:07 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev-md5/include/ntp_md5.h

ChangeSet
  1.1067 03/06/07 04:37:44 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  Makefile.am
    1.40 03/06/07 04:37:41 stenn@whimsy.udel.edu +0 -1
    Auto merged

ChangeSet
  1.683.14.18 03/06/07 04:34:10 stenn@whimsy.udel.edu +1 -0
  Tell automake we expect at least 1.5

  Makefile.am
    1.12.1.21 03/06/07 04:33:53 stenn@whimsy.udel.edu +1 -1
    Tell automake we expect at least 1.5

ChangeSet
  1.1066 03/06/06 03:53:06 stenn@whimsy.udel.edu +1 -0
  Tell automake we expect at least 1.5

  Makefile.am
    1.39 03/06/06 03:52:57 stenn@whimsy.udel.edu +1 -1
    Tell automake we expect at least 1.5

ChangeSet
  1.1065 03/06/06 03:45:01 stenn@whimsy.udel.edu +1 -0
  [bug 87] Add /usr/lib/openssl as a place to look for openssl libs.

  configure.in
    1.313 03/06/06 03:44:49 stenn@whimsy.udel.edu +1 -1
    [bug 87] Add /usr/lib/openssl as a place to look for openssl libs.

ChangeSet
  1.1064 03/06/06 01:49:57 stenn@whimsy.udel.edu +4 -0
  [bug 86] Rename md5.h to rsa_md5.h to avoid a conflict.

  libntp/md5c.c
    1.6 03/06/06 01:49:44 stenn@whimsy.udel.edu +1 -1
    [bug 86] Rename md5.h to rsa_md5.h to avoid a conflict.

  libntp/a_md5encrypt.c
    1.12 03/06/06 01:49:20 stenn@whimsy.udel.edu +1 -1
    [bug 86] Rename md5.h to rsa_md5.h to avoid a conflict.

  include/Makefile.am
    1.17 03/06/06 01:49:20 stenn@whimsy.udel.edu +1 -1
    [bug 86] Rename md5.h to rsa_md5.h to avoid a conflict.

  include/rsa_md5.h
    1.4 03/06/06 01:42:50 stenn@whimsy.udel.edu +0 -0
    Rename: include/md5.h -> include/rsa_md5.h

ChangeSet
  1.1063 03/06/06 01:35:09 stenn@whimsy.udel.edu +1 -0
  typo cleanup

ChangeSet
  1.1062 03/06/02 08:54:15 mayer@tecotoo.myibg.com +3 -0
  Changes in support for I/O Completion Ports. Added additional argument to call.
  Added support for broadcast socket through I/O Completion Ports, which was
  not previously being added.

  ports/winnt/ntpd/ntp_iocompletionport.c
    1.9 03/06/02 08:53:43 mayer@tecotoo.myibg.com +8 -5
    Added SOCKET argument to function call to make more general. Associated changes
    to use the argument in the code.

  ports/winnt/include/ntp_iocompletionport.h
    1.7 03/06/02 08:53:40 mayer@tecotoo.myibg.com +1 -1
    Added SOCKET argument to make more general.

  ntpd/ntp_io.c
    1.75 03/06/02 08:53:35 mayer@tecotoo.myibg.com +21 -12
    Changes in support for I/O Completion Ports. Added additional argument to call.
    Added support for broadcast socket through I/O Completion Ports, which was
    not previously being added.

  libntp/iosignal.c
    1.11 03/06/01 03:55:22 stenn@whimsy.udel.edu +3 -3
    typo cleanup

ChangeSet
  1.1061 03/05/31 21:59:48 mayer@tecotoo.myibg.com +1 -0
  Fixes to eliminate warning messages on Unix O/S's.

  libntp/msyslog.c
    1.18 03/05/31 21:59:18 mayer@tecotoo.myibg.com +6 -5
    Fixes to eliminate warning messages on Unix O/S's.

ChangeSet
  1.1049.1.3 03/05/31 20:05:01 mayer@tecotoo.myibg.com +2 -0
  Win32 Fixes for Bugs #67 and #70

  ports/winnt/ntpd/win32_io.c
    1.7 03/05/31 20:04:29 mayer@tecotoo.myibg.com +3 -3
    Fix baud rate declarations.

  ntpd/ntpd.c
    1.48 03/05/31 20:04:24 mayer@tecotoo.myibg.com +8 -22
    Fix Win32 WaitForMultipleObjectsEx to take correct argument
    Fix  checks on output. Log any WAIT_FAILED messages.

ChangeSet
  1.1059 03/05/30 05:24:53 stenn@whimsy.udel.edu +1 -0
  [Bug 72] Use an explicit $(srcdir) to avoid a VPATH difference with Solaris make.

  libntp/Makefile.am
    1.28 03/05/30 05:23:48 stenn@whimsy.udel.edu +5 -3
    [Bug 72] Use an explicit $(srcdir) to avoid a VPATH difference with Solaris make.

ChangeSet
  1.1058 03/05/30 05:10:15 stenn@whimsy.udel.edu +1 -0
  Merge

  Makefile.am
    1.38 03/05/30 05:09:38 stenn@whimsy.udel.edu +1 -2
    copyright.htm was renamed to copyright.html in ntp-dev.

ChangeSet
  1.683.14.17 03/05/30 05:04:38 stenn@whimsy.udel.edu +1 -0
  [Bug 71] Use an explicit $(srcdir) to avoid a VPATH difference with Solaris make.

  Makefile.am
    1.12.1.20 03/05/30 05:04:25 stenn@whimsy.udel.edu +1 -1
    [Bug 71] Use an explicit $(srcdir) to avoid a VPATH difference with Solaris make.

ChangeSet
  1.1057 03/05/27 22:38:21 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_request.c
    1.48 03/05/27 22:38:17 stenn@whimsy.udel.edu +0 -1
    Auto merged

ChangeSet
  1.683.14.16 03/05/27 22:36:50 stenn@whimsy.udel.edu +1 -0
  Bug 65: ntpdc clockstat reports fudgetime1 twice

  ntpd/ntp_request.c
    1.23.3.2 03/05/27 22:36:32 stenn@whimsy.udel.edu +1 -1
    Bug 65: ntpdc clockstat reports fudgetime1 twice

ChangeSet
  1.1056 03/05/27 04:43:39 stenn@whimsy.udel.edu +1 -0
  Handle the CLOCKCTL command-line options like the others.

  ntpd/cmd_args.c
    1.20 03/05/27 04:43:22 stenn@whimsy.udel.edu +7 -7
    Handle the CLOCKCTL command-line options like the others.

ChangeSet
  1.1049.1.2 03/05/21 22:43:30 mayer@tecotoo.myibg.com +6 -0
  Miscellaneous updates and cosmetic changes.
  Updates to ntptrace to get it to build properly.

  ports/winnt/ntpdate/ntpdate.dsp
    1.10 03/05/21 22:42:59 mayer@tecotoo.myibg.com +1 -1
    Fix for browse support in debug

  ntptrace/ntptrace.h
    1.3 03/05/21 22:42:58 mayer@tecotoo.myibg.com +1 -1
    Fix address structure for IPv6

  ntptrace/ntptrace.c
    1.16 03/05/21 22:42:56 mayer@tecotoo.myibg.com +16 -15
    Fix for sockaddr_storage to deal with IPv6.
    Note this implementation only supports IPv4.

  ntpdate/ntpdate.c
    1.43 03/05/21 22:42:55 mayer@tecotoo.myibg.com +17 -17
    Use the right definitions to allow support for Windows

  ntpd/ntp_io.c
    1.74 03/05/21 22:42:50 mayer@tecotoo.myibg.com +10 -9
    Fix to put the reporting of the list of listening sockets in the right place.

  html/hints/winnt.html
    1.12 03/05/21 22:42:42 mayer@tecotoo.myibg.com +33 -11
    Update the Windows Build/Release notes to reflect the latest state.

ChangeSet
  1.1053 03/05/19 04:28:59 stenn@whimsy.udel.edu +1 -0
  Handle ss_len the same way we handle ss_family.  From Lars-Owe.Ivarsson@its.uu.se

  configure.in
    1.312 03/05/19 04:28:46 stenn@whimsy.udel.edu +1 -0
    Handle ss_len the same way we handle ss_family.  From Lars-Owe.Ivarsson@its.uu.se

ChangeSet
  1.1052 03/05/18 04:23:04 stenn@whimsy.udel.edu +1 -0
  ss_family tests (stolen from openssh)

  configure.in
    1.311 03/05/18 04:22:48 stenn@whimsy.udel.edu +38 -0
    ss_family tests (stolen from openssh)

ChangeSet
  1.1049.1.1 03/05/17 21:18:16 mayer@tecotoo.myibg.com +2 -0
  Update for Listening Interfaces and not put out duplicate info to stdout.

  ntpd/ntp_io.c
    1.73 03/05/17 21:17:52 mayer@tecotoo.myibg.com +14 -1
    Print Listening Interfaces and any listening broadcast interfaces.

  libntp/msyslog.c
    1.17 03/05/17 21:17:48 mayer@tecotoo.myibg.com +5 -9
    Changes to not put out data twice if already going to stdout or stderr.

ChangeSet
  1.1051 03/05/13 20:21:21 stenn@whimsy.udel.edu +3 -0
  Documentation updates from Dave Mills

  html/scripts/footer.txt
    1.2 03/05/13 20:19:37 stenn@whimsy.udel.edu +1 -2
    Documentation updates from Dave Mills

  html/drivers/driver36.html
    1.19 03/05/13 20:19:33 stenn@whimsy.udel.edu +16 -25
    Documentation updates from Dave Mills

  html/miscopt.html
    1.28 03/05/13 20:19:31 stenn@whimsy.udel.edu +6 -4
    Documentation updates from Dave Mills

ChangeSet
  1.1050 03/05/12 03:59:17 stenn@whimsy.udel.edu +1 -0
  Merge

  ntpd/refclock_neoclock4x.c
    1.6 03/05/12 03:58:58 stenn@whimsy.udel.edu +1 -1
    Danny and Harlan fixed the same thing differently.

ChangeSet
  1.1046.1.2 03/05/12 02:45:13 stenn@whimsy.udel.edu +2 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_neoclock4x.c
    1.4.1.1 03/05/12 02:45:08 stenn@whimsy.udel.edu +0 -0
    Auto merged

  configure.in
    1.310 03/05/12 02:45:08 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1046.1.1 03/05/12 02:43:20 stenn@whimsy.udel.edu +4 -0
  Allow the intial frequency to be set.  Dave Mills.

  ntpd/ntp_loopfilter.c
    1.78 03/05/12 02:42:56 stenn@whimsy.udel.edu +5 -0
    Allow the intial frequency to be set.  Dave Mills.

  ntpd/ntp_config.c
    1.89 03/05/12 02:42:56 stenn@whimsy.udel.edu +5 -0
    Allow the intial frequency to be set.  Dave Mills.

  include/ntp_config.h
    1.27 03/05/12 02:42:56 stenn@whimsy.udel.edu +1 -0
    Allow the intial frequency to be set.  Dave Mills.

  include/ntp.h
    1.89 03/05/12 02:42:55 stenn@whimsy.udel.edu +1 -0
    Allow the intial frequency to be set.  Dave Mills.

ChangeSet
  1.683.14.15 03/05/12 01:30:41 stenn@whimsy.udel.edu +1 -0
  Under AIX, if we have utmpx.h don't look for utmp.h .  From Lars-Owe Ivarsson

  configure.in
    1.219.3.44 03/05/12 01:30:08 stenn@whimsy.udel.edu +11 -1
    Under AIX, if we have utmpx.h don't look for utmp.h .  From Lars-Owe Ivarsson

ChangeSet
  1.683.14.14 03/05/12 00:23:21 stenn@whimsy.udel.edu +1 -0
  Lose a C++ comment.  From: Lars-Owe Ivarsson

  ntpd/refclock_neoclock4x.c
    1.1.1.3 03/05/12 00:23:00 stenn@whimsy.udel.edu +59 -57
    Lose a C++ comment.  From: Lars-Owe Ivarsson

ChangeSet
  1.1049 03/05/09 22:08:39 mayer@tecotoo.myibg.com +1 -0
  Declare the functions even if they don't get used. Move the macro #ifdef below
  the declaration.

  include/isc/net.h
    1.3 03/05/09 22:08:12 mayer@tecotoo.myibg.com +3 -3
    Declare the functions even if they don't get used. Move the macro #ifdef below
    the declaration.

ChangeSet
  1.1048 03/05/09 21:46:35 mayer@tecotoo.myibg.com +5 -0
  Change C++ comment to C comment. Fix sprintf call to use SPRINTF macro in inet_ntop.c.

  util/sht.c
    1.3 03/05/09 21:46:00 mayer@tecotoo.myibg.com +1 -1
    Change C++ comment to C comment

  util/pps-api.c
    1.2 03/05/09 21:45:59 mayer@tecotoo.myibg.com +1 -1
    Change C++ comment to C comment

  ntpd/refclock_neoclock4x.c
    1.5 03/05/09 21:45:55 mayer@tecotoo.myibg.com +1 -1
    Change C++ comment to C comment

  ntpd/refclock_hopfpci.c
    1.9 03/05/09 21:45:52 mayer@tecotoo.myibg.com +1 -1
    Change C++ comment to C comment

  libisc/inet_ntop.c
    1.3 03/05/09 21:45:49 mayer@tecotoo.myibg.com +1 -1
    Change other call to sprintf to use the SPRINTF macro.

ChangeSet
  1.1043.1.2 03/05/05 09:40:44 mayer@tecotoo.myibg.com +3 -0
  Add support for running the nodebug version no as a service

  ports/winnt/libntp/libntp.dsp
    1.13 03/05/05 09:40:12 mayer@tecotoo.myibg.com +4 -4
    Location of log.c has changed. It is Win32 specific.

  ntpd/ntpd.c
    1.47 03/05/05 09:40:09 mayer@tecotoo.myibg.com +28 -18
    Add support for running the nodebug version no as a service

  ntpd/cmd_args.c
    1.19 03/05/05 09:40:01 mayer@tecotoo.myibg.com +19 -0
    Add support for running the nodebug version no as a service

ChangeSet
  1.1043.1.1 03/05/04 10:51:16 mayer@tecotoo.myibg.com +4 -0
  Changes to support netsyslog in addition to msyslog.
  the libntp/log.c was in the wrong place. It should have been under winnt/libntp.

  ports/winnt/libntp/log.c
    1.1 03/05/04 10:50:36 mayer@tecotoo.myibg.com +161 -0

  ports/winnt/libntp/log.c
    1.0 03/05/04 10:50:36 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libntp/log.c

  ntpd/ntp_io.c
    1.72 03/05/04 10:50:33 mayer@tecotoo.myibg.com +1 -4
    Make the netsyslog call real. Make sure that the address_okay function's return
    value gets used properly.

  libntp/msyslog.c
    1.16 03/05/04 10:50:29 mayer@tecotoo.myibg.com +126 -49
    Add netsyslog to syslog functions. Reorganize code to make it more modular
    and allow both msyslog and netsyslog to share the same logic. Fix the \n so
    that we don't lose message information.

  include/ntp_stdlib.h
    1.20 03/05/04 10:50:25 mayer@tecotoo.myibg.com +3 -0
    Add netsyslog declaration.

ChangeSet
  1.1046 03/04/30 02:03:30 stenn@whimsy.udel.edu +5 -0
  sprintf portability fixes (thanks Paul!)

  libisc/inet_ntop.c
    1.2 03/04/30 01:39:55 stenn@whimsy.udel.edu +3 -1
    Use ntp_sprintf.h .

  configure.in
    1.309 03/04/30 01:33:22 stenn@whimsy.udel.edu +6 -0
    Define SPRINTF_CHAR where needed (sunos4).

  ntpd/refclock_mx4200.c
    1.18 03/04/30 01:32:48 stenn@whimsy.udel.edu +4 -16
    Use ntp_sprintf.h and clean up the code accordingly.

  include/Makefile.am
    1.16 03/04/30 01:31:52 stenn@whimsy.udel.edu +1 -0
    Added ntp_sprintf.h

  include/ntp_sprintf.h
    1.1 03/04/30 01:30:21 stenn@whimsy.udel.edu +13 -0

  include/ntp_sprintf.h
    1.0 03/04/30 01:30:21 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/include/ntp_sprintf.h

ChangeSet
  1.1045 03/04/29 16:56:14 stenn@whimsy.udel.edu +1 -0
  [Bug 48]: SOCKNUL test backwords, causes spurious error.

  ntpd/ntp_intres.c
    1.29 03/04/29 16:56:03 stenn@whimsy.udel.edu +1 -1
    [Bug 48]: SOCKNUL test backwords, causes spurious error.

ChangeSet
  1.1043 03/04/26 23:04:38 mayer@tecotoo.myibg.com +1 -0
  Change to put address in result rather than 5.

  ntpd/ntp_request.c
    1.47 03/04/26 23:04:08 mayer@tecotoo.myibg.com +6 -8
    Change to put address in result rather than 5.

ChangeSet
  1.1042 03/04/26 19:25:21 mayer@tecotoo.myibg.com +2 -0
  Fixes to deal with compiler warnings.

  ntpq/ntpq_ops.c
    1.17 03/04/26 19:24:50 mayer@tecotoo.myibg.com +12 -6
    Fix to take care of the implicit cast.
    Initialize some variables to stop the compiler warning about possible uninitialized variables.

  ntpd/ntp_crypto.c
    1.86 03/04/26 19:24:46 mayer@tecotoo.myibg.com +1 -1
    Refix the cast to shut up the compiler warnings.

ChangeSet
  1.1040.1.2 03/04/26 05:02:11 stenn@whimsy.udel.edu +1 -0
  Merge

  configure.in
    1.308 03/04/26 05:01:50 stenn@whimsy.udel.edu +0 -1
    ntp-dev uses its own release numbers.

ChangeSet
  1.683.14.13 03/04/26 04:36:51 stenn@whimsy.udel.edu +1 -0
  4.1.1c-rc2

  configure.in
    1.219.3.43 03/04/26 04:36:35 stenn@whimsy.udel.edu +1 -1
    4.1.1c-rc2

ChangeSet
  1.1040.1.1 03/04/26 03:36:06 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_shm.c
    1.13 03/04/26 03:36:02 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.12 03/04/26 03:34:12 stenn@whimsy.udel.edu +1 -0
  Lose a syslog message per Jonathan Buzzard

  ntpd/refclock_shm.c
    1.10.1.1 03/04/26 03:34:02 stenn@whimsy.udel.edu +2 -0
    Lose a syslog message per Jonathan Buzzard

ChangeSet
  1.1041 03/04/26 00:14:02 mayer@pogo.udel.edu +1 -0
  Merge

  ntpd/ntp_crypto.c
    1.85 03/04/26 00:13:53 mayer@pogo.udel.edu +1 -2

ChangeSet
  1.1032.1.2 03/04/26 00:07:53 mayer@tecotoo.myibg.com +3 -0
  Fixes to deal with bug #37 and fix for non-IPv6 stack machines to deal with IPv6 addresses. 

  ports/winnt/include/config.h
    1.21 03/04/26 00:07:06 mayer@tecotoo.myibg.com +1 -0
    Add Platform requirement to use the isc_inet_ntop() routine.

  ntpd/ntp_request.c
    1.46 03/04/26 00:07:03 mayer@tecotoo.myibg.com +6 -0
    Temporary fix for bug #37. Needs additioonal work

  libntp/socktoa.c
    1.5 03/04/26 00:06:55 mayer@tecotoo.myibg.com +3 -8
    Replace Windows specific includes with config.h and use Platform define for
    isc/net.h include

ChangeSet
  1.1040 03/04/25 22:52:14 stenn@whimsy.udel.edu +1 -0
  Cleanup

  configure.in
    1.307 03/04/25 22:52:06 stenn@whimsy.udel.edu +0 -7
    Cleanup

ChangeSet
  1.1039 03/04/25 22:05:05 stenn@whimsy.udel.edu +1 -0
  Clean up the configure warnings for net/if.h and netinet/ip.h

  configure.in
    1.306 03/04/25 22:04:52 stenn@whimsy.udel.edu +17 -3
    Clean up the configure warnings for net/if.h and netinet/ip.h

ChangeSet
  1.1038 03/04/25 03:28:22 stenn@whimsy.udel.edu +1 -0
  Define ISC_PLATFORM_NEEDNTOP if inet_ntop() is not available.

  configure.in
    1.305 03/04/25 03:28:09 stenn@whimsy.udel.edu +3 -1
    Define ISC_PLATFORM_NEEDNTOP if inet_ntop() is not available.

ChangeSet
  1.1032.1.1 03/04/24 11:50:33 mayer@tecotoo.myibg.com +6 -0
  Updates to handle IPv6 addresses for non-IPv6 capable systems.

  libisc/inet_ntop.c
    1.1 03/04/24 11:49:48 mayer@tecotoo.myibg.com +196 -0

  libisc/inet_ntop.c
    1.0 03/04/24 11:49:47 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/inet_ntop.c

  ports/winnt/libntp/libntp.dsp
    1.12 03/04/24 11:49:45 mayer@tecotoo.myibg.com +8 -0
    At the inet_ntop.c file to build list

  ntpd/ntp_crypto.c
    1.83.1.1 03/04/24 11:49:42 mayer@tecotoo.myibg.com +2 -3
    Fix cast problem.

  libntp/socktoa.c
    1.4 03/04/24 11:49:37 mayer@tecotoo.myibg.com +12 -5
    Fix to allow non-IPv6 systems to handle IPv6 addresses.

  libntp/log.c
    1.4 03/04/24 11:49:33 mayer@tecotoo.myibg.com +5 -0
    Fix RPC ASYNCH  problem

  libntp/Makefile.am
    1.27 03/04/24 11:49:27 mayer@tecotoo.myibg.com +1 -1
    Add new file to list

ChangeSet
  1.1037 03/04/23 22:40:09 stenn@whimsy.udel.edu +2 -0
  Quiet some warnings

  ntpd/ntp_io.c
    1.71 03/04/23 22:39:56 stenn@whimsy.udel.edu +2 -2
    Quiet some warnings

  libntp/mktime.c
    1.6 03/04/23 22:39:56 stenn@whimsy.udel.edu +1 -1
    Quiet some warnings

ChangeSet
  1.1036 03/04/23 01:34:08 stenn@whimsy.udel.edu +1 -0
  John Hay: revert incorrect cleanup

  ntpd/ntp_crypto.c
    1.84 03/04/23 01:33:04 stenn@whimsy.udel.edu +1 -2
    John Hay: revert incorrect cleanup

ChangeSet
  1.1035 03/04/22 05:10:39 stenn@whimsy.udel.edu +2 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  configure.in
    1.304 03/04/22 05:10:35 stenn@whimsy.udel.edu +0 -0
    Auto merged

  README.bk
    1.16 03/04/22 05:10:34 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.11 03/04/22 04:53:32 stenn@whimsy.udel.edu +2 -0
  Require autoconf-2.53 for cross-compile endian support

  configure.in
    1.219.3.42 03/04/22 04:53:19 stenn@whimsy.udel.edu +2 -17
    Require autoconf-2.53 for cross-compile endian support

  README.bk
    1.1.1.17 03/04/22 04:53:19 stenn@whimsy.udel.edu +1 -1
    Require autoconf-2.53 for cross-compile endian support

ChangeSet
  1.1034 03/04/22 04:05:18 stenn@whimsy.udel.edu +1 -0
  More improvements from Dave Mills.

  ntpd/refclock_wwv.c
    1.43 03/04/22 04:05:06 stenn@whimsy.udel.edu +115 -150
    More improvements from Dave Mills.

ChangeSet
  1.1029.1.4 03/04/20 01:39:04 mayer@tecotoo.myibg.com +5 -0
  Fix casting issues and other warnings.

  ports/winnt/ntpd/hopf_PCI_io.c
    1.5 03/04/20 01:38:21 mayer@tecotoo.myibg.com +6 -0
    Disable warning about nonstandard declarations in Windows-omly code.

  ports/winnt/include/config.h
    1.20 03/04/20 01:38:19 mayer@tecotoo.myibg.com +5 -0
    Readd the RPCASYNC_H macro to get rid of warnings.

  ntpd/refclock_palisade.c
    1.16 03/04/20 01:38:16 mayer@tecotoo.myibg.com +4 -1
    Fix casting issues.

  ntpd/ntp_monitor.c
    1.11 03/04/20 01:38:13 mayer@tecotoo.myibg.com +2 -2
    Fix casting issues.

  ntpd/ntp_loopfilter.c
    1.77 03/04/20 01:38:09 mayer@tecotoo.myibg.com +2 -2
    Fix casting issues.

ChangeSet
  1.1029.1.3 03/04/19 09:10:42 mayer@tecotoo.myibg.com +3 -0
  Fix casting issues.

  ntpd/ntp_restrict.c
    1.17 03/04/19 09:10:01 mayer@tecotoo.myibg.com +3 -1
    Fix casting issues.

  ntpd/ntp_request.c
    1.45 03/04/19 09:09:57 mayer@tecotoo.myibg.com +4 -4
    Fix casting issues.

  ntpd/ntp_proto.c
    1.154 03/04/19 09:09:51 mayer@tecotoo.myibg.com +4 -4
    Fix casting issues.

ChangeSet
  1.1030.1.2 03/04/17 06:36:35 stenn@whimsy.udel.edu +6 -0
  Merge

  ntpq/Makefile.am
    1.9 03/04/17 06:36:06 stenn@whimsy.udel.edu +1 -2
    -dev doesn't use RSAREF	libs.

  ntpdc/Makefile.am
    1.8 03/04/17 06:35:25 stenn@whimsy.udel.edu +1 -2
    -dev doesn't use RSAREF libs.

  ntpdate/Makefile.am
    1.11 03/04/17 06:34:54 stenn@whimsy.udel.edu +1 -2
    -dev doesn't use RSAREF libs.

  ntpd/Makefile.am
    1.35 03/04/17 06:34:02 stenn@whimsy.udel.edu +1 -2
    -dev doesn't use RSAREF libs

  NEWS
    1.42 03/04/17 06:32:44 stenn@whimsy.udel.edu +0 -0
    Auto merged

  Makefile.am
    1.37 03/04/17 06:32:44 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.10 03/04/17 06:31:00 stenn@whimsy.udel.edu +7 -0
  version -> version.c improvements

  ntptrace/Makefile.am
    1.5 03/04/17 06:30:46 stenn@whimsy.udel.edu +1 -1
    version -> version.c improvements

  ntpq/Makefile.am
    1.4.1.3 03/04/17 06:30:46 stenn@whimsy.udel.edu +1 -1
    version -> version.c improvements

  ntpdc/Makefile.am
    1.3.1.3 03/04/17 06:30:46 stenn@whimsy.udel.edu +1 -1
    version -> version.c improvements

  ntpdate/Makefile.am
    1.5.1.3 03/04/17 06:30:45 stenn@whimsy.udel.edu +1 -1
    version -> version.c improvements

  ntpd/Makefile.am
    1.18.2.9 03/04/17 06:30:45 stenn@whimsy.udel.edu +1 -1
    version -> version.c improvements

  NEWS
    1.31.1.10 03/04/17 06:30:45 stenn@whimsy.udel.edu +1 -0
    version -> version.c improvements

  Makefile.am
    1.12.1.19 03/04/17 06:30:45 stenn@whimsy.udel.edu +3 -2
    version -> version.c improvements

ChangeSet
  1.1030.1.1 03/04/17 06:25:19 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntpd.c
    1.46 03/04/17 06:25:16 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.9 03/04/17 06:20:30 stenn@whimsy.udel.edu +1 -0
  If we're debugging, emit Version first.

  ntpd/ntpd.c
    1.33.2.2 03/04/17 06:20:16 stenn@whimsy.udel.edu +3 -0
    If we're debugging, emit Version first.

ChangeSet
  1.1029.1.2 03/04/16 22:09:32 mayer@tecotoo.myibg.com +1 -0
  Enabled checking of the UP flag.

  ntpd/ntp_io.c
    1.70 03/04/16 22:09:01 mayer@tecotoo.myibg.com +2 -2
    Enabled checking of the UP flag.

ChangeSet
  1.1029.1.1 03/04/16 09:18:44 mayer@tecotoo.myibg.com +1 -0
  Remove unnecessary time adjustment call.

  ports/winnt/ntpd/nt_clockstuff.c
    1.13 03/04/16 09:18:16 mayer@tecotoo.myibg.com +0 -3
    Remove unnecessary time adjustment call.

ChangeSet
  1.1030 03/04/16 03:07:41 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  configure.in
    1.303 03/04/16 03:07:37 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.8 03/04/16 03:06:14 stenn@whimsy.udel.edu +1 -0
  AIX 5 changes from Petter Reinholdtsen <pere@hungry.com>

  configure.in
    1.219.3.41 03/04/16 03:05:00 stenn@whimsy.udel.edu +9 -9
    AIX 5 changes from Petter Reinholdtsen <pere@hungry.com>

ChangeSet
  1.1021.1.3 03/04/15 01:32:13 mayer@tecotoo.myibg.com +5 -0
  Miscellaneous cleanup for clean Windows build.

  ports/winnt/include/config.h
    1.19 03/04/15 01:31:48 mayer@tecotoo.myibg.com +0 -5
    Remove RPCASYNC Macro as no longer necessary.

  ntpd/ntp_crypto.c
    1.83 03/04/15 01:31:46 mayer@tecotoo.myibg.com +10 -10
    Fix initalization warning.

  ntpd/ntp_config.c
    1.88 03/04/15 01:31:42 mayer@tecotoo.myibg.com +2 -2
    Fix initialization warning.

  libntp/dolfptoa.c
    1.5 03/04/15 01:31:38 mayer@tecotoo.myibg.com +1 -1
    Fix casting issues.

  libntp/dofptoa.c
    1.6 03/04/15 01:31:34 mayer@tecotoo.myibg.com +1 -1
    Fix casting issues.

ChangeSet
  1.1028 03/04/14 22:06:47 stenn@whimsy.udel.edu +2 -0
  Improvements from Dave Mills

  ntpd/refclock_wwv.c
    1.42 03/04/14 22:06:28 stenn@whimsy.udel.edu +195 -147
    WWV improvements

  ntpd/ntp_peer.c
    1.55 03/04/14 22:05:17 stenn@whimsy.udel.edu +3 -1
    If emulating ntpdate, force iburst

ChangeSet
  1.1021.1.2 03/04/12 00:38:17 mayer@tecotoo.myibg.com +5 -0
  MIscellaneous fixes for warnings and include problems for NT.

  ports/winnt/include/config.h
    1.18 03/04/12 00:37:51 mayer@tecotoo.myibg.com +3 -0
    Add windows.h header.

  ntpd/ntpd.c
    1.45 03/04/12 00:37:49 mayer@tecotoo.myibg.com +4 -1
    Don't include unusable code on WINNT.

  libntp/machines.c
    1.17 03/04/12 00:37:47 mayer@tecotoo.myibg.com +1 -1
    Include just the one required function definition.

  libntp/ieee754io.c
    1.5 03/04/12 00:37:44 mayer@tecotoo.myibg.com +1 -1
    Comparison between different int types was causing type  match warnings.

  libntp/dofptoa.c
    1.5 03/04/12 00:37:41 mayer@tecotoo.myibg.com +1 -1
    Fix for cast issue.

ChangeSet
  1.683.14.7 03/04/10 02:56:17 stenn@whimsy.udel.edu +1 -0
  Fix the VERB

  BitKeeper/triggers/commitlogs
    1.3 03/04/10 02:55:55 stenn@whimsy.udel.edu +9 -9
    Fix the VERB

ChangeSet
  1.683.14.6 03/04/10 02:48:11 stenn@whimsy.udel.edu +1 -0
  Provide a default VERB for now

  BitKeeper/triggers/commitlogs
    1.2 03/04/10 02:47:43 stenn@whimsy.udel.edu +1 -0
    Provide a default VERB for now

ChangeSet
  1.1024 03/04/09 18:30:52 stenn@whimsy.udel.edu +2 -0
  Initial refid patch from Dave Mills

  ntpd/refclock_atom.c
    1.42 03/04/09 18:30:32 stenn@whimsy.udel.edu +2 -1
    Initial refid patch from Dave Mills

  ntpd/ntp_refclock.c
    1.50 03/04/09 18:30:30 stenn@whimsy.udel.edu +4 -3
    Initial refid patch from Dave Mills

ChangeSet
  1.1015.1.3 03/04/05 19:14:20 mayer@tecotoo.myibg.com +1 -0
  Fixes for broadcast sockets. IPv6 broadcast sockets are invalid.

  ntpd/ntp_io.c
    1.69 03/04/05 18:59:51 mayer@tecotoo.myibg.com +18 -6
    Have the Convert_if code ignore IPv6 broadcast data since it can't exist.
    Skip non-IPv4 broadcast addresses in setting the broadcast client.
    Check to make sure that the broadcast socket was opened before setting
    the broadcast open flag. Use the isc_net_probeipv6() code to check that it can
    open an IPv6 socket.

ChangeSet
  1.1015.1.2 03/04/05 16:08:13 mayer@tecotoo.myibg.com +1 -0
  The wrong flag macros were being used for check.

  libisc/ifiter_sysctl.c
    1.5 03/04/05 16:07:52 mayer@tecotoo.myibg.com +2 -2
    The wrong flag macros were being used for check.

ChangeSet
  1.1020.1.1 03/04/03 20:53:35 stenn@whimsy.udel.edu +1 -0
  Improvements from Dave Mills.

  ntpd/refclock_wwv.c
    1.41 03/04/03 20:53:22 stenn@whimsy.udel.edu +7 -2
    Improvements from Dave Mills.

ChangeSet
  1.1015.1.1 03/03/31 00:24:37 mayer@tecotoo.myibg.com +1 -0
  Fixes to specify the IPv4 wildcard and IPv6 wildcard separately.
  Added debug code for the broadcast client.
  Socket definition cleanup.

  ntpd/ntp_io.c
    1.68 03/03/31 00:24:11 mayer@tecotoo.myibg.com +17 -10
    Fixes to specify the IPv4 wildcard and IPv6 wildcard separately.
    Added debug code for the broadcast client.
    Socket definition cleanup.

ChangeSet
  1.1020 03/03/30 22:49:43 stenn@whimsy.udel.edu +3 -0
  Cleanup and fixes from Dave Mills

  ntpd/refclock_wwv.c
    1.40 03/03/30 22:49:26 stenn@whimsy.udel.edu +35 -32
    Fixes to WWV and CHU drivers

  html/drivers/driver22.html
    1.14 03/03/30 22:47:37 stenn@whimsy.udel.edu +6 -7
    Cleanup

  html/index.html
    1.26 03/03/30 22:46:41 stenn@whimsy.udel.edu +2 -2
    Typo fix

ChangeSet
  1.1019 03/03/30 16:51:05 stenn@whimsy.udel.edu +6 -0
  Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  parseutil/testdcf.c
    1.4 03/03/30 16:50:49 stenn@whimsy.udel.edu +1 -1
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  parseutil/dcfd.c
    1.12 03/03/30 16:50:49 stenn@whimsy.udel.edu +1 -1
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  ntpd/refclock_ripencc.c
    1.4 03/03/30 16:50:48 stenn@whimsy.udel.edu +1 -1
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  ntpd/refclock_mx4200.c
    1.17 03/03/30 16:50:48 stenn@whimsy.udel.edu +1 -1
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  ntpd/refclock_chu.c
    1.32 03/03/30 16:50:48 stenn@whimsy.udel.edu +43 -34
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

  html/mx4200data.html
    1.10 03/03/30 16:50:48 stenn@whimsy.udel.edu +1 -1
    Typo fixes from Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>

ChangeSet
  1.1018 03/03/25 04:34:17 stenn@pogo.udel.edu +3 -0
  Merge

  ntpd/refclock_oncore.c
    1.45 03/03/25 04:33:20 stenn@pogo.udel.edu +10 -229
    Brute-force resolution.

  BitKeeper/etc/logging_ok
    1.25 03/03/25 04:25:41 stenn@pogo.udel.edu +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.20 03/03/25 04:25:41 stenn@pogo.udel.edu +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.24 03/03/25 04:25:39 stenn@pogo.udel.edu +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.19 03/03/25 04:25:32 stenn@pogo.udel.edu +0 -0
    auto-union

ChangeSet
  1.683.14.5 03/03/25 04:23:12 stenn@pogo.udel.edu +2 -0
  refclock_oncore.c:
    Driver restructured to make it easier to follow.
    The driver no longer uses the Oncore model number to
    determine what features are available, but rather tests
    for them.  The driver now supports the M12+T.
    From Reg Clemens.

  BitKeeper/etc/logging_ok
    1.1.1.9 03/03/25 04:23:11 stenn@pogo.udel.edu +1 -0
    Logging to logging@openlogging.org accepted

  ntpd/refclock_oncore.c
    1.38.1.1 03/03/25 04:20:34 stenn@pogo.udel.edu +2338 -1423
    Driver restructured to make it easier to follow.
    The driver no longer uses the Oncore model number to
    determine what features are available, but rather tests
    for them.  The driver now supports the M12+T.
    From Reg Clemens.

ChangeSet
  1.1017 03/03/21 20:27:39 stenn@whimsy.udel.edu +1 -0
  chu cleanup from Dave Mills

  ntpd/refclock_chu.c
    1.31 03/03/21 20:27:26 stenn@whimsy.udel.edu +116 -82
    chu cleanup from Dave Mills

ChangeSet
  1.1016 03/03/17 22:36:39 stenn@whimsy.udel.edu +2 -0
  Improvements from Dave Mills and a typo fix.

  ntpd/refclock_chu.c
    1.30 03/03/17 22:35:19 stenn@whimsy.udel.edu +149 -53
    Improvements from Dave Mills

  html/ntpq.html
    1.21 03/03/17 22:32:31 stenn@whimsy.udel.edu +1 -1
    typo

ChangeSet
  1.1015 03/03/16 22:40:46 mayer@pogo.udel.edu +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into pogo.udel.edu:/pogo/users/mayer/ntp-dev-io

  include/ntp.h
    1.88 03/03/16 22:40:39 mayer@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.1014 03/03/16 14:39:22 stenn@whimsy.udel.edu +5 -0
  More fixes and cleanup from Dave Mills

  ntpd/refclock_wwv.c
    1.39 03/03/16 14:38:51 stenn@whimsy.udel.edu +16 -7
    The rest of Dave's wwv improvements

  html/scripts/style.css
    1.2 03/03/16 14:37:16 stenn@whimsy.udel.edu +1 -1
    Documentation updates from Dave Mills

  html/drivers/driver6.html
    1.15 03/03/16 14:37:16 stenn@whimsy.udel.edu +6 -6
    Documentation updates from Dave Mills

  html/drivers/driver36.html
    1.18 03/03/16 14:37:16 stenn@whimsy.udel.edu +40 -38
    Documentation updates from Dave Mills

  html/authopt.html
    1.29 03/03/16 14:37:16 stenn@whimsy.udel.edu +6 -2
    Documentation updates from Dave Mills

ChangeSet
  1.1001.1.32 03/03/16 05:24:05 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  BitKeeper/triggers/trigger.cfg
    1.12 03/03/16 05:24:01 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.4 03/03/16 05:19:20 stenn@whimsy.udel.edu +2 -0
  Use new commitlogs trigger instead of the delta-changelog and lg-changeset triggers.

  BitKeeper/triggers/trigger.cfg
    1.9.1.2 03/03/16 05:18:52 stenn@whimsy.udel.edu +7 -2
    Use new commitlogs trigger instead of the delta-changelog and lg-changeset triggers.

  BitKeeper/triggers/commitlogs
    1.1 03/03/16 05:17:41 stenn@whimsy.udel.edu +81 -0

  BitKeeper/triggers/commitlogs
    1.0 03/03/16 05:17:41 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-stable/BitKeeper/triggers/commitlogs

ChangeSet
  1.1001.1.31 03/03/16 04:17:01 stenn@whimsy.udel.edu +2 -0
  More cleanup and fixes from Dave Mills

  ntpd/refclock_wwv.c
    1.38 03/03/16 04:16:23 stenn@whimsy.udel.edu +98 -20
    More cleanup and fixes from Dave Mills

  ntpd/refclock_irig.c
    1.20 03/03/16 04:16:23 stenn@whimsy.udel.edu +8 -17
    More cleanup and fixes from Dave Mills

ChangeSet
  1.1001.1.30 03/03/16 04:06:25 stenn@whimsy.udel.edu +2 -0
  Improve the name length stuff for crypto host/node names (DLM from ???)

  ntpd/ntp_crypto.c
    1.82 03/03/16 04:05:47 stenn@whimsy.udel.edu +2 -4
    Improve the name length stuff for crypto host/node names

  include/ntp.h
    1.86.1.1 03/03/16 04:05:47 stenn@whimsy.udel.edu +1 -2
    Improve the name length stuff for crypto host/node names

ChangeSet
  1.1001.1.29 03/03/16 03:51:09 stenn@whimsy.udel.edu +2 -0
  cleanup

  flock-build
    1.27 03/03/16 03:50:53 stenn@whimsy.udel.edu +9 -2
    cleanup

  configure.in
    1.302 03/03/16 03:40:56 stenn@whimsy.udel.edu +12 -2
    cleanup

ChangeSet
  1.1001.4.4 03/03/16 01:52:29 mayer@tecotoo.myibg.com +2 -0
  Track the number of multicast addresses on a socket.
  Check to see if to listen on all interfaces.

  ntpd/ntp_io.c
    1.67 03/03/16 01:52:03 mayer@tecotoo.myibg.com +19 -12
    Track the number of multicast addresses on a socket.
    Check to see if to listen on all interfaces.

  include/ntp.h
    1.87 03/03/16 01:51:59 mayer@tecotoo.myibg.com +1 -0
    Keep a count of the number of multicast addresses on the socket.

ChangeSet
  1.1011 03/03/14 20:08:24 gnu@ring.wraith.sf.ca.us +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into ring.wraith.sf.ca.us:/home/gnu/src/ntp/ntp-dev

  libntp/audio.c
    1.21 03/03/14 20:08:24 gnu@ring.wraith.sf.ca.us +0 -0
    Auto merged

ChangeSet
  1.1010 03/03/14 20:08:13 gnu@ring.wraith.sf.ca.us +1 -0
  audio.c:
    quick linux/freebsd audio fixup.

ChangeSet
  1.1001.1.28 03/03/14 04:25:10 stenn@whimsy.udel.edu +1 -0
  Dave rolled an interim tarball

  configure.in
    1.301 03/03/14 04:24:54 stenn@whimsy.udel.edu +1 -1
    Dave rolled an interim tarball

ChangeSet
  1.1001.1.27 03/03/14 04:21:57 stenn@whimsy.udel.edu +1 -0
  Use correct variable types. From: Jason L. Wright <jason@thought.net>

  ntpd/refclock_neoclock4x.c
    1.4 03/03/14 04:21:33 stenn@whimsy.udel.edu +4 -3
    Use correct variable types. From: Jason L. Wright <jason@thought.net>

ChangeSet
  1.1001.1.26 03/03/11 15:39:21 stenn@whimsy.udel.edu +2 -0
  Improvements from Dave Mills

  ntpd/refclock_irig.c
    1.19 03/03/11 15:38:39 stenn@whimsy.udel.edu +54 -33
    Improvements from Dave Mills

  libntp/audio.c
    1.17.1.2 03/03/11 15:24:35 stenn@whimsy.udel.edu +2 -3
    Show info.record.balance debug info

ChangeSet
  1.1001.1.25 03/03/11 05:42:25 stenn@whimsy.udel.edu +2 -0
  Improvements from Dave Mills.

  ntpd/refclock_wwv.c
    1.37 03/03/11 05:42:12 stenn@whimsy.udel.edu +410 -342
    Improvements from Dave Mills.

  libntp/audio.c
    1.17.1.1 03/03/11 05:31:10 stenn@whimsy.udel.edu +4 -2
    Improvements from Dave Mills.

ChangeSet
  1.1009 03/03/10 15:46:27 gnu@ring.wraith.sf.ca.us +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into ring.wraith.sf.ca.us:/home/gnu/src/ntp/ntp-dev

  BitKeeper/etc/logging_ok
    1.23 03/03/10 15:46:26 gnu@ring.wraith.sf.ca.us +0 -0
    auto-union

  libntp/audio.c
    1.20 03/03/10 15:30:56 gnu@ring.wraith.sf.ca.us +9 -2
    quick linux/freebsd audio fixup.

ChangeSet
  1.1001.4.3 03/03/09 23:12:12 mayer@tecotoo.myibg.com +1 -0
  address_okay note. Fixes to take account of wildcard addresses. Fix SOCKET usage.
  Cleanup conditional ioctl for nonblocking.

  ntpd/ntp_io.c
    1.66 03/03/09 23:11:35 mayer@tecotoo.myibg.com +16 -13
    address_okay note. Fixes to take account of wildcard addresses. Fix SOCKET usage.
    Cleanup conditional ioctl for nonblocking.

ChangeSet
  1.1001.1.23 03/03/07 23:44:26 stenn@whimsy.udel.edu +1 -0
  Darwin patch for openssl

  configure.in
    1.300 03/03/07 23:44:19 stenn@whimsy.udel.edu +2 -0
    Darwin patch for openssl

ChangeSet
  1.1001.1.22 03/03/07 23:29:56 stenn@whimsy.udel.edu +1 -0
  Darwin patch for openssl

  configure.in
    1.299 03/03/07 23:29:43 stenn@whimsy.udel.edu +6 -1
    Darwin patch for openssl

ChangeSet
  1.1001.4.2 03/03/07 21:48:43 mayer@tecotoo.myibg.com +1 -0
  Start the check after the wildcards.

  ntpd/ntp_io.c
    1.65 03/03/07 21:48:07 mayer@tecotoo.myibg.com +4 -4
    Start the check after the wildcards.

ChangeSet
  1.1001.1.21 03/03/05 22:45:40 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/refclock_arc.c
    1.13 03/03/05 22:45:26 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.3 03/03/05 22:43:10 stenn@whimsy.udel.edu +1 -0
  We use u_long, not ulong.

  ntpd/refclock_arc.c
    1.8.1.2 03/03/05 22:42:54 stenn@whimsy.udel.edu +1 -1
    We use u_long, not ulong.

ChangeSet
  1.1001.1.19 03/03/05 21:04:21 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntpd.c
    1.44 03/03/05 21:04:18 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.14.2 03/03/05 21:02:52 stenn@whimsy.udel.edu +1 -0
  Add missing #ifdef DEBUG stuff.  From Greg Dowd <GDowd@symmetricom.com>

  ntpd/ntpd.c
    1.33.2.1 03/03/05 21:02:42 stenn@whimsy.udel.edu +3 -2
    Add missing #ifdef DEBUG stuff.  From Greg Dowd <GDowd@symmetricom.com>

ChangeSet
  1.1001.4.1 03/03/05 01:02:14 mayer@tecotoo.myibg.com +2 -0
  Ignore ENXIO errors for IPv6 flags and add address info for bad data packets.

  ntpd/ntp_proto.c
    1.153 03/03/05 01:01:39 mayer@tecotoo.myibg.com +2 -2
    Report the source address when receiving bad data packets.

  libisc/ifiter_ioctl.c
    1.9 03/03/05 01:01:33 mayer@tecotoo.myibg.com +11 -3
    Ignore ENXIO errors when getting the IPv6 flags.

ChangeSet
  1.1001.1.17 03/02/28 11:00:25 cprice@cs-home.com +4 -0
  Arcron clock - enhanced driver and documentation, removed possible
  leapyear bug, additional features included

  ntpd/refclock_arc.c
    1.12 03/02/28 11:00:24 cprice@cs-home.com +51 -156
    Arcron clock - removed possible leapyear bug, added new mode 
    selectable msf, dcf and wwvb code, added a utc/localtime flag, 
    added average signal quality poll, several badformat errors 
    fixed, removal of unused code and general code cleanup including
    standardizing debug routines and syslog messages

  html/drivers/driver27.html
    1.12 03/02/28 11:00:24 cprice@cs-home.com +46 -155
    Arcron clock - update html reference driver documentation to 
    correspond with most recent driver updates

  BitKeeper/etc/logging_ok
    1.20.1.4 03/02/28 10:38:12 cprice@cs-home.com +1 -0
    'Auto converge'

  html/drivers/driver27.html
    1.2.1.3 03/02/28 10:38:13 cprice@cs-home.com +0 -0
    Merge rename: html/driver27.htm -> html/drivers/driver27.html

  BitKeeper/etc/logging_ok
    1.20.1.3 03/02/28 10:38:12 cprice@cs-home.com +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.18 03/02/28 10:38:12 cprice@cs-home.com +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.20.1.2 03/02/28 10:38:12 cprice@cs-home.com +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.17 03/02/28 10:38:11 cprice@cs-home.com +1 -1
    auto-union

ChangeSet
  1.683.13.2 03/02/28 04:52:34 stenn@whimsy.udel.edu +1 -0
  How to patch ntp-stable and ntp-dev.

  README.hackers
    1.7 03/02/28 04:52:22 stenn@whimsy.udel.edu +25 -0
    How to patch ntp-stable and ntp-dev.

ChangeSet
  1.1001.1.15 03/02/28 04:15:42 stenn@whimsy.udel.edu +2 -0
  Merge

  ntpd/cmd_args.c
    1.18 03/02/28 04:15:24 stenn@whimsy.udel.edu +2 -3
    merge cleanup.

  README.bk
    1.15 03/02/28 04:11:28 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.13.1 03/02/28 04:09:07 stenn@whimsy.udel.edu +1 -0
  long option support from: Hugh Daniel <hugh@road.toad.com>

  ntpd/cmd_args.c
    1.7.2.1 03/02/28 04:08:47 stenn@whimsy.udel.edu +20 -1
    long option support from: Hugh Daniel <hugh@road.toad.com>

ChangeSet
  1.1001.1.14 03/02/26 01:04:03 mayer@tecotoo.myibg.com +1 -0
  Merge mayer@pogo.udel.edu:ntp-dev-io/
  into tecotoo.myibg.com:H:/ntpbk/ntp-dev

  libisc/ifiter_ioctl.c
    1.8 03/02/26 01:03:41 mayer@tecotoo.myibg.com +0 -2
    Auto merged

ChangeSet
  1.1001.3.7 03/02/26 00:58:00 mayer@tecotoo.myibg.com +2 -0
  Check to see that Multicast Flag is defined before using it.

  libisc/ifiter_sysctl.c
    1.4 03/02/26 00:57:33 mayer@tecotoo.myibg.com +3 -1
    Check to see that Multicast Flag is defined before using it.

  libisc/ifiter_ioctl.c
    1.5.1.2 03/02/26 00:57:30 mayer@tecotoo.myibg.com +4 -0
    Check to see that Multicast Flag is defined before using it.

ChangeSet
  1.1001.1.13 03/02/26 00:42:59 mayer@pogo.udel.edu +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into pogo.udel.edu:/pogo/users/mayer/ntp-dev-io

  libisc/ifiter_ioctl.c
    1.7 03/02/26 00:42:54 mayer@pogo.udel.edu +0 -1
    Auto merged

ChangeSet
  1.1001.3.6 03/02/25 23:34:27 mayer@tecotoo.myibg.com +3 -0
  Macro changes.

  ntpd/ntp_io.c
    1.64 03/02/25 23:34:00 mayer@tecotoo.myibg.com +5 -3
    Restore previous changes to for loops and conditional code for findbcast.

  libisc/ifiter_ioctl.c
    1.5.1.1 03/02/25 23:33:57 mayer@tecotoo.myibg.com +1 -1
    Fix ioctl macro usage.

  include/ntp_rfc2553.h
    1.9 03/02/25 23:33:54 mayer@tecotoo.myibg.com +4 -1
    Make IPv6 Macros conditional.

ChangeSet
  1.1001.1.12 03/02/24 23:37:01 stenn@whimsy.udel.edu +1 -0
  IFF_MULTICAST #ifdef and typo fix from John Hay.

  libisc/ifiter_ioctl.c
    1.6 03/02/24 23:36:57 stenn@whimsy.udel.edu +3 -1
    IFF_MULTICAST #ifdef and typo fix from John Hay.

ChangeSet
  1.1001.3.5 03/02/24 01:19:19 mayer@tecotoo.myibg.com +1 -0
  Fix typos

  libisc/ifiter_ioctl.c
    1.5 03/02/24 01:18:52 mayer@tecotoo.myibg.com +4 -4
    Fix typos

ChangeSet
  1.1001.3.4 03/02/24 00:50:34 mayer@tecotoo.myibg.com +1 -0
  Fix variable names and add macro definition.

  libisc/ifiter_ioctl.c
    1.4 03/02/24 00:50:11 mayer@tecotoo.myibg.com +5 -4
    Fix variable names and add macro definition.

ChangeSet
  1.1001.3.3 03/02/23 23:25:50 mayer@tecotoo.myibg.com +6 -0
  Fixes for multicast and broadcast and IPv6 interfaces.

  ports/winnt/libisc/net.c
    1.2 03/02/23 23:25:21 mayer@tecotoo.myibg.com +0 -4
    Remove unneccesary macro and allow the IPV6 probe to answer.

  ports/winnt/libisc/interfaceiter.c
    1.2 03/02/23 23:25:19 mayer@tecotoo.myibg.com +0 -6
    Remove commented out code.

  ntpd/ntp_io.c
    1.63 03/02/23 23:25:16 mayer@tecotoo.myibg.com +1 -2
    Make sure for I/O Completion Ports the correct error info is used.
    Remove unnecessary macro

  libisc/net.c
    1.2 03/02/23 23:25:13 mayer@tecotoo.myibg.com +0 -4
    Remove unnecessary WANT_IPV6 macro and allow IPV6 probes to return real answers.

  libisc/ifiter_sysctl.c
    1.3 03/02/23 23:25:11 mayer@tecotoo.myibg.com +10 -0
    Add flags for broadcast and multicast interfaces and fetch the broadcast address.

  libisc/ifiter_ioctl.c
    1.3 03/02/23 23:25:09 mayer@tecotoo.myibg.com +59 -0
    Add flags for broadcast and multicast interfaces and fetch the broadcast address.

ChangeSet
  1.683.4.144 03/02/22 04:47:19 cprice@cs-home.com +3 -0
  Arcron clock - enchanged driver and documentation, additional
  features included

  BitKeeper/etc/logging_ok
    1.1.1.8 03/02/22 04:47:19 cprice@cs-home.com +1 -0
    Logging to logging@openlogging.org accepted

  html/driver27.htm
    1.2.1.2 03/02/22 04:42:22 cprice@cs-home.com +117 -102
    Arcron clock - update html reference driver documentation to correspond 
    with most recent driver updates

ChangeSet
  1.683.4.143 03/02/22 05:04:54 stenn@whimsy.udel.edu +2 -0
  Instructions on submitting patches

  README.hackers
    1.6 03/02/22 05:04:36 stenn@whimsy.udel.edu +17 -0
    Instructions on submitting patches

  README.bk
    1.1.1.16 03/02/22 05:04:36 stenn@whimsy.udel.edu +2 -0
    Instructions on submitting patches

  ntpd/refclock_arc.c
    1.8.1.1 03/02/22 04:01:54 cprice@cs-home.com +287 -81
    Arcron clock - added new mode selectable msf, dcf and wwvb code, added a 
    utc/locatime flag, added average singal quality poll, several badformat 
    errors fixed, removal of unused code and general code cleanup including 
    standardizing debug routines and syslog messages

ChangeSet
  1.1001.1.10 03/02/22 04:43:12 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  README.bk
    1.14 03/02/22 04:43:09 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.4.142 03/02/22 04:39:59 stenn@whimsy.udel.edu +1 -0
  Updated.

  README.bk
    1.1.1.15 03/02/22 04:39:47 stenn@whimsy.udel.edu +0 -11
    Updated.

ChangeSet
  1.1001.3.2 03/02/22 00:54:36 mayer@tecotoo.myibg.com +1 -0
  Check the wildcards as well when looking for the broadcast client.

  ntpd/ntp_io.c
    1.62 03/02/22 00:53:50 mayer@tecotoo.myibg.com +1 -1
    Check the wildcards as well when looking for the broadcast client.

ChangeSet
  1.1001.3.1 03/02/21 01:13:32 mayer@tecotoo.myibg.com +1 -0
  Put the executable in the relevant bin subdirectory.

  ports/winnt/ntpd/ntpd.dsp
    1.15 03/02/21 01:12:57 mayer@tecotoo.myibg.com +2 -2
    Put the executable in the relevant bin subdirectory.

ChangeSet
  1.1001.1.8 03/02/21 00:19:05 stenn@whimsy.udel.edu +1 -0
  Cleanup from the recent patches

  ntpd/refclock_arc.c
    1.11 03/02/21 00:18:52 stenn@whimsy.udel.edu +3 -4
    Cleanup from the recent patches

ChangeSet
  1.1005 03/02/20 21:03:53 gnu@ring.wraith.sf.ca.us +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into ring.wraith.sf.ca.us:/home/gnu/src/ntp/ntp-dev

  BitKeeper/etc/logging_ok
    1.22 03/02/20 21:03:51 gnu@ring.wraith.sf.ca.us +0 -0
    auto-union

ChangeSet
  1.1001.1.7 03/02/20 20:18:20 paul@k2.alfille +3 -0
  Arcron radio clock update -- support WWVB version. Transparently backwards
  compatible with MSF version, but requires flag1=1 to signal WWVB region.

  BitKeeper/etc/logging_ok
    1.20.1.1 03/02/20 20:18:20 paul@k2.alfille +1 -0
    Logging to logging@openlogging.org accepted

  ntpd/refclock_arc.c
    1.10 03/02/20 20:18:06 paul@k2.alfille +157 -54
    Now support Arcron WWVB radio clock. Timezone not detected, to preemptively
    set to UTC prior to each read. Use flag1 to distinguish from MSF version.
    Update to version 1.2

  html/drivers/driver27.html
    1.11 03/02/20 20:18:06 paul@k2.alfille +14 -8
    Change docs to cover the WWVB version of the Arcron radio clock.
    Added explanation of new parameter, and URLs to the manufacturer.

ChangeSet
  1.1001.1.6 03/02/20 04:10:16 stenn@whimsy.udel.edu +1 -0
  HAVE_IFLIST_SYSCTL cleanup.

  configure.in
    1.298 03/02/20 04:09:57 stenn@whimsy.udel.edu +1 -7
    HAVE_IFLIST_SYSCTL cleanup.

ChangeSet
  1.1001.1.5 03/02/20 02:19:57 stenn@whimsy.udel.edu +1 -0
  Added HAVE_IFLIST_SYSCTL for ISC code.

  configure.in
    1.297 03/02/20 02:19:29 stenn@whimsy.udel.edu +16 -0
    Added HAVE_IFLIST_SYSCTL for ISC code.

ChangeSet
  1.1001.1.4 03/02/19 23:23:59 stenn@whimsy.udel.edu +1 -0
  Distribute libisc/ in the tarball

  Makefile.am
    1.36 03/02/19 23:23:48 stenn@whimsy.udel.edu +1 -0
    Distribute libisc/ in the tarball

ChangeSet
  1.1001.1.2 03/02/18 22:10:09 mayer@tecotoo.myibg.com +6 -0
  Use the name of the service and not the port number as a string.

  ntpq/ntpq.c
    1.32 03/02/18 22:09:39 mayer@tecotoo.myibg.com +1 -1
    Use the name of the service and not the port number as a string.

  ntpdc/ntpdc.c
    1.24 03/02/18 22:09:38 mayer@tecotoo.myibg.com +1 -1
    Use the name of the service and not the port number as a string.

  ntpdate/ntpdate.c
    1.42 03/02/18 22:09:36 mayer@tecotoo.myibg.com +2 -2
    Use the name of the service and not the port number as a string.

  ntpd/ntp_intres.c
    1.28 03/02/18 22:09:33 mayer@tecotoo.myibg.com +1 -1
    Use the name of the service and not the port number as a string.

  ntpd/ntp_config.c
    1.87 03/02/18 22:09:29 mayer@tecotoo.myibg.com +1 -1
    Use the name of the service and not the port number as a string.

  libntp/ntp_rfc2553.c
    1.14 03/02/18 22:09:24 mayer@tecotoo.myibg.com +1 -1
    Use the name of the service and not the port number as a string.

ChangeSet
  1.1004 03/02/18 12:35:26 gnu@ring.wraith.sf.ca.us +1 -0
  linux,freebsd audio quick fix

ChangeSet
  1.1001.2.3 03/02/17 02:51:28 stenn@whimsy.udel.edu +1 -0
  Cleanup from Dave Mills

  libntp/systime.c
    1.25 03/02/17 02:51:17 stenn@whimsy.udel.edu +2 -3
    Cleanup from Dave Mills

ChangeSet
  1.1001.2.2 03/02/17 02:48:13 stenn@whimsy.udel.edu +1 -0
  Intersection algorithm fixes from Dave Mills

  ntpd/ntp_proto.c
    1.152 03/02/17 02:47:55 stenn@whimsy.udel.edu +8 -2
    Intersection algorithm fixes from Dave Mills

ChangeSet
  1.1001.2.1 03/02/17 02:43:12 stenn@whimsy.udel.edu +1 -0
  ICOM fixes from Dave Mills

  ntpd/refclock_wwv.c
    1.36 03/02/17 02:42:58 stenn@whimsy.udel.edu +49 -32
    ICOM fixes from Dave Mills

ChangeSet
  1.1001.1.1 03/02/15 22:40:34 mayer@tecotoo.myibg.com +2 -0
  Scan all interfaces.

  ntpdc/ntpdc.c
    1.23 03/02/15 22:40:09 mayer@tecotoo.myibg.com +1 -1
    x.

  ntpd/ntp_io.c
    1.61 03/02/15 22:40:00 mayer@tecotoo.myibg.com +2 -2
    Scan all interfaces.

  libntp/audio.c
    1.19 03/02/14 15:15:41 gnu@ring.wraith.sf.ca.us +2 -9
    quick fix just to get audio going on freebsd, linux

ChangeSet
  1.1002 03/02/14 14:51:03 gnu@ring.wraith.sf.ca.us +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into ring.wraith.sf.ca.us:/home/gnu/src/ntp/ntp-dev

  BitKeeper/etc/logging_ok
    1.21 03/02/14 14:51:00 gnu@ring.wraith.sf.ca.us +0 -0
    auto-union

ChangeSet
  1.1001 03/02/13 02:22:14 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  configure.in
    1.296 03/02/13 02:22:07 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.3.9 03/02/13 02:19:12 stenn@whimsy.udel.edu +1 -0
  4.1.74a

  configure.in
    1.285.1.6 03/02/13 02:18:59 stenn@whimsy.udel.edu +1 -1
    4.1.74a

ChangeSet
  1.957.3.8 03/02/13 01:51:32 stenn@whimsy.udel.edu +2 -0
  ntp-4.1.74

  configure.in
    1.285.1.5 03/02/13 01:51:16 stenn@whimsy.udel.edu +1 -1
    ntp-4.1.74

  NEWS
    1.41 03/02/13 01:51:16 stenn@whimsy.udel.edu +1 -0
    ntp-4.1.74

ChangeSet
  1.957.3.7 03/02/13 01:11:35 stenn@whimsy.udel.edu +1 -0
  Cleanup from Dave Mills

  ntpd/ntp_util.c
    1.31 03/02/13 01:11:22 stenn@whimsy.udel.edu +18 -4
    Cleanup from Dave Mills

ChangeSet
  1.957.3.6 03/02/12 22:07:55 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  flock-build
    1.26 03/02/12 22:07:52 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.4.141 03/02/12 22:03:31 stenn@whimsy.udel.edu +1 -0
  Added albert to the flock-build

  flock-build
    1.23.1.1 03/02/12 22:03:18 stenn@whimsy.udel.edu +16 -14
    Added albert to the flock-build

ChangeSet
  1.957.3.5 03/02/12 02:14:37 stenn@whimsy.udel.edu +2 -0
  Cleanup from Dave Mills

  html/sntp.html
    1.3 03/02/12 02:14:26 stenn@whimsy.udel.edu +4 -1
    Cleanup from Dave Mills

  html/pic/dogsnake.gif
    1.1 03/02/12 02:12:02 stenn@whimsy.udel.edu +122 -0

  html/pic/dogsnake.gif
    1.0 03/02/12 02:12:02 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/pic/dogsnake.gif

ChangeSet
  1.957.3.4 03/02/12 01:13:08 stenn@whimsy.udel.edu +1 -0
  gap tweaks

  ntpd/ntp_proto.c
    1.151 03/02/12 01:12:49 stenn@whimsy.udel.edu +31 -19
    gap tweaks

ChangeSet
  1.957.3.3 03/02/10 00:09:57 stenn@whimsy.udel.edu +2 -0
  gap tweaks from Dave Mills

  ntpd/ntp_util.c
    1.30 03/02/10 00:09:44 stenn@whimsy.udel.edu +0 -4
    gap tweaks from Dave Mills

  ntpd/ntp_proto.c
    1.150 03/02/10 00:09:44 stenn@whimsy.udel.edu +37 -30
    gap tweaks from Dave Mills

ChangeSet
  1.998 03/02/09 20:13:44 stenn@pogo.udel.edu +1 -0
  Add WANT_IPV6 for ISC if we have ipv6

  configure.in
    1.295 03/02/09 20:13:30 stenn@pogo.udel.edu +8 -7
    Add WANT_IPV6 for ISC if we have ipv6

ChangeSet
  1.957.3.2 03/02/09 03:09:36 stenn@whimsy.udel.edu +2 -0
  Updates from Dave Mills

  html/miscopt.html
    1.27 03/02/09 03:09:16 stenn@whimsy.udel.edu +2 -3
    Updaets from Dave Mills

  html/authopt.html
    1.28 03/02/09 03:09:16 stenn@whimsy.udel.edu +3 -4
    Updaets from Dave Mills

ChangeSet
  1.996 03/02/08 02:09:33 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  configure.in
    1.294 03/02/08 02:09:24 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.3.1 03/02/08 01:49:26 stenn@whimsy.udel.edu +11 -0
  NIST lockclock stuff form Dave Mills.

  ntpd/refclock_local.c
    1.13 03/02/08 01:49:09 stenn@whimsy.udel.edu +18 -4
    NIST lockclock stuff form Dave Mills.

  ntpd/ntp_util.c
    1.29 03/02/08 01:49:09 stenn@whimsy.udel.edu +5 -6
    NIST lockclock stuff form Dave Mills.

  ntpd/ntp_proto.c
    1.149 03/02/08 01:49:09 stenn@whimsy.udel.edu +25 -6
    NIST lockclock stuff form Dave Mills.

  ntpd/ntp_loopfilter.c
    1.76 03/02/08 01:49:09 stenn@whimsy.udel.edu +21 -1
    NIST lockclock stuff form Dave Mills.

  ntpd/ntp_control.c
    1.60 03/02/08 01:49:08 stenn@whimsy.udel.edu +2 -1
    NIST lockclock stuff form Dave Mills.

  ntpd/ntp_config.c
    1.86 03/02/08 01:49:08 stenn@whimsy.udel.edu +0 -39
    NIST lockclock stuff form Dave Mills.

  html/monopt.html
    1.17 03/02/08 01:49:08 stenn@whimsy.udel.edu +26 -4
    NIST lockclock stuff form Dave Mills.

  html/miscopt.html
    1.26 03/02/08 01:49:08 stenn@whimsy.udel.edu +8 -4
    NIST lockclock stuff form Dave Mills.

  html/drivers/driver1.html
    1.12 03/02/08 01:49:08 stenn@whimsy.udel.edu +12 -1
    NIST lockclock stuff form Dave Mills.

  html/accopt.html
    1.19 03/02/08 01:49:08 stenn@whimsy.udel.edu +24 -18
    NIST lockclock stuff form Dave Mills.

  configure.in
    1.285.1.4 03/02/08 01:49:07 stenn@whimsy.udel.edu +10 -1
    NIST lockclock stuff form Dave Mills.

ChangeSet
  1.995 03/02/07 21:50:32 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  include/ntp.h
    1.86 03/02/07 21:50:25 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.992.1.1 03/02/07 00:18:29 mayer@tecotoo.myibg.com +3 -0
  Build/Run fixes for Unix boxes

  libisc/msgcat.c
    1.2 03/02/07 00:18:07 mayer@tecotoo.myibg.com +1 -0
    Add header so that NULL gets defined on SunOS 4.1.3 system.

  libisc/ifiter_sysctl.c
    1.2 03/02/07 00:18:06 mayer@tecotoo.myibg.com +0 -1
    Remove unnecessary require (no locking)

  libisc/ifiter_ioctl.c
    1.2 03/02/07 00:18:04 mayer@tecotoo.myibg.com +0 -1
    Remove unnecessary require (no locking)

ChangeSet
  1.957.1.34 03/02/06 19:14:43 gnu@ring.wraith.sf.ca.us +1 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into ring.wraith.sf.ca.us:/home/gnu/src/ntp/ntp-dev

  BitKeeper/etc/logging_ok
    1.19.1.2 03/02/06 19:14:41 gnu@ring.wraith.sf.ca.us +1 -1
    'Auto converge'

ChangeSet
  1.957.2.1 03/02/06 18:01:13 gnu@ring.wraith.sf.ca.us +2 -0
  fix up line/mic select, agc setting, monitor level.

  BitKeeper/etc/logging_ok
    1.19.1.1 03/02/06 18:01:12 gnu@ring.wraith.sf.ca.us +1 -0
    Logging to logging@openlogging.org accepted

  libntp/audio.c
    1.18 03/02/06 17:45:32 gnu@ring.wraith.sf.ca.us +9 -2

ChangeSet
  1.957.1.33 03/02/06 17:37:07 stenn@whimsy.udel.edu +8 -0
  More call-gap stuff from Dave Mills.

  ntpdc/ntpdc_ops.c
    1.24 03/02/06 17:36:40 stenn@whimsy.udel.edu +11 -11
    More call-gap stuff from Dave Mills.

  ntpd/ntp_util.c
    1.28 03/02/06 17:36:40 stenn@whimsy.udel.edu +5 -3
    More call-gap stuff from Dave Mills.

  ntpd/ntp_restrict.c
    1.16 03/02/06 17:36:40 stenn@whimsy.udel.edu +10 -3
    More call-gap stuff from Dave Mills.

  ntpd/ntp_request.c
    1.44 03/02/06 17:36:40 stenn@whimsy.udel.edu +1 -1
    More call-gap stuff from Dave Mills.

  ntpd/ntp_proto.c
    1.148 03/02/06 17:36:40 stenn@whimsy.udel.edu +11 -11
    More call-gap stuff from Dave Mills.

  ntpd/ntp_monitor.c
    1.10 03/02/06 17:36:39 stenn@whimsy.udel.edu +3 -11
    More call-gap stuff from Dave Mills.

  include/ntp_request.h
    1.21 03/02/06 17:36:39 stenn@whimsy.udel.edu +18 -18
    More call-gap stuff from Dave Mills.

  include/ntp.h
    1.79.1.6 03/02/06 17:36:39 stenn@whimsy.udel.edu +0 -2
    More call-gap stuff from Dave Mills.

ChangeSet
  1.993 03/02/06 03:10:42 stenn@pogo.udel.edu +2 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  include/ntpd.h
    1.56 03/02/06 03:10:34 stenn@pogo.udel.edu +0 -0
    Auto merged

  include/ntp.h
    1.85 03/02/06 03:10:34 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.32 03/02/06 02:41:35 stenn@whimsy.udel.edu +10 -0
  Call gap stuff from Dave Mills

  ntpdc/ntpdc_ops.c
    1.23 03/02/06 02:41:12 stenn@whimsy.udel.edu +26 -25
    Call gap stuff from Dave Mills

  ntpd/ntp_restrict.c
    1.15 03/02/06 02:41:12 stenn@whimsy.udel.edu +28 -145
    Call gap stuff from Dave Mills

  ntpd/ntp_request.c
    1.43 03/02/06 02:41:12 stenn@whimsy.udel.edu +6 -23
    Call gap stuff from Dave Mills

  ntpd/ntp_proto.c
    1.147 03/02/06 02:41:11 stenn@whimsy.udel.edu +16 -8
    Call gap stuff from Dave Mills

  ntpd/ntp_monitor.c
    1.9 03/02/06 02:41:11 stenn@whimsy.udel.edu +26 -48
    Call gap stuff from Dave Mills

  ntpd/ntp_config.c
    1.85 03/02/06 02:41:11 stenn@whimsy.udel.edu +63 -60
    Call gap stuff from Dave Mills

  include/ntpd.h
    1.53.1.2 03/02/06 02:41:11 stenn@whimsy.udel.edu +3 -2
    Call gap stuff from Dave Mills

  include/ntp_request.h
    1.20 03/02/06 02:41:11 stenn@whimsy.udel.edu +4 -4
    Call gap stuff from Dave Mills

  include/ntp_config.h
    1.26 03/02/06 02:41:11 stenn@whimsy.udel.edu +9 -4
    Call gap stuff from Dave Mills

  include/ntp.h
    1.79.1.5 03/02/06 02:41:11 stenn@whimsy.udel.edu +5 -4
    Call gap stuff from Dave Mills

ChangeSet
  1.992 03/02/05 23:00:56 mayer@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev-io
  into pogo.udel.edu:/pogo/users/mayer/ntp-dev-io

  libntp/ntp_rfc2553.c
    1.13 03/02/05 23:00:48 mayer@pogo.udel.edu +0 -1
    Auto merged

ChangeSet
  1.988.1.1 03/02/05 22:58:52 mayer@tecotoo.myibg.com +4 -0
  IPv6 fixes to handle both NTP and ISC definitions.

  BitKeeper/etc/ignore
    1.33 03/02/05 22:58:28 mayer@tecotoo.myibg.com +1 -0
    Added {include/isc/netaddr.h.$$$} to the ignore list

  libntp/ntp_rfc2553.c
    1.11.1.1 03/02/05 22:58:25 mayer@tecotoo.myibg.com +1 -1
    Fix lengt

  include/ntp_rfc2553.h
    1.8 03/02/05 22:58:23 mayer@tecotoo.myibg.com +6 -0
    Don't allow isc/ipv6.h include as all of the structures and macros are defined here.

  include/isc/netaddr.h
    1.2 03/02/05 22:58:21 mayer@tecotoo.myibg.com +3 -0
    Include IPv6 definitions.

ChangeSet
  1.957.1.31 03/02/05 20:08:26 stenn@whimsy.udel.edu +1 -0
  Terje found a short malloc.

  libntp/ntp_rfc2553.c
    1.12 03/02/05 20:08:15 stenn@whimsy.udel.edu +1 -1
    Terje found a short malloc.

ChangeSet
  1.990 03/02/05 17:40:14 stenn@pogo.udel.edu +1 -0
  isc/platform.h is no longer auto-generated

  BitKeeper/deleted/.del-platform.h.in~9c157531
    1.2 03/02/05 17:37:23 stenn@pogo.udel.edu +0 -0
    Delete: include/isc/platform.h.in

ChangeSet
  1.989 03/02/05 03:52:48 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  include/ntpd.h
    1.55 03/02/05 03:52:41 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.988 03/02/05 00:52:02 mayer@tecotoo.myibg.com +2 -0
  Define needs a value.

  BitKeeper/etc/ignore
    1.32 03/02/05 00:51:43 mayer@tecotoo.myibg.com +1 -0
    Added {configure.in.$$$} to the ignore list

  configure.in
    1.293 03/02/05 00:51:40 mayer@tecotoo.myibg.com +1 -1
    Define needs a value.

ChangeSet
  1.683.4.140 03/02/04 05:49:13 stenn@whimsy.udel.edu +1 -0
  Added -d and -q to the send trigger

  BitKeeper/triggers/send
    1.3 03/02/04 05:48:31 stenn@whimsy.udel.edu +1 -1
    Added -d and -q to the send trigger

ChangeSet
  1.683.4.139 03/02/04 05:38:05 stenn@whimsy.udel.edu +1 -0
  Fix a typo.

  BitKeeper/triggers/send
    1.2 03/02/04 05:37:33 stenn@whimsy.udel.edu +1 -1
    Fix a typo.

ChangeSet
  1.957.1.28 03/02/04 05:28:46 stenn@whimsy.udel.edu +2 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  BitKeeper/triggers/trigger.cfg
    1.11 03/02/04 05:28:43 stenn@whimsy.udel.edu +0 -2
    Auto merged

  BitKeeper/deleted/.del-send
    1.2 03/02/04 05:28:43 stenn@whimsy.udel.edu +0 -0
    Delete: BitKeeper/triggers/send

ChangeSet
  1.683.4.138 03/02/04 05:23:18 stenn@whimsy.udel.edu +2 -0
  New send trigger

  BitKeeper/triggers/trigger.cfg
    1.9.1.1 03/02/04 05:22:53 stenn@whimsy.udel.edu +2 -2
    New send trigger

  BitKeeper/triggers/send
    1.1 03/02/04 05:21:55 stenn@whimsy.udel.edu +39 -0

  BitKeeper/triggers/send
    1.0 03/02/04 05:21:55 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-stable/BitKeeper/triggers/send

ChangeSet
  1.957.1.27 03/02/04 05:16:33 stenn@whimsy.udel.edu +2 -0
  New send trigger

  BitKeeper/triggers/trigger.cfg
    1.10 03/02/04 05:15:33 stenn@whimsy.udel.edu +2 -2
    New send trigger

  BitKeeper/triggers/send
    1.1 03/02/04 05:14:08 stenn@whimsy.udel.edu +39 -0

  BitKeeper/triggers/send
    1.0 03/02/04 05:14:08 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/BitKeeper/triggers/send

ChangeSet
  1.957.1.26 03/02/04 03:16:45 stenn@whimsy.udel.edu +5 -0
  Cleanup; added system statistics logfile.  From Dave Mills.

  ntpd/refclock_local.c
    1.12 03/02/04 03:15:52 stenn@whimsy.udel.edu +54 -66
    Cleanup; added system statistics logfile.  From Dave Mills.

  ntpd/ntp_util.c
    1.27 03/02/04 03:15:51 stenn@whimsy.udel.edu +55 -1
    Cleanup; added system statistics logfile.  From Dave Mills.

  ntpd/ntp_restrict.c
    1.14 03/02/04 03:15:51 stenn@whimsy.udel.edu +97 -95
    Cleanup; added system statistics logfile.  From Dave Mills.

  ntpd/ntp_monitor.c
    1.8 03/02/04 03:15:51 stenn@whimsy.udel.edu +45 -39
    Cleanup; added system statistics logfile.  From Dave Mills.

  include/ntpd.h
    1.53.1.1 03/02/04 03:15:51 stenn@whimsy.udel.edu +1 -0
    Cleanup; added system statistics logfile.  From Dave Mills.

ChangeSet
  1.987 03/02/03 22:59:24 mayer@tecotoo.myibg.com +1 -0
  Put platform.h.in back and remove platform.h.

  include/isc/platform.h.in
    1.1 03/02/03 22:59:02 mayer@tecotoo.myibg.com +230 -0

  include/isc/platform.h.in
    1.0 03/02/03 22:59:02 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/platform.h.in

ChangeSet
  1.986 03/02/03 22:41:28 mayer@tecotoo.myibg.com +1 -0
  Removed erroneous const for pointer.

  ntpd/ntp_crypto.c
    1.81 03/02/03 22:41:05 mayer@tecotoo.myibg.com +3 -3
    Removed erroneous const for pointer.

ChangeSet
  1.985 03/02/03 01:40:19 stenn@pogo.udel.edu +2 -0
  More ISC macro cleanup

  configure.in
    1.292 03/02/03 01:39:54 stenn@pogo.udel.edu +25 -48
    More ISC macro cleanup

ChangeSet
  1.984 03/02/03 01:34:22 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  ntpd/ntp_crypto.c
    1.80 03/02/03 01:34:16 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.25 03/02/03 01:28:25 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  ntpd/ntp_config.c
    1.84 03/02/03 01:28:22 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.24 03/02/03 00:32:41 stenn@whimsy.udel.edu +6 -0
  Cleanup from Dave Mills.

  util/ntp-keygen.c
    1.23 03/02/03 00:32:24 stenn@whimsy.udel.edu +2 -0
    Cleanup from Dave Mills.

  ntpd/ntp_crypto.c
    1.76.1.2 03/02/03 00:32:24 stenn@whimsy.udel.edu +84 -55
    Cleanup from Dave Mills.

  html/extern.html
    1.13 03/02/03 00:32:23 stenn@whimsy.udel.edu +10 -6
    Cleanup from Dave Mills.

  html/debug.html
    1.20 03/02/03 00:32:23 stenn@whimsy.udel.edu +15 -14
    Cleanup from Dave Mills.

  html/copyright.html
    1.26 03/02/03 00:32:23 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/clockopt.html
    1.16 03/02/03 00:32:23 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  BitKeeper/deleted/.del-platform.h.in~cfcbc83b
    1.2 03/02/03 00:01:07 stenn@pogo.udel.edu +0 -0
    Delete: include/isc/platform.h.in

ChangeSet
  1.983 03/02/02 01:36:31 stenn@pogo.udel.edu +1 -0
  Merge

  ntpd/ntp_crypto.c
    1.79 03/02/02 01:36:25 stenn@pogo.udel.edu +0 -0
    SCCS merged

ChangeSet
  1.957.1.23 03/02/02 01:26:15 stenn@whimsy.udel.edu +4 -0
  Cleanup and fixes from Dave Mills.

  ntpd/ntp_crypto.c
    1.76.1.1 03/02/02 01:26:00 stenn@whimsy.udel.edu +9 -14
    Cleanup and fixes from Dave Mills.

  html/msyslog.html
    1.3 03/02/02 01:26:00 stenn@whimsy.udel.edu +2 -1
    Cleanup and fixes from Dave Mills.

  html/keygen.html
    1.3 03/02/02 01:25:59 stenn@whimsy.udel.edu +34 -115
    Cleanup and fixes from Dave Mills.

  html/authopt.html
    1.27 03/02/02 01:25:59 stenn@whimsy.udel.edu +17 -30
    Cleanup and fixes from Dave Mills.

ChangeSet
  1.982 03/02/01 21:35:16 mayer@tecotoo.myibg.com +1 -0
  readlink function is for Win32 only.

  ntpd/ntp_crypto.c
    1.78 03/02/01 21:34:42 mayer@tecotoo.myibg.com +2 -1
    readlink function is for Win32 only.

ChangeSet
  1.981 03/02/01 20:41:01 mayer@pogo.udel.edu +2 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev-io
  into pogo.udel.edu:/pogo/users/mayer/ntp-dev-io

  BitKeeper/etc/logging_ok
    1.20 03/02/01 20:40:40 mayer@pogo.udel.edu +1 -0
    Logging to logging@openlogging.org accepted

  include/ntp.h
    1.84 03/02/01 20:40:13 mayer@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.977.1.3 03/02/01 19:55:51 mayer@tecotoo.myibg.com +1 -0
  Replaced include/isc/platform.h.in with include/isc/platform.h. We no longer need
  to generate the platform.h file. All Macros are now defined in config.h.

  include/isc/platform.h
    1.1 03/02/01 19:55:14 mayer@tecotoo.myibg.com +40 -0

  include/isc/platform.h
    1.0 03/02/01 19:55:13 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/platform.h

ChangeSet
  1.977.1.2 03/02/01 19:06:14 mayer@tecotoo.myibg.com +2 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into tecotoo.myibg.com:H:/ntpbk/ntp-dev

  ntpd/ntp_crypto.c
    1.77 03/02/01 19:05:37 mayer@tecotoo.myibg.com +0 -0
    Auto merged

  include/ntp.h
    1.81.1.2 03/02/01 19:05:29 mayer@tecotoo.myibg.com +0 -0
    Auto merged

ChangeSet
  1.977.1.1 03/02/01 18:58:49 mayer@tecotoo.myibg.com +17 -0
  Add support for OpenSSL, fixing type bugs and asn2ntp unsigned error and add
  Win32 support for readlink.

  ports/winnt/ntptrace/ntptrace.dsp
    1.9 03/02/01 18:58:09 mayer@tecotoo.myibg.com +2 -2
    Fix include to add support for OpenSSL.

  ports/winnt/ntpq/ntpq.dsp
    1.11 03/02/01 18:58:07 mayer@tecotoo.myibg.com +2 -2
    Fix include to add support for OpenSSL

  ports/winnt/ntpdc/ntpdc.dsp
    1.11 03/02/01 18:58:06 mayer@tecotoo.myibg.com +2 -2
    Fix include to add support for OpenSSL

  ports/winnt/ntpdate/ntpdate.dsp
    1.9 03/02/01 18:58:04 mayer@tecotoo.myibg.com +2 -2
    Fix include to add support for OpenSSL

  ports/winnt/ntpd/ntpd.dsp
    1.14 03/02/01 18:58:03 mayer@tecotoo.myibg.com +4 -4
    Fix include to add support for OpenSSL.

  ports/winnt/ntpd/nt_clockstuff.c
    1.12 03/02/01 18:58:01 mayer@tecotoo.myibg.com +8 -0
    Force update for CMOS (from Terje Mathisen).

  ports/winnt/libntp/libntp.dsp
    1.11 03/02/01 18:58:00 mayer@tecotoo.myibg.com +6 -6
    Fixes for include order and add openssl include path.

  ports/winnt/libisc/isc_strerror.c
    1.2 03/02/01 18:57:58 mayer@tecotoo.myibg.com +1 -1
    Change include to windows.h (for now) rather than winsock2.h.

  ports/winnt/include/config.h
    1.17 03/02/01 18:57:57 mayer@tecotoo.myibg.com +5 -2
    Enable OpenSSL support for Win32.

  ntpdate/ntpdate.c
    1.41 03/02/01 18:57:55 mayer@tecotoo.myibg.com +4 -1
    Macros needed to be redefined for Windows sockets.

  ntpd/ntp_timer.c
    1.23 03/02/01 18:57:53 mayer@tecotoo.myibg.com +1 -1
    String need to be char and not u_char.

  ntpd/ntp_peer.c
    1.54 03/02/01 18:57:49 mayer@tecotoo.myibg.com +2 -2
    String need to be char and not u_char.

  ntpd/ntp_crypto.c
    1.74.1.1 03/02/01 18:57:45 mayer@tecotoo.myibg.com +32 -24
    Define a function for Win32 for readlink which does not exist on Windows.
    character string needs to be defined as char and not u_char.
    asn2ntp() is defined as returning u_long, so returning -1 is invalid. Return (~0) instead.

  include/ntpd.h
    1.54 03/02/01 18:57:41 mayer@tecotoo.myibg.com +1 -1
    Specify arg as char and not u_char.

  include/ntp_machine.h
    1.17 03/02/01 18:57:39 mayer@tecotoo.myibg.com +1 -0
    For Win32 need to specify snprintf in order for link to work correctly.

  include/ntp_crypto.h
    1.32 03/02/01 18:57:37 mayer@tecotoo.myibg.com +2 -2
    Wrong type was specified.

  include/ntp.h
    1.81.1.1 03/02/01 18:57:32 mayer@tecotoo.myibg.com +2 -2
    Wrong type was specified.

ChangeSet
  1.980 03/02/01 03:40:01 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  include/ntp.h
    1.83 03/02/01 03:39:52 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.979 03/02/01 03:05:20 stenn@pogo.udel.edu +1 -0
  ISC_PLATFORM sniffing

  configure.in
    1.291 03/02/01 03:04:54 stenn@pogo.udel.edu +72 -5
    ISC_PLATFORM sniffing

ChangeSet
  1.957.1.22 03/01/31 22:27:13 stenn@whimsy.udel.edu +8 -0
  Support for the new "tick" adjustment config variable.
  Crypto random seed file cleanup.
  Various cleanup and fixes.
  From Dave Mills.

  ntpd/ntp_proto.c
    1.146 03/01/31 22:27:08 stenn@whimsy.udel.edu +23 -30
    Cleanup and tick adjustment changes from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.75 03/01/31 22:27:08 stenn@whimsy.udel.edu +5 -0
    Log out-of-range frequency error.  From Dave Mills.

  ntpd/ntp_crypto.c
    1.76 03/01/31 22:27:08 stenn@whimsy.udel.edu +11 -9
    random seed file cleanup from Dave Mills.

  ntpd/ntp_config.c
    1.83 03/01/31 22:27:07 stenn@whimsy.udel.edu +9 -1
    Support for the new "tick" adjustment config variable.
    From Dave Mills.

  libntp/systime.c
    1.24 03/01/31 22:27:07 stenn@whimsy.udel.edu +113 -113
    New tick adjustment stuff from Dave Mills.

  include/ntp_stdlib.h
    1.19 03/01/31 22:27:07 stenn@whimsy.udel.edu +1 -1
    New tick adjustment stuff from Dave Mills.

  include/ntp_config.h
    1.25 03/01/31 22:27:07 stenn@whimsy.udel.edu +2 -1
    Support for the new "tick" adjustment config variable.
    From Dave Mills.

  include/ntp.h
    1.79.1.4 03/01/31 22:27:07 stenn@whimsy.udel.edu +1 -0
    Support for the new "tick" adjustment config variable.
    From Dave Mills.

ChangeSet
  1.978 03/01/31 03:29:28 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  include/ntp.h
    1.82 03/01/31 03:29:19 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.21 03/01/30 22:18:28 stenn@whimsy.udel.edu +9 -0
  Upgrade from msec/usec to nsec. From: EGauselmann@beit.de
  
  Also, some documentation updates from Dave Mills.

  ntpd/refclock_shm.c
    1.12 03/01/30 22:18:25 stenn@whimsy.udel.edu +1 -2
    Upgrade from msec/usec to nsec. From: EGauselmann@beit.de

  html/scripts/links9.txt
    1.2 03/01/30 22:18:24 stenn@whimsy.udel.edu +1 -1
    Documentation cleanup from Dave Mills.

  html/msyslog.html
    1.2 03/01/30 22:18:24 stenn@whimsy.udel.edu +3 -2
    Documentation cleanup from Dave Mills.

  BitKeeper/deleted/.del-sunrise1.jpg~63c5b2a2d671408e
    1.2 03/01/29 22:10:15 stenn@whimsy.udel.edu +0 -0
    Delete: html/pic/sunrise1.jpg

  BitKeeper/deleted/.del-butterfly.gif~401fa5d28ff83389
    1.2 03/01/29 22:10:15 stenn@whimsy.udel.edu +0 -0
    Delete: html/pic/butterfly.gif

  BitKeeper/deleted/.del-boom4.gif~33271372
    1.2 03/01/29 22:10:15 stenn@whimsy.udel.edu +0 -0
    Delete: html/pic/boom4.gif

  BitKeeper/deleted/.del-alautun4b.gif~3b35421b5b1f44b7
    1.2 03/01/29 22:10:15 stenn@whimsy.udel.edu +0 -0
    Delete: html/pic/alautun4b.gif

  BitKeeper/deleted/.del-header.txt~60e60bf9df0ed7cf
    1.2 03/01/29 22:09:46 stenn@whimsy.udel.edu +0 -0
    Delete: html/scripts/header.txt

  BitKeeper/deleted/.del-genkeys.html~b4f10b19
    1.18 03/01/29 22:09:45 stenn@whimsy.udel.edu +0 -0
    Delete: html/genkeys.html

ChangeSet
  1.683.4.137 03/01/29 00:27:41 stenn@whimsy.udel.edu +1 -0
  Off by one error.  From: Chad Loder <cloder@loder.us>

  ntpd/ntp_config.c
    1.50.4.2 03/01/29 00:27:19 stenn@whimsy.udel.edu +1 -1
    Off by one error.  From: Chad Loder <cloder@loder.us>

ChangeSet
  1.957.1.20 03/01/27 16:24:14 stenn@whimsy.udel.edu +8 -0
  Cleanup from Dave Mills.

  html/scripts/links10.txt
    1.2 03/01/27 16:24:08 stenn@whimsy.udel.edu +0 -1
    Cleanup from Dave Mills.

  html/rdebug.html
    1.13 03/01/27 16:24:08 stenn@whimsy.udel.edu +5 -3
    Cleanup from Dave Mills.

  html/ntpq.html
    1.20 03/01/27 16:24:08 stenn@whimsy.udel.edu +3 -1
    Cleanup from Dave Mills.

  html/ntpdc.html
    1.17 03/01/27 16:24:08 stenn@whimsy.udel.edu +3 -1
    Cleanup from Dave Mills.

  html/ntpd.html
    1.28 03/01/27 16:24:08 stenn@whimsy.udel.edu +37 -19
    Cleanup from Dave Mills.

  html/keygen.html
    1.2 03/01/27 16:24:07 stenn@whimsy.udel.edu +57 -67
    Cleanup from Dave Mills.

  html/index.html
    1.25 03/01/27 16:24:07 stenn@whimsy.udel.edu +4 -2
    Cleanup from Dave Mills.

  html/debug.html
    1.19 03/01/27 16:24:07 stenn@whimsy.udel.edu +3 -1
    Cleanup from Dave Mills.

ChangeSet
  1.957.1.19 03/01/27 16:10:47 stenn@whimsy.udel.edu +8 -0
  Cleanup from Dave Mills.

  html/scripts/links12.txt
    1.1 03/01/27 16:10:42 stenn@whimsy.udel.edu +5 -0

  html/msyslog.html
    1.1 03/01/27 16:10:42 stenn@whimsy.udel.edu +123 -0

  html/scripts/links12.txt
    1.0 03/01/27 16:10:42 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/scripts/links12.txt

  html/msyslog.html
    1.0 03/01/27 16:10:42 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/msyslog.html

  util/ntp-keygen.c
    1.22 03/01/27 16:10:41 stenn@whimsy.udel.edu +203 -159
    Cleanup from Dave Mills.

  ntpd/ntp_proto.c
    1.145 03/01/27 16:10:41 stenn@whimsy.udel.edu +21 -28
    Cleanup from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.74 03/01/27 16:10:41 stenn@whimsy.udel.edu +12 -12
    Cleanup from Dave Mills.

  ntpd/ntp_crypto.c
    1.75 03/01/27 16:10:40 stenn@whimsy.udel.edu +83 -56
    Cleanup from Dave Mills.

  include/ntp.h
    1.79.1.3 03/01/27 16:10:40 stenn@whimsy.udel.edu +1 -0
    Cleanup from Dave Mills.

  html/accopt.html
    1.18 03/01/27 16:10:40 stenn@whimsy.udel.edu +12 -20
    Cleanup from Dave Mills.

ChangeSet
  1.957.1.18 03/01/23 22:43:48 stenn@whimsy.udel.edu +3 -0
  MJD and flags cleanup from Dave Mills.

  ntpd/ntp_util.c
    1.26 03/01/23 22:43:45 stenn@whimsy.udel.edu +5 -5
    MJD and flags cleanup from Dave Mills.

  ntpd/ntp_proto.c
    1.144 03/01/23 22:43:45 stenn@whimsy.udel.edu +20 -13
    MJD and flags cleanup from Dave Mills.

  include/ntp.h
    1.79.1.2 03/01/23 22:43:44 stenn@whimsy.udel.edu +22 -16
    MJD and flags cleanup from Dave Mills.

ChangeSet
  1.977 03/01/23 22:11:56 mayer@tecotoo.myibg.com +3 -0
  strerror.c was renamed to isc_strerror.c to prevent conflicts with the standard strerror.c.

  ports/winnt/libisc/isc_strerror.c
    1.1 03/01/23 22:11:33 mayer@tecotoo.myibg.com +440 -0

  ports/winnt/libisc/isc_strerror.c
    1.0 03/01/23 22:11:33 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libisc/isc_strerror.c

  libisc/isc_strerror.c
    1.1 03/01/23 22:11:31 mayer@tecotoo.myibg.com +72 -0

  libisc/isc_strerror.c
    1.0 03/01/23 22:11:31 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/isc_strerror.c

  libntp/Makefile.am
    1.26 03/01/23 22:11:28 mayer@tecotoo.myibg.com +1 -1
    strerror.c was renamed to isc_strerror.c to prevent conflicts with the standard strerror.c.

ChangeSet
  1.976 03/01/23 00:12:48 mayer@tecotoo.myibg.com +3 -0
  Fixes to make file

  BitKeeper/etc/ignore
    1.31 03/01/23 00:12:29 mayer@tecotoo.myibg.com +1 -0
    Added {include/isc/Makefile.am.$$$} to the ignore list

  libntp/Makefile.am
    1.25 03/01/23 00:12:26 mayer@tecotoo.myibg.com +0 -4
    Removed commented out lines which were causing problems.

  include/isc/Makefile.am
    1.2 03/01/23 00:12:23 mayer@tecotoo.myibg.com +1 -2
    Removed $(NULL) entry

ChangeSet
  1.971.1.1 03/01/22 23:33:11 mayer@tecotoo.myibg.com +2 -0
  Fix the thread retrieving the time to the same processor for consistency.

  BitKeeper/etc/ignore
    1.30 03/01/22 23:32:53 mayer@tecotoo.myibg.com +1 -0
    Added ports/winnt/ntpd/nt_clockstuff.c.bak to the ignore list

  ports/winnt/ntpd/nt_clockstuff.c
    1.11 03/01/22 23:32:50 mayer@tecotoo.myibg.com +13 -0
    Make sure that the time is only retrieved from the same processor by tying the thread retrieving
    the code to the first processor. This only affects multiprocessors

ChangeSet
  1.974 03/01/22 04:28:16 stenn@pogo.udel.edu +1 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  configure.in
    1.290 03/01/22 04:28:11 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.973 03/01/22 04:26:18 stenn@pogo.udel.edu +4 -0
  ISC_PLATFORM progress

  libntp/Makefile.am
    1.24 03/01/22 04:25:31 stenn@pogo.udel.edu +1 -1
    libntp now needs include/isc

  include/Makefile.am
    1.15 03/01/22 04:24:40 stenn@pogo.udel.edu +2 -1
    Handle include/isc/

  configure.in
    1.289 03/01/22 04:24:18 stenn@pogo.udel.edu +37 -0
    First pass at ISC_PLATFORM* variables

  include/isc/Makefile.am
    1.1 03/01/22 04:23:04 stenn@pogo.udel.edu +35 -0

  include/isc/Makefile.am
    1.0 03/01/22 04:23:04 stenn@pogo.udel.edu +0 -0
    BitKeeper file /pogo/users/stenn/ntp-dev-io/include/isc/Makefile.am

ChangeSet
  1.957.1.17 03/01/22 02:04:17 stenn@whimsy.udel.edu +1 -0
  ntp-4.1.73

  configure.in
    1.285.1.3 03/01/22 02:03:58 stenn@whimsy.udel.edu +1 -1
    ntp-4.1.73

ChangeSet
  1.972 03/01/21 21:34:52 stenn@pogo.udel.edu +2 -0
  Merge pogo.udel.edu:/pogo/users/stenn/ntp-dev
  into pogo.udel.edu:/pogo/users/stenn/ntp-dev-io

  ntpd/refclock_palisade.c
    1.15 03/01/21 21:34:43 stenn@pogo.udel.edu +0 -1
    Auto merged

  configure.in
    1.288 03/01/21 21:34:43 stenn@pogo.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.16 03/01/21 17:23:27 stenn@whimsy.udel.edu +57 -0
  Cleanup from Dave Mills.

  html/keygen.html
    1.1 03/01/21 17:23:20 stenn@whimsy.udel.edu +203 -0

  html/icons/mail2.gif
    1.1 03/01/21 17:23:20 stenn@whimsy.udel.edu +8 -0

  html/icons/home.gif
    1.1 03/01/21 17:23:20 stenn@whimsy.udel.edu +23 -0

  html/drivers/icons/mail2.gif
    1.1 03/01/21 17:23:20 stenn@whimsy.udel.edu +8 -0

  html/drivers/icons/home.gif
    1.1 03/01/21 17:23:20 stenn@whimsy.udel.edu +23 -0

  html/keygen.html
    1.0 03/01/21 17:23:20 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/keygen.html

  html/icons/mail2.gif
    1.0 03/01/21 17:23:20 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/icons/mail2.gif

  html/icons/home.gif
    1.0 03/01/21 17:23:20 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/icons/home.gif

  html/drivers/icons/mail2.gif
    1.0 03/01/21 17:23:20 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/drivers/icons/mail2.gif

  html/drivers/icons/home.gif
    1.0 03/01/21 17:23:20 stenn@whimsy.udel.edu +0 -0
    BitKeeper file /backroom/ntp-dev/html/drivers/icons/home.gif

  html/drivers/oncore-shmem.html
    1.10 03/01/21 17:23:19 stenn@whimsy.udel.edu +12 -8
    Cleanup from Dave Mills.

  html/drivers/driver9.html
    1.12 03/01/21 17:23:19 stenn@whimsy.udel.edu +6 -6
    Cleanup from Dave Mills.

  html/drivers/driver8.html
    1.11 03/01/21 17:23:19 stenn@whimsy.udel.edu +12 -12
    Cleanup from Dave Mills.

  html/drivers/driver7.html
    1.19 03/01/21 17:23:19 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills.

  html/drivers/driver6.html
    1.14 03/01/21 17:23:19 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/drivers/driver5.html
    1.10 03/01/21 17:23:19 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver44.html
    1.8 03/01/21 17:23:19 stenn@whimsy.udel.edu +9 -9
    Cleanup from Dave Mills.

  html/drivers/driver43.html
    1.7 03/01/21 17:23:19 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills.

  html/drivers/driver42.html
    1.10 03/01/21 17:23:19 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver40.html
    1.9 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver4.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver39.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver38.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver37.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver36.html
    1.17 03/01/21 17:23:18 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/drivers/driver35.html
    1.12 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver34.html
    1.9 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver33.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver32.html
    1.10 03/01/21 17:23:18 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver30.html
    1.15 03/01/21 17:23:17 stenn@whimsy.udel.edu +32 -32
    Cleanup from Dave Mills.

  html/drivers/driver3.html
    1.9 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver29.html
    1.11 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver28.html
    1.9 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver27.html
    1.10 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver26.html
    1.8 03/01/21 17:23:17 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver24.html
    1.8 03/01/21 17:23:17 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/drivers/driver23.html
    1.11 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver22.html
    1.13 03/01/21 17:23:17 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills.

  html/drivers/driver20.html
    1.11 03/01/21 17:23:17 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/release.html
    1.27 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver2.html
    1.10 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver19.html
    1.9 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver18.html
    1.10 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver16.html
    1.9 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver12.html
    1.10 03/01/21 17:23:16 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/drivers/driver11.html
    1.10 03/01/21 17:23:16 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/drivers/driver10.html
    1.10 03/01/21 17:23:16 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/drivers/driver1.html
    1.11 03/01/21 17:23:16 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/refclock.html
    1.27 03/01/21 17:23:15 stenn@whimsy.udel.edu +41 -41
    Cleanup from Dave Mills.

  html/quick.html
    1.14 03/01/21 17:23:15 stenn@whimsy.udel.edu +4 -5
    Cleanup from Dave Mills.

  html/prefer.html
    1.13 03/01/21 17:23:15 stenn@whimsy.udel.edu +3 -3
    Cleanup from Dave Mills.

  html/pps.html
    1.17 03/01/21 17:23:15 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/ntpd.html
    1.27 03/01/21 17:23:15 stenn@whimsy.udel.edu +69 -39
    Cleanup from Dave Mills.

  html/miscopt.html
    1.25 03/01/21 17:23:15 stenn@whimsy.udel.edu +5 -8
    Cleanup from Dave Mills.

  html/ldisc.html
    1.11 03/01/21 17:23:14 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/index.html
    1.24 03/01/21 17:23:14 stenn@whimsy.udel.edu +4 -4
    Cleanup from Dave Mills.

  html/extern.html
    1.12 03/01/21 17:23:14 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/debug.html
    1.18 03/01/21 17:23:14 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  html/build.html
    1.17 03/01/21 17:23:14 stenn@whimsy.udel.edu +17 -17
    Cleanup from Dave Mills.

  html/authopt.html
    1.26 03/01/21 17:23:14 stenn@whimsy.udel.edu +7 -9
    Cleanup from Dave Mills.

  html/assoc.html
    1.19 03/01/21 17:23:13 stenn@whimsy.udel.edu +7 -7
    Cleanup from Dave Mills.

  html/accopt.html
    1.17 03/01/21 17:23:13 stenn@whimsy.udel.edu +5 -5
    Cleanup from Dave Mills.

  html/drivers/oncore-shmem.html
    1.9 03/01/21 01:25:31 stenn@whimsy.udel.edu +0 -0
    Rename: html/oncore-shmem.html -> html/drivers/oncore-shmem.html

  html/drivers/driver9.html
    1.11 03/01/21 01:21:20 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver9.html -> html/drivers/driver9.html

  html/drivers/driver8.html
    1.10 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver8.html -> html/drivers/driver8.html

  html/drivers/driver7.html
    1.18 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver7.html -> html/drivers/driver7.html

  html/drivers/driver6.html
    1.13 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver6.html -> html/drivers/driver6.html

  html/drivers/driver5.html
    1.9 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver5.html -> html/drivers/driver5.html

  html/drivers/driver44.html
    1.7 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver44.html -> html/drivers/driver44.html

  html/drivers/driver43.html
    1.6 03/01/21 01:21:19 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver43.html -> html/drivers/driver43.html

  html/drivers/driver42.html
    1.9 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver42.html -> html/drivers/driver42.html

  html/drivers/driver40.html
    1.8 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver40.html -> html/drivers/driver40.html

  html/drivers/driver4.html
    1.9 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver4.html -> html/drivers/driver4.html

  html/drivers/driver39.html
    1.9 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver39.html -> html/drivers/driver39.html

  html/drivers/driver38.html
    1.9 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver38.html -> html/drivers/driver38.html

  html/drivers/driver37.html
    1.9 03/01/21 01:21:18 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver37.html -> html/drivers/driver37.html

  html/drivers/driver36.html
    1.16 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver36.html -> html/drivers/driver36.html

  html/drivers/driver35.html
    1.11 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver35.html -> html/drivers/driver35.html

  html/drivers/driver34.html
    1.8 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver34.html -> html/drivers/driver34.html

  html/drivers/driver33.html
    1.9 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver33.html -> html/drivers/driver33.html

  html/drivers/driver32.html
    1.9 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver32.html -> html/drivers/driver32.html

  html/drivers/driver30.html
    1.14 03/01/21 01:21:17 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver30.html -> html/drivers/driver30.html

  html/drivers/driver3.html
    1.8 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver3.html -> html/drivers/driver3.html

  html/drivers/driver29.html
    1.10 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver29.html -> html/drivers/driver29.html

  html/drivers/driver28.html
    1.8 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver28.html -> html/drivers/driver28.html

  html/drivers/driver27.html
    1.9 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver27.html -> html/drivers/driver27.html

  html/drivers/driver26.html
    1.7 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver26.html -> html/drivers/driver26.html

  html/drivers/driver24.html
    1.7 03/01/21 01:21:16 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver24.html -> html/drivers/driver24.html

  html/drivers/driver23.html
    1.10 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver23.html -> html/drivers/driver23.html

  html/drivers/driver22.html
    1.12 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver22.html -> html/drivers/driver22.html

  html/drivers/driver20.html
    1.10 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver20.html -> html/drivers/driver20.html

  html/drivers/driver2.html
    1.9 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver2.html -> html/drivers/driver2.html

  html/drivers/driver19.html
    1.8 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver19.html -> html/drivers/driver19.html

  html/drivers/driver18.html
    1.9 03/01/21 01:21:15 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver18.html -> html/drivers/driver18.html

  html/drivers/driver16.html
    1.8 03/01/21 01:21:14 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver16.html -> html/drivers/driver16.html

  html/drivers/driver12.html
    1.9 03/01/21 01:21:14 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver12.html -> html/drivers/driver12.html

  html/drivers/driver11.html
    1.9 03/01/21 01:21:14 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver11.html -> html/drivers/driver11.html

  html/drivers/driver10.html
    1.9 03/01/21 01:21:14 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver10.html -> html/drivers/driver10.html

  html/drivers/driver1.html
    1.10 03/01/21 01:21:14 stenn@whimsy.udel.edu +0 -0
    Rename: html/driver1.html -> html/drivers/driver1.html

ChangeSet
  1.957.1.15 03/01/20 22:26:15 stenn@whimsy.udel.edu +1 -0
  cryptostats cleanup from Dave Mills.

  ntpd/ntp_util.c
    1.25 03/01/20 22:26:12 stenn@whimsy.udel.edu +8 -0
    cryptostats cleanup from Dave Mills.

ChangeSet
  1.957.1.14 03/01/20 02:19:34 stenn@whimsy.udel.edu +7 -0
  Merge

  util/ntptime.c
    1.16 03/01/20 02:18:57 stenn@whimsy.udel.edu +0 -1
    Merge cleanup.

  ntpd/refclock_hopfser.c
    1.8 03/01/20 02:17:53 stenn@whimsy.udel.edu +0 -7
    Use the same sync fix in -stable and -dev.

  ntpd/ntp_config.c
    1.82 03/01/20 02:15:59 stenn@whimsy.udel.edu +0 -1
    Use the same fix for '*' in -stable and -dev.
    C

  libntp/md5c.c
    1.5 03/01/20 02:14:42 stenn@whimsy.udel.edu +0 -9
    Use the same fix for rename of "index" in -stable and -dev.

  ntpd/refclock_palisade.c
    1.13.1.1 03/01/20 02:06:08 stenn@whimsy.udel.edu +0 -0
    Auto merged

  ntpd/refclock_hopfpci.c
    1.8 03/01/20 02:06:08 stenn@whimsy.udel.edu +0 -0
    Auto merged

  configure.in
    1.285.1.2 03/01/20 02:06:07 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.957.1.13 03/01/20 01:58:19 stenn@whimsy.udel.edu +2 -0
  Fixes from Dave Mills.

  ntpd/ntp_proto.c
    1.143 03/01/20 01:56:17 stenn@whimsy.udel.edu +39 -37
    Fixes from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.73 03/01/20 01:56:17 stenn@whimsy.udel.edu +11 -5
    Fixes from Dave Mills.

ChangeSet
  1.971 03/01/19 00:32:43 mayer@tecotoo.myibg.com +1 -0
  Add missing include file.

  include/isc/print.h
    1.1 03/01/19 00:32:18 mayer@tecotoo.myibg.com +69 -0

  include/isc/print.h
    1.0 03/01/19 00:32:17 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/print.h

ChangeSet
  1.970 03/01/18 23:34:25 mayer@tecotoo.myibg.com +2 -0
  Added strerror.c file to list.

  libisc/strerror.c
    1.1 03/01/18 23:33:54 mayer@tecotoo.myibg.com +72 -0

  libisc/strerror.c
    1.0 03/01/18 23:33:54 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/strerror.c

  libntp/Makefile.am
    1.23 03/01/18 23:33:51 mayer@tecotoo.myibg.com +2 -1
    Add strerror.c to isc list.

ChangeSet
  1.969 03/01/18 23:13:32 mayer@tecotoo.myibg.com +1 -0
  Make this file a stub. We probably don't need IPv6 definitions on Unix.

  include/isc/ipv6.h
    1.2 03/01/18 23:13:10 mayer@tecotoo.myibg.com +5 -0
    Make this file a stub. We probably don't need IPv6 definitions on Unix.

ChangeSet
  1.968 03/01/18 11:41:12 mayer@tecotoo.myibg.com +1 -0
  Remove unnecessary include file.

  libisc/interfaceiter.c
    1.2 03/01/18 11:40:44 mayer@tecotoo.myibg.com +0 -1
    Remove unnecessary include file.

ChangeSet
  1.967 03/01/18 11:10:18 mayer@tecotoo.myibg.com +2 -0
  Added libisc routines into build of libntp library

  BitKeeper/etc/ignore
    1.29 03/01/18 11:09:55 mayer@tecotoo.myibg.com +1 -0
    Added {libntp/Makefile.am.$$$} to the ignore list

  libntp/Makefile.am
    1.22 03/01/18 11:09:52 mayer@tecotoo.myibg.com +3 -1
    Added libisc routines into build of libntp library.

ChangeSet
  1.966 03/01/17 23:14:19 mayer@tecotoo.myibg.com +1 -0
  reset for set_useaddr().

  ntpd/ntp_io.c
    1.60 03/01/17 23:13:50 mayer@tecotoo.myibg.com +37 -16
    Recheckin to fix all the things that BitKeeper unfixed.

ChangeSet
  1.965 03/01/17 22:39:28 mayer@tecotoo.myibg.com +2 -0
  Bitkeeper is stupid

  ntpd/ntp_io.c
    1.59 03/01/17 22:39:05 mayer@tecotoo.myibg.com +16 -38
    Ignore. Bitkeeper is stupid

  configure.in
    1.287 03/01/17 22:39:03 mayer@tecotoo.myibg.com +0 -0
    No change

ChangeSet
  1.964 03/01/17 20:56:06 mayer@tecotoo.myibg.com +1 -0
  Fix for prototype functions and change BOOL to isc_boolean_t

  ntpd/ntp_io.c
    1.58 03/01/17 20:55:35 mayer@tecotoo.myibg.com +9 -9
    Fix the prototype functions (do we really need this style?) and change BOOL which
    SunOS apparently doesn't understand. Use ISC's isc_boolean_t instead.

ChangeSet
  1.683.4.136 03/01/18 02:48:55 matthias.andree@gmx.de +1 -0
  Merge bk://ntp.bkbits.net/ntp-stable
  into gmx.de:/home/emma/bk-3rdparty/ntp-stable

  configure.in
    1.219.3.40 03/01/18 02:48:54 matthias.andree@gmx.de +0 -0
    Auto merged

ChangeSet
  1.957.1.12 03/01/17 18:16:25 stenn@whimsy.udel.edu +6 -0
  Apply the linux broadcast fix to both IP stacks.

  ntpd/ntp_io.c
    1.53.1.2 03/01/17 18:16:22 stenn@whimsy.udel.edu +4 -2
    The linux broadcast fix needs to be used for both IPv4 and IPv6.
    Probably.

  ntpd/refclock_neoclock4x.c
    1.3 03/01/17 18:07:41 stenn@whimsy.udel.edu +0 -0
    Auto merged

  configure.in
    1.285.1.1 03/01/17 18:07:40 stenn@whimsy.udel.edu +0 -0
    Auto merged

  acinclude.m4
    1.11 03/01/17 18:07:39 stenn@whimsy.udel.edu +0 -0
    Auto merged

  BitKeeper/etc/logging_ok
    1.19 03/01/17 18:07:38 stenn@whimsy.udel.edu +1 -0
    'Auto converge'

  BitKeeper/etc/logging_ok
    1.18 03/01/17 18:07:38 stenn@whimsy.udel.edu +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.16 03/01/17 18:07:37 stenn@whimsy.udel.edu +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.17 03/01/17 18:07:36 stenn@whimsy.udel.edu +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.15 03/01/17 18:07:31 stenn@whimsy.udel.edu +1 -2
    auto-union

ChangeSet
  1.683.4.135 03/01/17 17:42:19 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-stable-linux

  configure.in
    1.219.3.39 03/01/17 17:42:17 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.963 03/01/17 01:38:23 mayer@tecotoo.myibg.com +2 -0
  Merge bk://www.ntp.org/home/bk/ntp-dev
  into tecotoo.myibg.com:H:/ntpbk/ntp-dev

  include/ntp.h
    1.81 03/01/17 01:38:02 mayer@tecotoo.myibg.com +0 -0
    Auto merged

  configure.in
    1.286 03/01/17 01:37:59 mayer@tecotoo.myibg.com +0 -0
    Auto merged

ChangeSet
  1.962 03/01/17 01:34:09 mayer@tecotoo.myibg.com +2 -0
  Miscellaneous bug fixes for ntp_io.c support

  ntpd/ntp_io.c
    1.57 03/01/17 01:33:48 mayer@tecotoo.myibg.com +7 -5
    Define functions, add parentheses, fix missing semi-colon.

  include/isc/net.h
    1.2 03/01/17 01:33:45 mayer@tecotoo.myibg.com +2 -0
    Don't define structure for now

ChangeSet
  1.961 03/01/15 00:09:39 stenn@pogo.udel.edu +2 -0
  Handle generated file include/isc/platform.h

  configure.in
    1.284.1.1 03/01/15 00:08:43 stenn@pogo.udel.edu +1 -0

  ntpd/Makefile.am
    1.34 03/01/15 00:07:36 stenn@pogo.udel.edu +1 -1

ChangeSet
  1.957.1.11 03/01/14 16:24:42 stenn@whimsy.udel.edu +2 -0
  Cleanup from Dave Mills.

  ntpd/ntp_proto.c
    1.142 03/01/14 16:24:38 stenn@whimsy.udel.edu +2 -2
    Cleanup from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.72 03/01/14 16:24:38 stenn@whimsy.udel.edu +9 -10
    Cleanup from Dave Mills.

ChangeSet
  1.683.12.10 03/01/11 02:46:28 matthias.andree@gmx.de +1 -0
  Get types in printf format really right this time.

  parseutil/dcfd.c
    1.11 03/01/11 02:46:27 matthias.andree@gmx.de +2 -2
    Get types in printf format really right this time.

ChangeSet
  1.683.12.9 03/01/11 02:45:54 matthias.andree@gmx.de +1 -0
  Fix NULL -> '\0'.

  ntpd/refclock_palisade.c
    1.9.2.2 03/01/11 02:45:53 matthias.andree@gmx.de +1 -1
    Fix NULL -> '\0'.

ChangeSet
  1.683.12.8 03/01/11 02:40:53 matthias.andree@gmx.de +1 -0
  Use %ld to print "long" variables rather than %d.

  parseutil/dcfd.c
    1.10 03/01/11 02:40:51 matthias.andree@gmx.de +2 -2
    Use %ld to print "long" variables rather than %d.

ChangeSet
  1.683.12.7 03/01/11 02:39:21 matthias.andree@gmx.de +1 -0
  Fix compiler warnings that were possible bugs.

  util/ntptime.c
    1.14.1.2 03/01/11 02:39:08 matthias.andree@gmx.de +4 -4
    Add some volatile keywords to avoid variable clobbering by
    siglongjmp().
    
    Cast ntv.tai to long and use %ld when printing TAI offset.

ChangeSet
  1.683.12.6 03/01/11 01:47:11 matthias.andree@gmx.de +1 -0
  Fix SUNWspro compiler warning about signedness in assigning a
  string constant.

  ntpd/ntp_config.c
    1.50.4.1 03/01/11 01:47:10 matthias.andree@gmx.de +1 -1
    Fix SUNWspro compiler warning about signedness in assigning a
    string constant.

ChangeSet
  1.683.12.5 03/01/11 01:42:41 matthias.andree@gmx.de +1 -0
  Fix compiler warnings about sync(2) getting shadowed.

  ntpd/refclock_hopfser.c
    1.3.2.1 03/01/11 01:42:40 matthias.andree@gmx.de +7 -7
    Rename sync to synch to avoid shadowing the global sync(2) function.
    Fixes compiler warnings.

ChangeSet
  1.683.12.4 03/01/11 01:41:55 matthias.andree@gmx.de +1 -0
  Fix "implicit declaration" warning for ioctl on non-WINNT systems.

  ntpd/refclock_hopfpci.c
    1.3.1.1 03/01/11 01:41:54 matthias.andree@gmx.de +2 -1
    Add #include <sys/ioctl.h> unless SYS_WINNT is defined.

ChangeSet
  1.683.12.3 03/01/11 01:40:52 matthias.andree@gmx.de +1 -0
  Rename "index" to "idx" to avoid compiler warnings about shadowed
  definitions.

  libntp/md5c.c
    1.2.1.1 03/01/11 01:40:51 matthias.andree@gmx.de +9 -9
    Rename "index" to "idx" to avoid compiler warnings about a global
    getting shadowed. (index(3) is the BSD variant of strchr(3)).

ChangeSet
  1.683.12.2 03/01/11 01:38:19 matthias.andree@gmx.de +2 -0
  Fix compiler warning about rawtime getting clobbered by longjmp()
  or vfork().

  util/ntptime.c
    1.14.1.1 03/01/11 01:38:18 matthias.andree@gmx.de +1 -1
    Make rawtime a volatile int, to fix a compiler warning about
    longjmp()/vfork() clobbering this variable.

  configure.in
    1.219.6.2 03/01/11 01:38:18 matthias.andree@gmx.de +1 -0
    Add AC_C_VOLATILE for volatile.

ChangeSet
  1.683.12.1 03/01/11 01:09:48 matthias.andree@gmx.de +1 -0
  Fix autoconf warnings about AC_AIX/AC_MINIX.

  configure.in
    1.219.6.1 03/01/11 01:09:43 matthias.andree@gmx.de +4 -2
    Move AC_AIX and AC_MINIX way up to avoid autoconf warnings and
    AIX astonishment, just in case.

ChangeSet
  1.683.10.2 03/01/10 17:16:47 claas@nixfix.(none) +1 -0
  refclock_neoclock4x.c:
    Driver update to version 1.12

  ntpd/refclock_neoclock4x.c
    1.1.1.2 03/01/10 17:16:26 claas@nixfix.(none) +72 -36
    Driver update to version 1.12

ChangeSet
  1.683.4.134 03/01/09 18:05:24 stenn@whimsy.udel.edu +2 -0
  Move the AH_TEMPLATE for ULONG_CONST to its macro definition.

  configure.in
    1.219.3.38 03/01/09 18:05:12 stenn@whimsy.udel.edu +0 -1
    Move the AH_TEMPLATE for ULONG_CONST to the ULONG_CONST macro definition.

  acinclude.m4
    1.3.1.7 03/01/09 18:05:12 stenn@whimsy.udel.edu +2 -1
    Move the AH_TEMPLATE for ULONG_CONST here, where it belongs.

ChangeSet
  1.957.1.10 03/01/08 20:38:12 stenn@whimsy.udel.edu +3 -0
  Cleanup and improvements from Dave Mills.

  ntpd/ntp_proto.c
    1.141 03/01/08 20:38:08 stenn@whimsy.udel.edu +7 -6
    Cleanup and improvements from Dave Mills.

  ntpd/ntp_loopfilter.c
    1.71 03/01/08 20:38:07 stenn@whimsy.udel.edu +16 -23
    Cleanup and improvements from Dave Mills.

  include/ntp.h
    1.79.1.1 03/01/08 20:38:07 stenn@whimsy.udel.edu +1 -1
    Cleanup and improvements from Dave Mills.

ChangeSet
  1.957.1.9 03/01/08 20:30:34 stenn@whimsy.udel.edu +1 -0
  Merge whimsy.udel.edu:/backroom/ntp-stable
  into whimsy.udel.edu:/backroom/ntp-dev

  include/ntp_machine.h
    1.16 03/01/08 20:30:31 stenn@whimsy.udel.edu +0 -0
    Auto merged

ChangeSet
  1.683.11.1 03/01/08 20:27:30 stenn@whimsy.udel.edu +1 -0
  WINNT vsnprintf fix from Terje Mathisen <terje.mathisen@hda.hydro.com>

  include/ntp_machine.h
    1.7.2.1 03/01/08 20:27:26 stenn@whimsy.udel.edu +1 -0
    WINNT vsnprintf fix from Terje Mathisen <terje.mathisen@hda.hydro.com>

ChangeSet
  1.683.10.1 03/01/08 14:02:34 claas@nixfix.(none) +3 -0
  refclock_neoclock4x.c:
    driver update to version 1.11. See source for more
    information ChangeLog.
  configure.in:
    enable NeoClock4X receiver by default

  BitKeeper/etc/logging_ok
    1.1.1.7 03/01/08 14:02:34 claas@nixfix.(none) +4 -3
    Logging to logging@openlogging.org accepted

  ntpd/refclock_neoclock4x.c
    1.1.1.1 03/01/08 13:57:36 claas@nixfix.(none) +237 -87
    driver update to version 1.11. See source for more
    information ChangeLog.

  configure.in
    1.219.5.1 03/01/08 13:56:57 claas@nixfix.(none) +1 -1
    enable NeoClock4X receiver by default

ChangeSet
  1.683.4.132 03/01/06 22:55:24 matthias.andree@gmx.de +1 -0
  Fix Linux multicast client mode.

  ntpd/ntp_io.c
    1.20.3.2 03/01/06 22:55:22 matthias.andree@gmx.de +2 -0
    Set reuseaddr on all sockets before opening the multicast listening socket,
    and reset reuseaddr to 0 after opening the socket.
    Fixes Linux multicast client mode.

ChangeSet
  1.957.1.8 03/01/05 00:48:50 stenn@whimsy.udel.edu +6 -0
  Merge

  configure.in
    1.285 03/01/05 00:48:13 stenn@whimsy.udel.edu +0 -1
    Handle VERSION differences between -stable and -dev.

  BitKeeper/deleted/.del-acconfig.h~3aed0663
    1.31 03/01/05 00:46:52 stenn@whimsy.udel.edu +0 -0
    Auto merged

  README
    1.19 03/01/05 00:46:51 stenn@whimsy.udel.edu +0 -0
    Auto merged

  Makefile.am
    1.35 03/01/05 00:46:51 stenn@whimsy.udel.edu +0 -0
    Auto merged

  BitKeeper/etc/logging_ok
    1.16 03/01/05 00:46:49 stenn@whimsy.udel.edu +1 -0
    'Auto converge'

  BitKeeper/deleted/.del-acconfig.h~3aed0663
    1.30 03/01/05 00:46:50 stenn@whimsy.udel.edu +0 -0
    Merge rename: acconfig.h -> BitKeeper/deleted/.del-acconfig.h~3aed0663

  BitKeeper/etc/logging_ok
    1.15 03/01/05 00:46:49 stenn@whimsy.udel.edu +0 -0
    Rename: BitKeeper/deleted/.del-logging_ok~bebb84d857254496 -> BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bfee81887dad4c1e
    1.14 03/01/05 00:46:49 stenn@whimsy.udel.edu +0 -0
    Delete: BitKeeper/etc/logging_ok

  BitKeeper/deleted/.del-logging_ok~bebb84d857254496
    1.14 03/01/05 00:46:48 stenn@whimsy.udel.edu +0 -0
    'Auto converge rename'

  BitKeeper/etc/logging_ok
    1.13 03/01/05 00:46:44 stenn@whimsy.udel.edu +1 -1
    auto-union

ChangeSet
  1.683.4.131 03/01/05 06:10:42 matthias.andree@gmx.de +2 -0
  Fix Linux' broadcastclient mode.
  Patch by Allen Mcintosh.

  ntpd/ntp_io.c
    1.20.3.1 03/01/05 06:10:40 matthias.andree@gmx.de +34 -15
    Move code to change sockets' SO_REUSEADDR into set_reuseaddr, and use
    that to fix Linux' broadcastclient mode.
    Patch by Allen Mcintosh

  configure.in
    1.219.3.37 03/01/05 06:10:40 matthias.andree@gmx.de +0 -3
    Change: Linux also needs broadcast sockets.
    Patch by Allen Mcintosh

ChangeSet
  1.960 03/01/04 22:27:45 mayer@tecotoo.myibg.com +2 -0
  Merge fixes

  ntpd/ntp_io.c
    1.56 03/01/04 22:27:32 mayer@tecotoo.myibg.com +4 -3
    merge fixes

  include/ntp.h
    1.80 03/01/04 22:27:31 mayer@tecotoo.myibg.com +0 -0
    Merge fixes

ChangeSet
  1.959 03/01/04 21:02:02 mayer@tecotoo.myibg.com +58 -0
  Added Interface Iteration support for the ntp_io.c code. This includes adding a lot of
  header files and some c files. Bug fixes to support IPv6 properly. Fixes to include order
  to dsp files.

  BitKeeper/etc/ignore
    1.28 03/01/04 21:01:18 mayer@tecotoo.myibg.com +2 -0
    Added libntp/net.c.bak {ntpd/Copy of ntp_io.csave} to the ignore list

  ports/winnt/libisc/once.c
    1.1 03/01/04 21:01:15 mayer@tecotoo.myibg.com +51 -0

  ports/winnt/libisc/once.c
    1.0 03/01/04 21:01:15 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libisc/once.c

  ports/winnt/libisc/net.c
    1.1 03/01/04 21:01:14 mayer@tecotoo.myibg.com +123 -0

  ports/winnt/libisc/net.c
    1.0 03/01/04 21:01:13 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libisc/net.c

  ports/winnt/libisc/interfaceiter.c
    1.1 03/01/04 21:01:12 mayer@tecotoo.myibg.com +400 -0

  ports/winnt/libisc/interfaceiter.c
    1.0 03/01/04 21:01:12 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/libisc/interfaceiter.c

  ports/winnt/include/isc/strerror.h
    1.1 03/01/04 21:01:11 mayer@tecotoo.myibg.com +42 -0

  ports/winnt/include/isc/strerror.h
    1.0 03/01/04 21:01:11 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/strerror.h

  ports/winnt/include/isc/platform.h
    1.1 03/01/04 21:01:09 mayer@tecotoo.myibg.com +92 -0

  ports/winnt/include/isc/platform.h
    1.0 03/01/04 21:01:09 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/platform.h

  ports/winnt/include/isc/once.h
    1.1 03/01/04 21:01:08 mayer@tecotoo.myibg.com +43 -0

  ports/winnt/include/isc/once.h
    1.0 03/01/04 21:01:08 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/once.h

  ports/winnt/include/isc/offset.h
    1.1 03/01/04 21:01:06 mayer@tecotoo.myibg.com +45 -0

  ports/winnt/include/isc/offset.h
    1.0 03/01/04 21:01:06 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/offset.h

  ports/winnt/include/isc/net.h
    1.1 03/01/04 21:01:05 mayer@tecotoo.myibg.com +270 -0

  ports/winnt/include/isc/net.h
    1.0 03/01/04 21:01:05 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/net.h

  ports/winnt/include/isc/mutex.h
    1.1 03/01/04 21:01:03 mayer@tecotoo.myibg.com +51 -0

  ports/winnt/include/isc/mutex.h
    1.0 03/01/04 21:01:03 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/mutex.h

  ports/winnt/include/isc/ipv6.h
    1.1 03/01/04 21:01:02 mayer@tecotoo.myibg.com +111 -0

  ports/winnt/include/isc/ipv6.h
    1.0 03/01/04 21:01:02 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/ipv6.h

  ports/winnt/include/isc/int.h
    1.1 03/01/04 21:01:01 mayer@tecotoo.myibg.com +56 -0

  ports/winnt/include/isc/int.h
    1.0 03/01/04 21:01:00 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/ports/winnt/include/isc/int.h

  libntp/net.c.bak
    1.1 03/01/04 21:00:59 mayer@tecotoo.myibg.com +153 -0

  libntp/net.c.bak
    1.0 03/01/04 21:00:59 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libntp/net.c.bak

  libisc/net.c
    1.1 03/01/04 21:00:57 mayer@tecotoo.myibg.com +127 -0

  libisc/net.c
    1.0 03/01/04 21:00:57 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/net.c

  libisc/msgcat.c
    1.1 03/01/04 21:00:55 mayer@tecotoo.myibg.com +129 -0

  libisc/msgcat.c
    1.0 03/01/04 21:00:55 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/msgcat.c

  libisc/mem.c
    1.1 03/01/04 21:00:53 mayer@tecotoo.myibg.com +42 -0

  libisc/mem.c
    1.0 03/01/04 21:00:53 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/mem.c

  libisc/lib.c
    1.1 03/01/04 21:00:52 mayer@tecotoo.myibg.com +77 -0

  libisc/lib.c
    1.0 03/01/04 21:00:52 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/lib.c

  libisc/interfaceiter.c
    1.1 03/01/04 21:00:50 mayer@tecotoo.myibg.com +160 -0

  libisc/interfaceiter.c
    1.0 03/01/04 21:00:50 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/interfaceiter.c

  libisc/ifiter_sysctl.c
    1.1 03/01/04 21:00:49 mayer@tecotoo.myibg.com +294 -0

  libisc/ifiter_sysctl.c
    1.0 03/01/04 21:00:48 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/ifiter_sysctl.c

  libisc/ifiter_ioctl.c
    1.1 03/01/04 21:00:47 mayer@tecotoo.myibg.com +771 -0

  libisc/ifiter_ioctl.c
    1.0 03/01/04 21:00:47 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/ifiter_ioctl.c

  libisc/error.c
    1.1 03/01/04 21:00:45 mayer@tecotoo.myibg.com +101 -0

  libisc/error.c
    1.0 03/01/04 21:00:45 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/error.c

  libisc/assertions.c
    1.1 03/01/04 21:00:44 mayer@tecotoo.myibg.com +93 -0

  libisc/assertions.c
    1.0 03/01/04 21:00:44 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/libisc/assertions.c

  include/isc/util.h
    1.1 03/01/04 21:00:42 mayer@tecotoo.myibg.com +225 -0

  include/isc/util.h
    1.0 03/01/04 21:00:42 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/util.h

  include/isc/types.h
    1.1 03/01/04 21:00:40 mayer@tecotoo.myibg.com +102 -0

  include/isc/types.h
    1.0 03/01/04 21:00:40 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/types.h

  include/isc/string.h
    1.1 03/01/04 21:00:38 mayer@tecotoo.myibg.com +56 -0

  include/isc/string.h
    1.0 03/01/04 21:00:38 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/string.h

  include/isc/strerror.h
    1.1 03/01/04 21:00:37 mayer@tecotoo.myibg.com +42 -0

  include/isc/strerror.h
    1.0 03/01/04 21:00:37 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/strerror.h

  include/isc/sockaddr.h
    1.1 03/01/04 21:00:35 mayer@tecotoo.myibg.com +196 -0

  include/isc/sockaddr.h
    1.0 03/01/04 21:00:35 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/sockaddr.h

  include/isc/result.h
    1.1 03/01/04 21:00:33 mayer@tecotoo.myibg.com +103 -0

  include/isc/result.h
    1.0 03/01/04 21:00:33 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/result.h

  include/isc/platform.h.in
    1.1 03/01/04 21:00:31 mayer@tecotoo.myibg.com +220 -0

  include/isc/platform.h.in
    1.0 03/01/04 21:00:31 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/platform.h.in

  include/isc/once.h
    1.1 03/01/04 21:00:29 mayer@tecotoo.myibg.com +32 -0

  include/isc/once.h
    1.0 03/01/04 21:00:29 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/once.h

  include/isc/offset.h
    1.1 03/01/04 21:00:28 mayer@tecotoo.myibg.com +44 -0

  include/isc/offset.h
    1.0 03/01/04 21:00:28 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/offset.h

  include/isc/netaddr.h
    1.1 03/01/04 21:00:26 mayer@tecotoo.myibg.com +136 -0

  include/isc/netaddr.h
    1.0 03/01/04 21:00:26 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/netaddr.h

  include/isc/net.h
    1.1 03/01/04 21:00:24 mayer@tecotoo.myibg.com +282 -0

  include/isc/net.h
    1.0 03/01/04 21:00:24 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/net.h

  include/isc/mutex.h
    1.1 03/01/04 21:00:23 mayer@tecotoo.myibg.com +39 -0

  include/isc/mutex.h
    1.0 03/01/04 21:00:22 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/mutex.h

  include/isc/msgs.h
    1.1 03/01/04 21:00:21 mayer@tecotoo.myibg.com +181 -0

  include/isc/msgs.h
    1.0 03/01/04 21:00:21 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/msgs.h

  include/isc/msgcat.h
    1.1 03/01/04 21:00:19 mayer@tecotoo.myibg.com +132 -0

  include/isc/msgcat.h
    1.0 03/01/04 21:00:19 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/msgcat.h

  include/isc/mem.h
    1.1 03/01/04 21:00:18 mayer@tecotoo.myibg.com +31 -0

  include/isc/mem.h
    1.0 03/01/04 21:00:18 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/mem.h

  include/isc/magic.h
    1.1 03/01/04 21:00:16 mayer@tecotoo.myibg.com +40 -0

  include/isc/magic.h
    1.0 03/01/04 21:00:16 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/magic.h

  include/isc/list.h
    1.1 03/01/04 21:00:14 mayer@tecotoo.myibg.com +180 -0

  include/isc/list.h
    1.0 03/01/04 21:00:14 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/list.h

  include/isc/lib.h
    1.1 03/01/04 21:00:13 mayer@tecotoo.myibg.com +39 -0

  include/isc/lib.h
    1.0 03/01/04 21:00:13 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/lib.h

  include/isc/lang.h
    1.1 03/01/04 21:00:11 mayer@tecotoo.myibg.com +31 -0

  include/isc/lang.h
    1.0 03/01/04 21:00:11 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/lang.h

  include/isc/ipv6.h
    1.1 03/01/04 21:00:09 mayer@tecotoo.myibg.com +148 -0

  include/isc/ipv6.h
    1.0 03/01/04 21:00:09 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/ipv6.h

  include/isc/interfaceiter.h
    1.1 03/01/04 21:00:08 mayer@tecotoo.myibg.com +137 -0

  include/isc/interfaceiter.h
    1.0 03/01/04 21:00:08 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/interfaceiter.h

  include/isc/int.h
    1.1 03/01/04 21:00:06 mayer@tecotoo.myibg.com +53 -0

  include/isc/int.h
    1.0 03/01/04 21:00:06 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/int.h

  include/isc/formatcheck.h
    1.1 03/01/04 21:00:05 mayer@tecotoo.myibg.com +34 -0

  include/isc/formatcheck.h
    1.0 03/01/04 21:00:04 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/formatcheck.h

  include/isc/error.h
    1.1 03/01/04 21:00:03 mayer@tecotoo.myibg.com +55 -0

  include/isc/error.h
    1.0 03/01/04 21:00:03 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/error.h

  include/isc/boolean.h
    1.1 03/01/04 21:00:01 mayer@tecotoo.myibg.com +29 -0

  include/isc/boolean.h
    1.0 03/01/04 21:00:01 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/boolean.h

  include/isc/assertions.h
    1.1 03/01/04 21:00:00 mayer@tecotoo.myibg.com +120 -0

  include/isc/assertions.h
    1.0 03/01/04 21:00:00 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/assertions.h

  include/isc/app.h
    1.1 03/01/04 20:59:58 mayer@tecotoo.myibg.com +212 -0

  include/isc/app.h
    1.0 03/01/04 20:59:57 mayer@tecotoo.myibg.com +0 -0
    BitKeeper file H:/ntpbk/ntp-dev/include/isc/app.h

  ports/winnt/ntptrace/ntptrace.dsp
